9a060923cf Build: 4.6.0 [skip ci]
a04f4412b2 SVCCTL: Update idl for GetServiceDisplayNameW and GetServiceKeyNameW
65f58cd90d gsm_sim: Various improvements
16327c1831 strato: Add missing initializers
adbaf1388b CFM: Sender ID TLV wrong chassis ID length
3bd862996a gsm_sim: Show length 0 as 256
1afad94a6a SGP32: don't update column with fstr() and %s, just use str()
31d9c31ab7 GitLab CI: Remove a no-longer-needed hack
7d7517d516 wiretap: Ship headers already referenced by shipped public headers
b95e3cbbdd headers: Fix already shipped public headers
e3c47571f1 headers: Include packet.h as <epan/packet.h> everywhere
372c571509 Qt: Fixup icon loading
ad96abca2c LLMNR: Request response tracking
43215daa7b Qt: Reverse our icon loading order
f572acd7de Qt: Run without Liquid Glass on macOS
3542778bba packet-cql.c: dissect non-compressed CQLv5 frames
c3f78f483f sgp22: Update to v2.6
827e291f92 Gitlab CI: Build macOS and Windows with Qt 6.9.3
1b8ae3a5e6 sgp32: Register media_type application/x-gsma-rsp-asn1
5cb4be77d6 packet-cql.c: first part of supporting CQLv5 support
de736dc6f3 ieee80211: Support 16 bytes MIC in MME
9ba2981187 ieee80211: Fix display name of BIGTK
a64f82e526 wslua: Allow nil as column append separator
93cd7bb763 gsm_sim: Improvement to file identifiers
f2c012dae2 wslua: Add support for column append with separator
1ea8292367 [Automatic update for 2025-10-05]
5f2053f387 DOF: Ensure that a string is null terminated at the proper place
1aeaf31e40 CFM: Fix linktrace reply ingress interface alias off by 1
49f29c730c debian/templates: Improve wording of new stratoshark-related template texts
d45f055c36 SMB2: Fix location of null check
99ce1ae483 epan: Remove trailing comma after HFILL invocations.
d5da241c79 epan: Fix GCC ASAN builds by marking two function tails "not_reached".
d72b0fa40a dumpcap: Eliminate a Mac OS X 10.6.x workaround.
1cad742ade GitLab CI: Distinguish between plain and merge train merge requests
9ec8625abc GitLab CI: Install CMake 3.31 on macOS
d2ae598a8d GitLab CI: Fix our temporary hack
a24e41a87e GitLab CI: Add a hack to update CMake on the macOS runner
2ad89cbe07 Build macOS and Windows releases with Qt 6.9.2
6d815cd4ec GitLab CI: Reenable Falco plugins on macOS
5e9fe38131 dect_nr: Close cipher handle on error
e4e9290234 dect_nr: Check decrypt failures
b07151b26e gsm_sim: Handle AUTHENTICATE Le
6e7a1050d7 http2: Add TLS_RENEG_PERMITTED setting support
54ffd98047 MIDI: Update MIDI SysEx manufacturer ID database.
755d024876 nfs: updates to directory delegation support
2f447c4ae2 XML: Use libxml2 function instead of struct elements directly
0484787dd4 dect_nr: Add Mode 1 decryption
559a61c0fc docs: Update the Wireshark release notes
e15a1247c4 GitLab CI: Bring our macOS builds more in line with each other
32344cfc73 dot11decrypt: Fix reading out of bounds if MAC header is short
62ad31d4f8 ssh: Check for -1 mac_length
d4613556a5 CMake+Windows: Update c-ares to 1.34.5
c859e0c8e5 TLS: Check a return value
f44b2a10b4 CMake+Windows: Update opus to 1.5.2
afe910c9f8 packet-cql.c: fix 'CQL: packets with global spec are not properly dissected'
706c3f9f05 epan: Update manuf-data.c by hand
8d9e08886d tools: Add more verbose error reporting to make-manuf.py
73db4d4055 CMake: Don't fetch minizip
a864afe972 ieee80211: Fix A-MSDU subframe address
f718f545cc dot11decrypt: Increase decryption buffer size
83e1bbbfb7 [Automatic update for 2025-09-28]
aecf426066 Fix EXTCAP_INSTALL_RPATH for the lib/... -> libexec/... location
6741776c80 CMake: Update krb5 to 1.22.1
aad8c25ccf macos-setup: Update libssh to 0.11.3
550259051b CMake: Update libssh to 0.11.3
294c2ea860 CMake: Update libgcrypt to 1.11.2
e8d67a1f74 IAX2: Add an address type check
19f8f80ff3 RTPS: Add NULL checks
1d8badeb0a doc: Update a few references to Visual Studio in the WSDG
0b508a7266 XML: Add a NULL check
60d248ee28 packaging: Fix RPM spec
6b1ecf6f14 TLS: fix "delegated_credentials" extension for client authentication
53c4167d9c packaging: Use libexecdir in RPM spec
91d851668a debian: Ship strato and stratoshark man pages, too
ef3234a24a debian: Ship /usr/bin/strato, too, in the stratoshark package
bc1c042123 extcap: Install extcap binaries under CMake's LIBEXECDIR
2aebbe45bf xylan: Add new attribute (Priv-F-R3/R4/W3/W4)
424dc20279 WSDG: Update Windows Qt6 version
c539dea91f docs: Update the Wireshark release notes
a0dbe36575 Qt: Fix transient parent of filter button pop-up
90cccb7b7e DARWIN: Widen Service Class Code field
ada2da4c9b packet-darwin: added decoding of the drop reason code
fdb3823962 Mongo: Avoid infinite loop in dissect_op_msg_section
3ea38860f6 include: Allow including the c128 include library from plain C
84ff01159f pcapng: Added dissection of Darwin metadata
d1a78bf4c8 ws80211: Retrieve the correct interface to remove
f126baa680 radiotap: fix printing of unknown non-vendor TLVs
167e850541 [Automatic update for 2025-09-21]
b6524df99f OSPF: amend and sort various LinkState and TLV identifiers
b411bd7249 epan: Add support for EPMD_ALIVE2_X_RESP in EPMD dissector
6a864b69a1 kNet: Fix Undefined Behavior in get_knet_pdu_len
b7fdb72101 format_units: Produce consistent results with the x87 FPU
94c1aed895 wsutil: Use -Wno-maybe-uninitialized for GCC builds of dtoa.c.
598042c0cd OSPFv3: Graceful Restart (RFC 5187)
2e8551f6c9 OSPF: Add support for Multi-Instance Extensions
f9a653f7cd Update the release notes
33b705d934 Build: 4.6.0rc1
f747cc165d NoAddrAvail -> NoAddrsAvail as per spec
85c30b62c5 epan: Fix relative time if the first frame with a TS isn't frame 1
e577078f5d CMake: Add jtckdint.h to SHARK_PUBLIC_HEADERS
29c141335b H.248 Annex E: Fix ToneDetection Tone ID List dissection
0be995f637 BLF: Handle application name and version
dc8569a162 Move value_string functionality to wsutil
669a769d43 [Automatic update for 2025-09-14]
87975b70d8 ClassicSTUN: Add padding heuristic
8fb3e9025a Qt: Properly initialize QCPAxisTickerDateTime timezone on Qt >= 6.5
19da284dbc exported_pdu: add link_dir
6bc2b9f461 Graphs: Support floating-point scale factors
50422cfec8 protobuf: default editions support to proto3
fe495439ff BLF: Fix incompatiblity to common tools
85bb13e46a pcap: Fix an integer underflow.
81e92c6d65 RTPS: Fix alignment for each Parameter in a ParameterList
5a363d4dbf k12: Fix leak of duplicated srcdsc hash entries.
5972b81d84 Aethra APS: Fix a memory leak.
a253807b81 log3gpp: Build the packet record at the end of parse_line.
2dd380c339 netmon: Fix frame table bounds check.
849f2602cb log3gpp: De-duplicate code for building a packet record.
0d9858de9a More README.plugins cleanup
cc4a072052 include: add the c128 128-bit arithmetic logic unit^Winclude library.
5ccdc15cff licensecheck: avoid thinking a license is an "ISC ISC" license.
4bb6ce4f96 Fix typos.
df275822e6 log3gpp: Fix read buffer sizing.
4f32ee1329 Const-ify wsutil/ .
456f98e46b docs: Move README.plugins to the Developer's Guide
46de8f7f67 netmon: Prevent arbitrarily-large memory allocation.
d1b433d38b docs: Rename README.plugins to wsdg_src/wsdg_plugins.adoc
3b8254fa74 AUTOSAR DLT: Fix minor memory leaks.
c7a229ffdc ttl: Fix a memory leak.
9073c5a509 C12.22: Avoid UB if no base OID is given.
9df1795a2d LDA Neo trailer: fix the protocol name and name in the code.
50f0954bda log3gpp: Reduce use of static arrays.
ad5008843b LDA Neo trailer: make the source file name clearer.
8b08578f29 wsutil: Trivial wsutil/buffer.c cleanups.
e8e44ff7aa Revert "LDA Neo trailer: make the names clearer."
af87fe221f LDA Neo trailer: make the names clearer.
c6e78383da Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
Qt: Change the Plot when the Y Axis scale factor changes
7b845a4693 pcapng-netflix-custom: Fix NFLX_BLOCK_TYPE_SKIP length.
93993ba51c pcapng: Fix a leak of section_info fields on an error path.
cf0f3d0433 GitLab CI: Put release-4.6 fuzzing in its own resource group
deb9a537fc Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
XML: Initialize the various hf and ett IDs to zero
1f342faae7 Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
dect_nr: Refine field names
ce22d1a9a6 pcapng: Fix an integer overflow and some error-path memory leaks.
1be8bcaf8f Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
Fix typos.
c75d15bc94 tools: Reorder make-enums.py's header list
95a736fe2c tools: Add a sanity check to make-enums.py
7cd22306c4 [Automatic update for 2025-09-07]
7c2fb6396b TECMP: Allow unparsed bytes of Control Msg to be dissected as data
f811ad2c5c extcap: Free capture_filter
1b102a00cc capture: Check for invalid linktype before initializing argv
0d6f6f245c cli_main: Fix freeing argv array
7911b5da59 ieee80211: Use little endian in vendor specific sgdsn
5599081d06 mpeg: add dissector table for PMT extended descriptors
5503dbfe5c MACsec: Do not show UNVERIFIED, if checks are not activated
d1f9990fea NSIS: Add a certification page
8b19548ffd NAS 5GS: fix multiple payloads container
a128f9d50d ORAN FH CUS: Another fix to udCompHdr prefs
b1e1f54cc9 ieee80211: Fix endian problems and warnings
82f88ae431 ieee80211: Fix wrong endian in MLO IGTK/BIGTK Key id and PN
4a66da5960 dect_nr: Make MAC header extendable
a7f66a996a dect_nr: Update to V2.1.1 (2024-10)
6363ce3020 packaging: Don't package temporarily disabled Falco plugins
07dc0217a0 GitLab CI: Temporarily disable some Falco plugins
b1bba7ff68 [Automatic update for 2025-08-31]
887633bf44 HTTP2: fix updating of existing streams' window
0cd398c91c dect_nr: Adjust DLC SDU lifetime timer bitmask
b870c3537a dect_nr: Update to V1.6.1 (2025-07)
1351bc2cc8 Gitlab CI: Update major version in arch packaging
d520f2128d GitLab CI: Fix the display filter list
7154c947b9 GitLab CI: Build the Linux jobs after each merge
afc23b973e Set our application flavor before calling configuration_init
6b36cfed4b Update the release notes
3b241c1e9b sgp32: Register dissector for request and response
74925057e3 Add DECT NR+ MAC layer
89f32827ed Edit packet-ltp.c for correcting LTP SDA dissection
26cb5d3147 BT HCI: Revert separating Commands and Events payload tables
24df0d323e falcodump: Update our interface check
1633636df3 falcodump: Exit with success if there are no interfaces
1e1cc45c12 gsm_sim: Register ett_gsm_sim_fragment
744a8be891 epan: Make some protocol names easier to grep
edb580bf89 CMake+tools: Migrate win-setup.ps1 to FetchArtifacts
5f63c0306a Initialize release-4.6
5ea56efcbd Qt: Get the BPF filter actually used in CompiledFilterOutput
f18f97506d BACAPP: Update vendor registery
17340c3f3b artnet: update OEM and ESTA codes
80661266c7 tds: Fix NText in RPC params
f2290c7da2 WSDG: clarify wiretap memory allocation
62104274aa bthci: Remove redundant "Dissect all vendor cmds as Android" pref
974b3a60e9 DTLS: Implement Follow Stream
32e7ddfd92 Websocket: fixed crash in TCP heuristics based detection of websocket
36b3d1bc93 UDS: Terminate a bitmask field array
6864f4c27f packet-knxip: remove redundant null pinfo check
942b111d6a wiretap: fix null pointer deref in netlog.c
767b291546 wiretap: fix time_t use in rtpdump.c
20cf03d418 bthci_cmd: Display vendor command in packet details
c3279c8d66 tfs: Add tfs_accepted_rejected
8fccc32642 CMake: Test for -Wextra-semi on C and C++
2ef5b77e62 wslua_conversation.c: fix extra semi when build with macos
a5b0d62e7d CMake: Fix typo
1bf725e4ba zbee-tlv: remove extra semi
7996ba36e3 tls-utils.(h): remove extra semi
91cbdb81e6 pldm: remove extra semi
a147153b8d ms-do: remove extra semi
0f9a57e610 ORAN FH CUS: Fix backwards preference enum names
b960c60065 GitHub workflow: Don't skip rawshark
53c50a2527 CMake: Add executables to PROGLIST in parent scope
b2977a10bc netmon: update a comment.
fe4bdfedd0 test: Skip Stratoshark extcaps if they're missing
13a8d1e933 tcpiptrace: update comment.
f9027f2bca POSIX compatibility: Include lowercase Windows header on MinGW
fb6774f422 coap: Remove semicolon from macro
61cfbc9a13 ip: Move IPv6 heuristics
c35362bcff netlog.c: Properly handle UDP parsing error
6dae04b469 capture_sync: Check the link type
8c644f8538 wsjson: Fix Doxygen comments
d83b3f5954 wiretap: move documentation to relevant location
5ad8b4e5bf TLS: Add a stream id
7d224b77da Skinny: Update generator to match latest dissector.
820f0b35c0 CMake+docs: Miscellaneous Strato man page fixes and cleanups
13d2677d82 Fix some spelling errors
c19e5e64b5 Fix compilation on clang22
6f9cb00a46 [Automatic update for 2025-08-24]
70fe97dc4e capture_sync: pass linktype when getting BPF filter
aa02cd0681 Qt: Fix the CompiledFilterOutput error icon
deaa738570 Remove some double semicolons
facef9a339 netlog: Free hash upon open failure.
0977ba7097 wsdg_wiretap.adoc: Correct referenced function name
9e8672bcc7 capture: Add a function to get the compiled BPF program for a capture filter
6e74a6fecb capture_sync: Include What You Use
78d43062f3 cllog: Fix a potential buffer read overrun.
2fc6da852e wiretap:Add support for Chrome NetLog
0ddf5b3ea4 ORAN FH CUS: Rearrange prefs into better order/groupings
7169cd86d7 CMake: Add the strato man page
1f0707a341 packaging: Add strato and k8saudit to the Stratoshark NSIS installer
0b30c6c099 Qt: Change the edt first when selectedFrameChange to avoid a crash
9674b8498c iwarp-mpa: add dissection for MPA v2 message and legacy IRD/ORD negotiation
438084918d GitLab CI: Fix a path
02ac2cd8a0 CMake: Fix building strato on Linux
2b2dc13326 CMake: Conditionally enable strato, falcodump, and sshdig
fae265d6c7 ws80211_utils: Handle tuning 40 MHz in 6 GHz band
6643b45348 .gitlab-ci: Add job for building wsar
ef1b46a667 diameter: Define custom entity in a valid fashion
6848d7dc3d GitLab CI: Remove the old macOS Intel job
e36df99e2c QUIC: Add dissection of OBSERVED_ADDRESS frame_type (IPv4/IPv6)
1f4359382e NGAP,GTP: map IMSI to TEID and add Associate IMSI to GTP-U
fe2c6280b9 ws80211_utils and WirelessFrame: Mask out not allowed channel widths
2a3b84d2a3 rtp_player: Use wsutil/pint.h routines when writing samples.
b70428bb47 CMake: Update our Falco plugins version
d3db0d72cf README.dissector: update for the renaming of pint.h routines. [skip ci]
f0225352ab Rename the pint.h routines to indicate that they work on unsigneds.
b5238f4597 Add const in more places so cppcheck doesn't complain
ef005dea78 Falco events: Skip over list fields like we do table fields
2125927edd wsutil: Fix format_units with FORMAT_SIZE_PREFIX_IEC.
109468f121 Clean up sync pipe read code.
9fe7d2576f ORAN FH CUS: Improve sequence number analysis
76276a9abb wsjson.h: Add example for json_get_next_object
40b21b9ebe HTTP/2: Remove support for BLOCKED frame
124a817e5d IP: Add Cilium DSR IP OPT
ddae4bcb8f matter: Display some dissected data in the INFO column
0d3d8d52a0 Remove including glib.h from wiretap modules
b79b818db3 packet-ngap: use efficient json array iteration
5176de6e56 bthci_cmd: move direct_adv_data before for avoid declaration
49a6624eee Ensure that SSIZE_MAX is defined under Windows
3ae7b8abbc ws80211_utils: Be consistent with tabs
bef48c7fe5 HTTP2: remove forgotten comments
9b5d7be2a0 HTTP2: add handle of header ":status"
9ec2d8603a IP: Enhance display of Unknown option
4252dac0f0 inet_addr.h: add doxygen docs
a6c605e635 wtap-int.h: add doxygen docs
f24419ebe5 frame: Fix fractional second maximum value
756d45d643 CMake: Don't build the API reference by default
cc5bcb26d2 ws80211_utils: Parse HE capabilities on kernels without EHT caps
685de7aa80 extcap: strip invalid characters from preferences option's names
c4f1c762c4 wiretap/nettrace_3gpp_32_423.c: Fix typo in comment
9e4f028437 GitLab CI: Remove a no-longer-needed before_script
f590abf666 GitLab CI: Use aqtinstall to install Qt on Windows
b20525c042 tap-oran: Make some columns wider
eb1133a899 expose json_get_next_object for efficient array iteration
f9163a3ce1 i[RTPS] Fix PSK dissection of AES128 encoded messages
69c74987a8 Falco events: Dissect JSON objects in the JSON tvbuff
6eeb042815 Falco Bridge: Add typed address fields for gcp.callerID
fdcc7f88c1 docs: Minor Wireshark release notes fixes
1f6440be9c ws80211_utils: Return correct error from ws80211_iface_up
c2f5268d35 DAAP: incrementally construct the top-level item.
a51d13f796 ORAN FH CUS: Track how long an RU takes to send all UL U-Plane for a symbol
c7112251c3 Create a wiretap error for malformed records within a file
ac70d089f8 capture: Fix Coverity 1516146, 1516147
aab8feafbd capture: Silence Coverity 1560008
638d738b04 ethercat: fix Dead Assignement found by Clang Analyzer
0622090c83 zbee-zcl-general: fix Dead Assignement found by Clang Analyzer
7032191010 collectd: fix Dead Assignement found by Clang Analyzer
8cf4536358 5co-legacy: fix Dead Assignement found by Clang Analyzer
fd383281b4 bthci_cmd: Fix Dead Increment found by Clang Analyzer
8c325d83ae PIM: Show expert info rather than dissector assert
d738a73f98 CMake+macOS: Add Sparkle to FetchArtifacts
9bc8c48a74 ORAN FH CUS: Fix a couple of fuzz errors
47f61efa8c Remove support from libnl versions 1 and 2
3d64cc66a2 wsdg_wiretap.adoc: Be clearer that it's fictional
5ca5c9ca37 Remove wmem_packet_scope()
c5e4ecc25b wtap.h: Fix typo
f16f051871 Qt: allow viewing EBCDIC text as ASCII in byteview
84799be215 Rename val_to_str_wmem -> val_to_str
9bf4e79839 ws80211_utils: Make error handling more consistent
6113ef620d IEEE802.11, TPM, Couchbase, NCP2222: Const-ify.
3137801649 Add HTTP/3 quic stream id field.
f3f990bd86 Use wsutil/pint.h routines.
dff1d05546 Fix a few more sundry typos.
e4b28b7a90 ws80211_utils: Add comments to populate devices
1501223699 packet-knxip.c: General improvements
6f39460c30 [Automatic update for 2025-08-17]
6ea2a03d87 TPM: Fix typos.
3a94d8f227 BLF: use macros for accessing byte buffers
86d74d6a91 protobuf: val_to_str -> val_to_str_wmem
0907312859 packet-bist-ouch.c: Improve val_to_str handling
3bb5f73087 ws80211_utils: Fix HE and EHT PHY capabilities on Big Endian
7eb1ae4f34 dumpcap: Return WS_ exit codes for 802.11 channel failures
528c02f141 ui: Enable auto switch filters in global profiles
9f7d220b58 dumpcap: Don't add an extra newline when setting 802.11 channel fails
20361d05ee gsmtap: Cleanup whitespace
2583bfe945 ORAN FH CUS: More fixes to ST10 Type 5
7bb58a31b2 gsmtap: Show skipped fields in tree
58ba3749ba wslua: Allow base.SPECIAL_VALS in protofield bases
4c30aaae71 CMakeLists.txt: Add wiretap chapter
814be856e9 wsjson: Document and add json_get_int
5512f29850 wiretap: add more to <wsutil/pint.h> and use it for everything.
d7dc437349 Qt: unhighlight hover bytes when mouse leaves Packet bytes
d4ec8b008f frame: add hf_frame_encoding
267ed5f8d4 ws802_11 + WirelessFrame: Organize frequencies by bands
34f0124834 Stratoshark: Update the CloudTrail profile
4187081420 Falco events: Add a couple of additional conversation fields
80eae00ccf Falco events: CloudTrail column fixes
59cb8c760e File-BLF: Clean up etts
b7c426a807 File-BLF: Fix endianess for Eth PHY State
f87b864702 file-blf.c: Formatting improvements
74ef672b04 Qt: Saving name resolution change to preferences when View menu used
9d54869032 Update npcap version to 1.83
815af2b3c9 ORAN FH CUS: Fix some issues around ST10 report type 5
867c5bdca6 LI5G: add Associate IMSI when SUPIIMSI found
d36065051b BIST-OUCH: Fix a typo that causes errors for some compilers
1082d08557 Add BIST OUCH dissector
e3f9122032 Plot: Allow plot to automatically scroll
86a9f60d3f optional specific macs and aad and he
1692f1d71c LIX2: Update to 3GPP TS 33.128 V19.3.0
70ab355687 XDLC: Move from epan to dissectors
b5163e7414 packet-dcc.c: General improvements
8b5f4fd322 packet-c2p.c: General improvements
1804c93392 batch of val_to_str -> val_to_str_wmem
7986be47cc expert.c: val_to_str -> val_to_str_wmem
16ccaac0d1 Q.931: val_to_str -> val_to_str_wmem and handle fallout
282aef8db8 packet-x11.c: val_to_str -> val_to_str_wmem
4c29d89c0c batch of val_to_str -> val_to_str_wmem
5fc4e64a63 WSDG: Add back the xsltproc installation instructions
d301c45f4b batch of val_to_str -> val_to_str_wmem
d9e4d882e9 ws80211: Use the channel type enum in functions that take a channel type
59f10816fb [D]TLS: Export data PDUs as well
f7478895b2 BLF: clean up unused params and better error reporting
5d7d0c04d5 docs: Fixup the strato man page
96f2046eab CMake+Windows: Add a native Asciidoctor package
da216c059f ORAN Tap: Don't show zero counts for REs/PRBs for C-Plane
64649b7064 batch of val_to_str -> val_to_str_wmem
d14c2c0dbe bmp version 4: capture unknown tlv values
d29d9e1072 More dissector warning fixes
ed68b4bc64 ORAN FH CUS: Fix seqnum analysis
5efa331836 Add Strato
4a7a376408 print: Don't use hexadecimal for JSON values in -T ek
ce5f29da30 batch of val_to_str -> val_to_str_wmem
0f753efdd1 val_to_str -> val_to_str_wmem for plugins
fc06600d1d EtherCAT: General improvements
1bfaad072f Falco events: Show proper source names for our plugins
45e55ccb48 ORAN FH CUS: ST10 & ST11 allow more SEs
0a048881f0 ORAN FH CUS: SE19 - only add bfwCompHdr if bfws present
cbfd22302c Rename val_to_str_ext_wmem -> val_to_str_ext
48de1716fd ws80211: Add support for EHT 320MHz monitor modes via nl80211
65107a73f9 ORAN FH CUS: SE19 - beamId read outside of loop
bd517c4454 Add vcpkg-export-2025.07.25
fe8bc48715 val_to_str_ext -> val_to_str_ext_wmem for all dissectors
5c12a6e79e packet-actrace.c: General improvements
b3d34db836 eti2wireshark: val_to_str[_ext] -> val_to_str[_ext]_wmem for eti dissectors
679c0b2444 ASN.1: val_to_str[_ext] -> val_to_str[_ext]_wmem
7093d3c8c2 DCE/RPC: val_to_str[_ext] -> val_to_str[_ext]_wmem for generated dissectors
d2a5ce604a xml: Use wmem_ascii_strdown
7bc2ce0156 Create interface to get dissector value_strings indirectly
dd156b4ab6 gsm_sim: Use top-tree for sub-dissectors
33556ea764 json.c: Limit memory allocation to file size
8410db2782 gsm_sim: Dissect SEARCH RECORD according to spec
aea9cd2738 gsm_sim: Improve P1 and P2 dissection
d910bd3472 packet-giop: Remove wmem_packet_scope from giop_add_CDR_string
3c4a5165a6 HSFZ: Fix Incorrect Tester Address
c8152c80ac Qt: fix incorrect center frequency calculation in wireless toolbar
9ac23a8370 Qt: Use … instead of UTF8_HORIZONTAL_ELLIPSIS in translated strings
f82ed9a537 Websocket support on HTTP/2 and HTTP/3
9c4aa7e03f epan: Fix LZ77 decoding when MatchLength is larger than 16-bits
6a1f90808f Misc spelling/typo corrections.
4bc33ab926 Zigbee Direct: Fixed 'Segmentation fault' due to dereferencing a NULL pointer.
5743612528 Zigbee: Updated Zigbee R23/Zigbee-Direct wireshark dissectors.
cef797fa45 BIST-ITCH: several fixes and white space cleanup
e173a5f819 LDANeo: Fix a struct initialization
fbab43c608 GreenPower: Added dissectors for zcl tunneling gpd command
7a71c11c9d Zigbee: Added missing dissectors - Zigbee ZCL/Touchlink
ccf6565a79 packet-capwap.c: Use proto_tree_add_bitmask... in a couple of places.
c4d96d373e wmem_map: Return the number of buckets reserved
f12468bab6 epan: Don't assume the current handle is non-NULL in decodes report
9ea014637e pcapng: Handle excessively long string option consistently
69d9605404 [Automatic update for 2025-08-10]
6287392f5e Zigbee: updated ZDO-MGMT-ROUTING.response dissectors
dca7fd0b42 USB Audio: Dissect MIDIStreaming MIDI Element descriptor.
38edbb67ed MySQL: Add preferences for assumed capabilities
4cc615be02 ICMP: enhance echo message handling
72030dd8a9 MySQL: Properly handle CLIENT_PLUGIN_AUTH_LENENC_CLIENT_DATA
b33b225919 MySQL: Fix tvb_get_fle call
94759c934f MySQL: Update capabilities
5b3639a298 checkAPIs.pl: Show errors as red in console
0df78016a6 ieee80211: update neighbor report to last standard
7bef7e7587 ISO8583: Const-ify "struct iso_type" instances.
a3d8472ac2 packet-5co-legacy.c: General improvements
5c83676057 ldaneo: Sanity check picosecond calculation for Microsoft compilers
1c10af6389 Falco events: Fixup gcpaudit support
c5b1504c0c Glib-compat: adding g_queue_clear_full
c30a1f57d7 Diameter: Fix a trivial memory leak of an XML node.
511f530fba CAPWAP QoS message elements dissection
8b63bddfb3 Fix some dissector warnings
c5379b6cac Const-ify much of wiretap/ .
cb6cb2bf03 Qt: use single-tab separator when copying rows from About dialog
e5fe5e1478 TCP: Attempt to fix OSS-Fuzz 417518224
9c2186eb57 profinet: Remove the hand-rolled XML helper function
4bc6e1e2c6 5co-legacy, 5co-rap: Initialize hfid values to zero
4d21ef2221 bacapp: Add closing tag to listOfPropertyValues
06be5b796d sflow: Advance the offset properly on unknown formats
7915b432ba Falco events: Add k8saudit support
f79931e734 packet-aeron.c - Free key within aeron_frame_info_find()
409a3808bf NCP: get_string -> proto_tree_add_item_ret_string
94de8050a0 packet-dns.c: Replace wmem_packet_scope in get_dns_name
0d52c50ba0 packet-git.c: wmem_packet_scope -> pinfo->pool
d938529114 KNX/IP: wmem_packet_scope -> pinfo->pool
5547bbb367 X11: wmem_packet_scope -> pinfo->pool
ea72592feb XMPP: Remove wmem_packet_scope calls
0209811fc0 Qt: Make JSON data source view highlighting more flexible
5e1ea4844e DIAMETER: Replace Flex-based XML parser of Diameter XML data with libxml2 API
73213bcd23 gsm_sim: Add GET RESPONSE and APDU reassembly
c02d399455 bacapp: Add missing abbreviation for analog-input
90bb3a5c9e xml: Fix memory usage
840af01abd Add BIST-ITCH Dissector
76c83894a6 Qt: enable mouse-over colorization preference for Windows build
c2a7fa1813 sll: add LINKTYPE_LINUX_SLL2 reserved bytes to tree
ed94cd613e SOME/IP: Improve recovery after missing segment
e05bda8249 nfs: Pass packet_info into an RPC function instead of NULL
71d983f65c wmem_map: Use a stack for deleted items
c99032297f ORAN FH CUS: Show nicer when one SINR value per subcarrier/RE
f016ea8947 bacapp: Fix crash when formatting called from print_packet
36c763e9fe SOME/IP: Adding support for bitfields
4eb4204071 RPC: wmem_packet_scope -> pinfo->pool and handle fallout
c2e40c7979 Qt: Freeze packet list earlier on profile change
dae788a0c1 bacpp: Friendly object decoding
e9b3158a9c BLF: Adding BLF improvements to release notes
73ddc5d593 ILNP: Ensure it only runs on top of IPv6 addresses
f0a68795e3 Roon Dissector: Update
d584f66ba7 SAPB: Only check for tvb length if tvb is not NULL
7951fcaf48 WSDG: Minor File Set update
30b83b20e1 Some dissector warning fixes
d249a54578 collectd: Fix unitialized proto_tree_add_expert
448f1e1ec7 Add support for TCP MSS for ILNP addressing
ecf41a8f1a gsm_sim: Add STORE DATA
36bf204187 BLF: fix check for seek (BUGFIX)
395011db11 packet-xml.c: Performance improvements when registering parsed data fields
1ee06b296a packet-xml.c: Use libxml2 for DTD configuration files
1388ed3a79 epan: move filter name check inside tmp_fld_check_assert
fbb52b43f1 Add SGP.22 and SGP.32 dissectors
fe2bb9386c Move radius dictionary functionality to the dissector folder
b2f5309661 uat: point bogus help links to generic UAT help
94ab5005a3 ICMP: introduce ICMP data for ICMP echo
f498fdedd3 xml: Avoid copying elements unnecessarily
c44b47d202 Initial support for HTTP/3 datagrams
07fc562bfe ISAKMP: remove broken link for IKEv1 UAT help
d4e77ec010 ciscodump: Fix #20655 (exit IOS config on cleanup)
fec69ee42d ber: Use decode-as when open BER file
a8fe168d61 Add Indonesian translation
6b08a994fc [Automatic update for 2025-08-03]
72159d9d03 ieee80211: refactor and fix user position in VHT Action
e050ec62e3 ftype-time/nstime: fix is_negative check for sub-second times
e8c254aae7 epan: Optimize the duplicate Decode As preference check
091ed645f7 Update Ixia/Keysight netflow fields.
654a6ff2e6 zmtp: Call apply prefs, not handoff, when prefs change
34cdeac122 oid.c: Presize some arrays.
98ba051973 ber: Support bigger Tag when reading ASN.1 file
3afeba5a41 asn2wrs: Fix autotag generation
2c58f0f389 pkix1implicit: Export SubjectKeyIdentifier
af066a8eaf SOME/IP: improve UAT checks for base types
e16e454834 packet-wps.c: Use explicit flag to show additional information
3fd61b9d9f Zabbix: Add test captures
847dfcd04e ieee80211: fallback to VS data if no matching WFA dissector
cc26446505 ieee80211: do not include VS OUI type inside VS data
832129c298 logcat-text: Don't recreate the GRegex every dissection
6abc525123 dcm: Reserve space in fixed wmem_maps
9aa912d51d maxmind_db: Don't spawn mmdbresolve at startup if the preference is off
9b345082a1 doc: add etwdump changes to Release notes
3a60fb327e dcm: Don't recreate fixed hashmaps every dissection
68d5700c3b wimaxasncp: Use g_slist_prepend when reading xml file.
92c6420f12 BLF_CANFDMESSAGE64_FLAG_BURST typo
5a06c1398d doc: add float() to release notes
2637866463 collectd: Return on decipher failure
b214ce1173 GNSS: dissect Galileo OSNMA HKROOT
de2885510d PFCP: Add dissector support for Juniper L2TP IEs 32938, 32941
726c43e104 collectd: Add a UAT for decryption and signature verification
a2877ae840 Make some zbee functions static
6b9964f60b xml: Optimize fully_qualified_name
a82efed625 xml: Change cleanup routine to shutdown routine
f5da749f72 Revert "GitLab CI: Add job checks to the Windows builders"
c1fdd1d17e MQTT-SN: Improved Topic ID handling of pre-defined and short topics
31e2136655 epan: Free the directory queue itself
a2eecbd2b5 packet-quic.c: wmem_packet_scope -> pinfo->pool
f40a4ea69b Remove wmem_packet_scope from dissect_nt_sid() and handle the fallout
f8a761bf85 [D]TLS: wmem_packet_scope -> pinfo->pool
50f737a9b6 Zigbee: wmem_packet_scope -> pinfo->pool
705f9984bf packet-xml.c: wmem_packet_scope -> current_frame->pinfo->pool
aec8f7fc09 packet-rtps.c: wmem_packet_scope -> pinfo->pool
3c6d1a7955 packet-dof.c: wmem_packet_scope -> pinfo->pool
355ff0612f packet-aeron.c: Remove some wmem_packet_scope() calls
9b9b1b262f xml: Make sure the copied strings get freed
d1d3848506 Fix some more dissector warnings
8294588041 PFCP: Add Dissection for Juniper Targeted Distribution IE (32937)
6e729e822f SCCP: Support segmentation for LUDT[S]
73e1f6f3b5 SOME/IP: cleanup definitions
b372ea9db7 collectd: Separate parts parsing from tapping and column setting
a9e3cf4160 wmem_map: Ensure that the hash multiplication factor is odd
7d31dfb2a8 Qt: Fix Plots CTX menu warnings
301bb9934b ORAN FH CUS: Various small improvements
0b23949565 GitLab CI: Add job checks to the Windows builders
ca5fb0c3cf PFCP: Add dissection for Juniper Network Instance IEs (32925–32928)
151e002c7e PFCP: Add dissection for Juniper Lawful Intercept IEs (32931–32934)
20c63ebb79 ORAN FH CUS: Expert check on portListIndex field value
bc6ea66d53 Add proto_execute_in_directory
f02c69f3dc HTTP2: add handle of header "3gpp-sbi-correlation-info"
cd3770b3b6 Qt: Fix setting secondary message when not queuing msgs
a07b550080 PFCP: Add dissection for Juniper vendor IEs 32905, 32922, 32930, 32940
2db33f1cc3 tools: Allow https to have fields with "http2_" in their abbreviation
1e677eaafa Qt: Check indexOf return value
e5bb0effbe Qt: Use an arrow symbol for plot marker annotations
ecd92a7703 epan: Remove an obsolete comment
d5ffd626aa Qt: Initialize all prefixes when loading supported protocols
8cbe6343ad [Automatic update for 2025-07-27]
727dfd5d77 XML: Defer field registration
1b0eeda64f Plot: add markers
3dc173ede5 CMake: Allow for divergent install directories
53309e9484 Qt: Revert whitespace changes
c17658c073 ieee80211: refactor all the block ack bitmap dissect code
39daba5e24 ssh: Add a null check
c90dec7b08 GENEVE: Fix a label, and explicitly set some encodings
159d7df1a2 urlencoded: Add a URL
f0a94d2fd6 xml: Preload default media types
f32916b719 dtds: Make mscml more compliant XML
351d7761cb Geneve: Add support of Cilium (DSR) Frontend Option
97af38ac5b Json2Pcap: updated according to newer Python and jsonraw format
a62c4a29ae PFCP: Add Juniper dissector support for IEs 32911, 32918, and 32929
b966aa3a58 Paste only plaintext to Lua console input text field
b92fa828d0 xml: register root cdata fields with a .cdata suffix
e5f4ff5212 PLE: Update references to published RFCs
d2a0b321cd Qt: Add an application flavor check to the Plot dialog
b07500b900 bpv7: Use wmem_map_destroy
4f05d857d7 wmem: Add a wmem_map_destroy function
d3b1ffe878 nettrace_3gpp_32_423: Fallback Protocol type when transport is missing
e713550f5f nettrace_3gpp_32_423: Add handle of proxy
d8977198a5 nas-5gs: Dissect N3AN node conf info
7a2d5c3f68 validate-commit.py: Use CI_API_V4_URL as bug was fixed
32e946dc0f wmem: Add some comments about not using wmem_map with NULL allocator
3ea88a1328 RTP: Don't free a wmem_map directly
43ec7c9db3 Roon Discovery: Update
dd368f2e55 wmem: Free the GPtrArray in the callback
738007a61a ldaneo: show an expert info if we can't do picoseconds.
36132bda38 ldaneo: fix build on platforms without 128-bit division.
1a37ee0711 PFCP: Add support for Juniper-specific IEs 32915, 32917, 32919, 32921
6b0139ba07 BLF: improve robustness of code
668155c790 LDANeo: fix missing cast (bugfix)
78d6dec89d feat(dissector): Add dissector for LDANeo device trailer
4c0d3e93f0 BLF: Improve the interface mapping, when writing BLF
72be926f93 Qt: update doc to the version being used + windows to 6.8.3
e6d7f1496d extcap: fix segfault on some older Qt versions
69e08a54ad prefs: Abort if re-registering a module that is a subtree
17265897be wmem_map: Allocate items in chunks
c03bba113d bluetooth: Don't register prefs module twice
7486274796 ZigBee: Decrypt Touchlink key exchange.
14a4b08719 Extend the decryption to return byte range
49303acb06 Edit packet.h
e621bf8aaf Edit packet.c
d486cb10be Decrypted DTLS & TLS
248d0ceea4 Add decrypted content with two return values to Lua API
90fe68abf8 BLF: Adding first support for writing BLF files
a4a2405247 extcap: Update extcap_example.py documentation
4cdfd69117 RDM: Add Product Detail ID List
ff9c23f71f silabs-dch: Initialize static expert_fields to 0
e6ccd8e13c ROON DISCOVERY: Make a couple of functions static
f46fee8e19 extcap: Missing break in argument parsing
4c86a042fb DNP3: Only add application layer dissection to transport segment in frame
6f65689776 extcap: add example in extcap_example.py for table element
3d4f4dfcd4 extcap: when arguments aren't modified, they're not set
58217e2b3c etwdump: allow log level 0, only display supported providers
d2503396fc extcap: call cleanup function after extcap is terminated
d7889cf337 ICMP: Fix conversation lines for error packets
625a3375d6 register: If we don't have a callback, don't use threads
2876935940 tap-iousers.c: add g_free() call for io_users_t
9e5e3cc9d4 PFCP: Add dissection for Juniper Filter Variable and Service Object IEs
38ea316ec7 QUIC: Update to multipath draft-15
b886a96068 column: Check if the hfid is > 0 to be valid
0de96020aa Windows+macOS: Update libssh to 0.11.2
1066414ff0 Roon Discovery dissector: update
46ccb2f8cc Qt: Fix a memory leak
ba370be471 GSM_MAP, Z3950: Don't register OIDs twice
4d98d58b86 docs: clarify usage of --global-profile in TShark manual
687b591cf7 Geneve: Update Class of id
7d1be676c6 LDAP, CMIP: Don't add OID name resolution twice
161fc89da0 SICK CoLA: Initialize ei to 0
150e3ffb31 expert: Define the EI_INIT values as 0.
e199f67780 SCSI: fix READ CAPACITY (10) LBA display to show raw zero-based LBA
35213d24d5 docs: document Exported PDU format in README.dissector
50a22ecc4e pfcp: Run convert-proto-init.py
3fd2d17783 PFCP: fix typo
908a1b12a9 [Automatic update for 2025-07-20]
bb6a95b1b9 btatt: Use register_dissector_with_data to store BT GATT UUIDs
eda3079393 CMIP, P7: Fix OIDs that failed registrattion
c56267534d bmp: Convert hfid init to 0
be26c9625d columns: Initialize hf_id to 0
89b0311f07 WSDG: Document building on Windows with WSL2/Debian.
9dd13e5e63 epan: Remove a too-late NULL check
118eb706e0 epan: Use a hash table for descriptions of handles in Decode As tables
c6e0452e32 lin: claim to dissect all bytes present in the packet.
07bb5c2c50 Geneve: fix typo
f28a53ce74 epan: When adding a dissector range, only look up the table and DA once
51ac56c69b oids: Move debug to ws_log, don't create strings when not debugging
b13b13a949 Use transport-specific display types for more port fields
bba42197ef proto.c: Use wmem_hash(xxhash) instead of g_str_hash.
fd6085b67f Address_resolve: Use xxhas if available for ipv6 hashing.
793a4d5512 kafka: Use XXH32 from the xxHash library if we have it
7c731a8f26 wmem_map: Use XXH3_64bits_withSeed() in wmem_str_hash if available.
83a4d5579e Fix a few more dissector warnings
954e2ecaad wmem_map: Use XXH3_64bits_withSeed() in wmem_strong_hash()
c022cff77d .mailmap: Update (May/June/July 2025)
2c9d9b9f30 pgsql: fix Dead Store found by Clang Analyzer
4cc01a69b0 packaging: Install libxxhash.dll on MSYS2
e87cceaa60 macos-setup: Update a SHA256 sum
ec1065f407 CMake+macOS: Add xxHash 0.8.3
ca5f96bf2e PFCP: Add dissection support for Juniper CP ID IE (32943)
12563278e5 tools: Add xxhash development to some setup scripts
c1fc4db898 Git, EDHOC: Use unique descriptions for media type dissectors
2a0dc25253 kerberos: Add new IAKerb error codes to Kerberos asn1 files
e1b17d89c2 DLT: Register DLT storage dissector after registering its protocol
929faf112d CMP, OCSP, PKIXTSP: Ensure unique dissector descriptions
98de19c7b5 vmware-hb: add ESX(i ?) 9.0 !
a3d76351e1 MQ: fix the code that handles the MQCONN reply.
4bd273d84f netlink: fix selected bytes for padding
18972c7b87 mq: Fix Dead Store found by Clang Analyzer
ef27fa7904 wimaxasncp: Fix Dead Store found by Clang Analyzer
5b8b419a46 pgsql: Fix Dead Store found by Clang Analyzer
19a15e5c0c wmem: Cache full hash in wmem_map
5ffdcefc0f Fix some more dissector warnings
9d780e836b File-BLF: Adding header parsing and channels
4b1b42c939 Make the XML DTDs more spec compliant
525c3cbdb5 etwdump: greatly improve user-friendliness, configure providers, etc.
491b41a829 extcap: add require=sufficient feature
970bb9c60f doc: document extcap "table" feature
97a5152a5a extcap: new 'table' feature
3553063075 macOS: Update GnuTLS to 3.8.10
c1bf5993bc Windows: Update GnuTLS to 3.8.10
6854d872ba macos-setup: Update GnuTLS to 3.8.10
e154f0f850 nfs: fix handling of why_no_delegation4 in OPEN
a28fd6e02b packaging nsis: Fix a missing space.
326ebc0fd9 wiretap: Consolidate limiting IDB precision to nanoseconds
8c2f20daae addr_resolv: Fix service lookups of same port number, different types
84a60ce331 epan: Store dependency graph adjacency list in set (hash table)
0ce128075d tools: Write bluetooth data directly to file
2a10b79a8c pgsql: Fix Dead inscrement found by Clang Analyzer
74b8db6678 Add xxHash library and use it in wmem_map strong_hash.
fbb0e9c47e MATE: Fix SCS handling of huge strings
5ced8de09c ORAN FH CUS: Track back from UL U-Plane to C-Plane udCompHdr
8c34137ceb NSIS: Update a warning
bb83e004e4 dfilter: Make NaN equality comparison more intuitive
43a9a643e1 Move x264_prt_id.h values to packet-x25.c
f569b90062 [Automatic update for 2025-07-13]
66dc8abf9c file-pcapng: Disambiguate hf filter name from ei filter name
3b66bdde69 Restore early handling of console.log.level in ws_log
8ee94e436d Move proto_get_id_by_filter_name calls to dissector handoff functions
01931e0d89 Assorted wmem_packet_scope cleanup
6e8fa6f7d6 packet-giop: get_CDR_string now requires scope allocation
e8120e4b6a packet-dplay: Code cleanup
4cd21d4038 packet-cip.c: wmem_packet_scope() -> pinfo->pool
7724ccdaf0 bluetooth: wmem_packet_scope -> pinfo->pool
6ac1a5c616 packet-gluster: wmem_packet_scope -> pinfo->pool
7347b3f3c1 packet-e164: wmem_packet_scope() -> pinfo->pool and handle fallout
f0c2d21080 GBCS: Code cleanup
2099f1193f toos/check_filter_matches.py:  Add args to pass into tshark
5ef97b3814 sharkd: reset ws_opt globals before restart option parsing
92e8298b74 wslua: expose starttls_* helpers to lua
c7ff9ab1a3 Fix incorrect offset and length in proto_tree_add_item for Diameter Altitude AVP
5e8ac3a201 pcapng: Deal with overflow with very fine timestamp resolution
65d2bda695 Asterix: delay field registration
9008a08507 X11: Delay field registration
7dd97e3981 erf: Delay field registration
9b67b71b4b bluetooth: Put generated data in a different file
e3a7d4f94c val64_to_str -> val64_to_str_wmem
bef81ee7d5 DCCP: Add ILNP addressing support
884713be8d proto: Use wmem_map for gpa_name_map
c03510afc6 Remove char_val_to_str()
b0599a024a SMB: Fix a null check
b9427cf481 QCustomPlot: Qt 6.9 deprecation of QImage::mirrored
0fb5330179 GSM RP: Dissect Originator Address as a Calling Party BCD Number
71a448d423 str_to_str -> str_to_str_wmem
ca17ba47c4 Fix spelling and capitalization errors in HID decode
07ed7339de epan: Don't traverse heuristic dissector lists twice
35d33d9846 epan: Avoid double hashing checking dissector table name uniqueness
7af4b079c2 rval_to_str -> rval_to_str_wmem
3244d45e52 Have bytesval_to_str(_wmem) require memory scope
ab1a2922d6 wimaxasncp: Fix leaks
6312d69609 packet-kerberos.c - Remove snprintf
c4837b1b4a epan: Avoid hashing twice when checking for duplicate proto names
9647ec2277 wmem_map: Add a function to reserve a minimum capacity
44561c6388 KNX/IP: Free keyring XML document when we're done with it
3578172e1e Add new mmc/mnc for iWay AG
bdfaca6f8a Move dot11decrypt_ctx to dot11decrypt_ws.c
c5ac59fb1a epan: Add a size check
7dcf69480d PEAK CAN TRC: Fix a double free
5e8585d68a merge: Treat no tsresol option as 6 when comparing IDBs
f57044b7e1 ORAN FH CUS: Add hint to UL preferences to make usage clearer
9de42598ac No longer need HAVE_HFI_SECTION_INIT
96c8d709b4 ipsec: Fix up bogus padding all-zeroes check
4c79f89e78 proto: Add check for valid value_pos and name_pos
25496bd90f Use ws_log for busmaster and peak_trc
f989ff2e5a windows-common: add STATUS_FILE_NOT_AVAILABLE and STATUS_SHARE_UNAVAILABLE
35cd4242d1 Mate: Free the rest of the runtime data
5991f67932 Add support to the wiretap SocketCAN API to add an interface
17a335400a QCustomPlot: Avoid using QTimeSpec functions deprecated in Qt > 6.8
0278e77119 nl80211: Update nl80211 consts to latest
db9762661f DNP3: Retrieve timestamp with ENC_TIME_MSECS|ENC_LITTLE_ENDIAN
b7b3ab239e pnio: Remove static text preference about no libxml2
58157c04e4 Modbus/TCP: "Prefer" Modbus on TCP/UDP port 502
a3269e9070 More wmem_packet_scope -> pinfo->pool conversions
989e23b996 Add wmem_array_get_allocator
cb3333ce21 DNP3: Fix Y2038 issue with timestamps on LLP64 systems (e.g., Windows)
0102bc0d6c http-urlencoded: Handle byte sequences with no '='
c26cae9c5b Address a few more dissector warnings
f31ffa69fc IEEE802.11: Add some corrections.
118900713d ILNP: Add Dissector (RFC 6740 - RFC 6748)
e58feccd44 PFCP: optionally decode hf_pfcp_bbf_ppp_lcp_magic_number_rx
95dc482a98 tools: Use a more unique fuzz ID
769f7ff930 [Automatic update for 2025-07-06]
a909b8a792 gsm_sim: Show unknown APDU bytes
40ce96dc1b tools/check_static.py: Check for header file references better
6a023f78dc plugins.example: Fix headers installation command
10f6d9b3c9 TETRA: Improve the description of several CMCE PDU types
b8430ae944 Fix some spelling errors
6c63bf057d ORAN FH CUS: Fix/check userGroupId field
54752d7b01 MSVC: compile with /bigobj
60d8cc89a8 Fix more encodings
330d2275d3 Qt: Draw the coloring rules checkbox with the application palette
fe0c553ec6 F1AP: upgrade dissector to v18.6.0
70ff729f01 gsm_sim: Add support for extended length
cd4900e0eb E1AP: upgrade dissector to v18.5.0
2f84d6ceec XnAP: upgrade dissector to v18.6.0
c8d7d7a3da NGAP: upgrade dissector to v18.6.0
28d93cdf1d PFCP: add new Nokia IE dissectors
07c8f4df57 Add tools/find_filter_matches.py
e1e6b07116 PGSQL: Fix some dead assignments and increments found by scan-build
0865ff99f3 DTLS: Consider epoch in DTLS 1.2 reassembly of rehandshake
3c1d047483 candump: add a coment to indicate why we're passing a null pointer.
fec467c7ac NR RRC: upgrade dissector to v18.6.0
8003fefa15 LTE RRC: upgrade dissector to v18.6.0
15899675fe IEEE802.11: Add guard interval, mcs index and bandwidth in radio info for 11ax.
149b89935b NRPPa: upgrade dissector to v18.6.0
2950fcfa3a NAS 5GS: upgrade dissector to v18.11.0
ac4e92f554 candump: use the interface name field.
2f449f7335 WiMAX: Fix some array bound overruns
ab8361d82f file-pcapng: Augment extraneous data report with length and expert info
2aef2a9943 file-pcapng: Add new field to identify extraneous data
e73bad0446 Allow zero length source lengths to tvb_bytes_to_str[_punct]
0c420ce807 MATE: More runtime leaks
988de6cd15 NSH: implement dissectors for TLVs defined in RFC9263
7a6763dcdc isobus: Fix description of the Get version command
a00ef929df gryphon: Fix Coverity CID 1159201
42eee247e3 ORAN FH CUS: Fix a couple of issues with SE24
7867ac96dd capture_opts: set the timestamp type to a *copy* of the default.
71fd911737 RTPS: Fix NULL pointer dereference in Type Lookup Service dissection
b84900c5fb IEEE802.11: Add Trigger Basic for 802.11bn(UHR).Common Info and User Info.
fe6fb389b8 sharkd: Expose max_packets and max_bytes to the load RPC
1121a14269 RTPS: Adding support for TypeLookup Service (OMG DDS XTypes 1.3 Spec)
554569d56c dissector uds: add ResponseOnEvent Service
17d2fbd7ac wifi-nan: fix the AMBTT appearance and Discovery Beacon info
b70913371c gsm_sim: Make p3 optional in default dissection
12bc05a9a1 epan: Find mark truncation name_pos
2d927d69cf epan: Mark truncated improvement
5bfacbb54e epan: Pull postdissector priming internal to libwireshark
ac9918544c TPNCP: Improve bitfield display
22f56c00fe TPNCP: Protect against bad ip mark for enum field
b815a21a85 TPNCP: Support 64-bit fields
a76b5edf8d TPNCP: Sort enums, events and commands in tpncp.dat
dbb683e5d2 PROFINET: Fix Coverity CIDs 1647943, 1646918, & 1646913
9ae42d443e ACDR: Remove tcp port
2288438603 MATE: Fix other leaks
2203b736ec gsm_sim: Use common response handling
219729d46d Qt: Fix crash reloading Lua plugins with non default non custom columns
d97ab00856 DOF: Widen a loop variable
6a6f5da68e ASTERIX: Widen a loop variable
cfd51d2381 ORAN FH CUS: Make SE24 clearer
39bc881b6e MATE: Free runtime created PDUs
9871f05875 MATE: Remove unused tables
0d21bbe355 gsm_sim: Add non GSM AUTHENTICATE
504926f81f MATE: More parsing leaks
5ca785d43a gsm_sim: Various improvements
9510afb8cb MATE: Simplify hash table calls
52d2ad6bcf MATE: Memory usage in lemon grammar
108a5ec917 mtp3/mtp2 wmem improvements
0aa3a3317c plugins: Don't unload plugins when using LSan/ASan
83392c37dd MATE: Minor fixes
fc82e6e3a8 MATE: Use editorconfig, remove modelines
287ed47184 More wmem_packet_scope -> pinfo->pool conversions
d2d935eee0 tshark: Print glossary help when no argument given to -G
1d3c42dc64 [Automatic update for 2025-06-29]
ff9d559222 Zigbee ZCL: Occupancy Sensor Physical Contact attributes set
cb66f9aba1 ETSI CAT: upgrade dissector to v18.2.0
a2c98f8f19 Qt: Use field value representations only once
f7c34b24f1 UDS: Fixing RDBPI payload (Bugfix)
18cd069e72 gsm_sim: Extend TERMINAL PROFILE
16eb2c835a Bugfix SMB2 FID creation that prevented dissection of MS-WSP protocol
c08ed311b4 Qt: Update QSortFilterProxyModel for Qt 6.9/6.10 changes
33e0bb6520 Falco Events: Only show "Follow → Falco FD Stream" when we have data
b11b954dc3 Fix some more encodings
7a185bea9f ORAN FH CUS: correct IQ normalisation used with BFP
069ac7a9c2 Qt: Fix duplicated main menubar item from plugin
b85d66e21b packet-cops.c: Overhaul dissector to use native API
0001116549 packet-mswsp.c: Various code cleanup
7831ea425e check_typed_item_calls: Improve FT_STRINGZ handling
e5403d899f epan: Update idleness check logic to set the fi data source tvb earlier
159b49e8e5 epan: Update our offset idleness check logic
6b38278309 epan: register_tap_listener could cause double free on error
8e552a315d typo in comment
5ae360c15c fix 1655106
b541eee087 gsm_sim: Add SUSPEND UICC
605715e29d Fix more warnings from check_typed_item_calls.py
da71940c7f gsm_sim: Add response tracking
6a33fdf0e6 JSON-3GPP: add more callbackReference
f123cf5a03 DIAMETER,GTP,GTPv2,PFCP: Do session tracking first, then add to tree
6ee99b00f0 sll: Treat GRE over IPv6 as GRE over IPv4
63a9c7762e Use ws_log for kerberos, roon_discovery, rpc
a62a5dad4c NHRP: added fields for ipv6 addresses
8702d8f72b Qt: Handle [[nodiscard]] QFile::open in Qt >= 6.10
f75a462395 mq: Don't get strings to append to COL_INFO if pinfo is NULL
df947b69da HTTP2: Make a function static
144ec247a5 smb: Use wmem_new0 to ensure values are initialized
3d497ddbdc socketcan: display CAN XL Remote Request Substitution content
184cd2c0ca Register some missing subtrees in dissectors
02725d7128 ieee80211: Make the naming of wlan.wfa.ie.wpa.*.type fields consistent
1206abdeca Qt: Copy data in Show Packet Bytes dialog
6f13ac41b7 Qt: Wildcarded disconnect considered harmful
b5e2afbf7c opcua plugin: convert to ws_log system
f6b8d48316 Check remaining buffer size for floating point custom columns
2236a86489 Convert "easy" wmem_packet_scope -> pinfo->pool
55ecc555a4 Qt: Use field value representations when available
c3fbdd061f LBMR: Prevent GCC maybe-uninitialized warning
d46ad1387b SMB: Multiple requests in same packet fixed
a4e3ee6b61 ssh: Dissect pty-req SSH_MSG_CHANNEL_REQUEST
68371b5e42 Fix dissection of iBeacon BTLE advertisements
44b0d3dac6 epan: Expand the usage note for col_set_str
523e6aa11a RPC: Use pinfo->pool instead of wmem_packet_scope
c0e59c5d62 Qt: Initialize show selected enabled
6eab9f83ab SICK CoLA: uses packet_info pool memory instead of packet_scope one
d9a3ebff61 etsi_card_app_toolkit: Dissect DNS server address
dd391b48b0 Change a few more encodings
8c1a8517c4 RTR - BGP RPKI update ASPA pdu to latest draft
3c36ba82aa Qt: Fix include in proto_tree
a9cf80272b isobus: Add support for Screen capture command/response
3c162317c9 kafka: bump supported api version when trivial
5ea928adde sshdig: Add an I/O snapshot length option
6404d51adc HTTP2: reduce duplication of 3GPP session tracking
1d6402c85e [Automatic update for 2025-06-22]
06da3512cf kafka: fix dissect_kafka_delete_topics_response()
76f8c0577b Falco Events: Maximize the evt field length
0cfee2f0e1 HTTP2: Improve 3GPP referenceid regex
811b934391 Encodings: Also check FT_STRINGZ
f24a3af301 doc: Add HTTP2 tracking of 3GPP session in release note
aa1876634c HTTP2: update name for 3GPP session tracking
b003f599e5 HTTP2: Add Associate IMSI from mapping location with referenceid
24b7055869 Gryphon: Fix retrieval of destination ChannelID in CMD_MSGRESP_MODIFY
e7817ac7a8 docs: Add a release note entry
0c912ae40f PGSQL: Dissect CopyData content
35cddec4de Associate .scap files with Stratoshark
93525b979a ssh: Fix dissected length of local extensions
4d9bf278c3 ssh: FIX Ping Pong messages dissection after REKEY
b6ddd18e69 ORAN FH CUS: Show Symbol reordering layers as summaries
495183988c Increase max indent When printing an expanded proto tree to a file
5c543358c3 Encodings: further reduce warning count
ade64a0bcd ssh: Use data-text-lines for shell and exec commands
ed083678b7 TETRA: correct the length of the call identifier field
7f653eed2e Remove temp debug
ce3fdfddd1 NMEA0183: Heuristic UDP Detection
a7cbd8282c NMEA0183: Parametric Message Table Updates
4c0a79aa58 ORAN FH CUS: Break down individial symbolMask bits
5a0ac770f8 dcerpc-pn-io: fix length of a subtree
187e23bf13 ssh: Use s2c_c2s tfstring
be0ea5fe52 Docs: Add a buglink text check
c397602a4c ASN1: Update a comment
5939b1c054 icmp: Fix indent
92b9ebd316 ICMP: Readd EI switch block
a7aff4f333 extcap, plugins: Check for identical personal plugin directory
4015e9250c Improve check for whether VALS fit into item mask
c62d8d7abf ICMP: Make use of correct type list
a11df8a55e Bluetooth: Allow specifying if a custom UUID is a long attribute
4a18e77d30 ICMPv6: Minor field display name changes
0396917654 androiddump: Have a timeout with non-blocking sockets on Windows too
b7060b5125 stcsig: Parse timestamp ns values correctly
bffdaf6d6e fix: pipeline
b09c37faa5 GSM MAP: fix Version 2 of ResetArg
efce296e4c EAP: MCC and MNC Reordering in the tree
fe09b2df4d GTP: Assosiate IMSI with all packets in session
ae9da80694 androiddump: Use WSAGetLastError instead of checking errno on Windows
73d836e71c ssh: Parse SSH_MSG_CHANNEL_EXTENDED_DATA packets
e8e06d7065 ssh: Parse env and exec CHANNEL_REQUEST messages
362528c613 Start finding commonality between CAN wiretaps
65718f1932 ssh: Adjust length warning for modes that do not encrypt packet length
b8e356e2b6 JSON-3GPP: add more PduSessionUri for referenceid
1409ce6d24 Qt: Calculate dropped packet count percentage
128d9ac3f7 ssh: Add heuristic dissector
97afd107b7 file: Count OPT_PKT_DROPCOUNT
a0863f4f37 Another batch of encodings
a3c0e318bc Fix a comment.
92e83a0d58 MBIM: Fix MBIM_CID_MS_LTE_ATTACH_STATUS 3.0 dissection
cb832f540c HSFZ: heuristic dissection improvements
d115cf3ca7 rtcp: Add RTPFB and XR to the RTCP dissector heuristic
f85f13955b JSON-3GPP: add PduSessionUri to referenceid handle
d4f48c897c rtcp: Add support for RFC 7097 XR Discard RLE Report Block
cf1acfcfea GTPv2: During fallback 5G->4G, try HTTP2 referenceid lookup
7e840bd9e8 wmem: remove last references to wmem_strbuf_t max_size parameter
3588358579 JSON-3GPP: Add referenceid mapping to Associate IMSI on HTTP2 stream
148e04ec65 ORAN FH CUS: Show beam allocations for SE10 beamGroupTypes 0-1
2babbeeed9 FT_BYTES: fix some encoding args
a8bbf144c5 Fix encodings for FT_CHAR calls
5bf0f22da7 SICK CoLA: Fix some trivial things
ca9a38fc62 Add SICK CoLA dissector
42230f4f19 wsutil: Make files_identical work on directories on Windows
9edf6e9258 BTATT: Use the remote BD ADDR when tracking MTUs
25346e229f DHCPv6: Update dissector and add functionality
c0bb27ed29 Prefs: replace preference type 'bitmap' values with enum
7a63a37e0e ssh: Provide static functions for determining in_response
eea24c0fba MQ: Fix MQCONN/MQCONNX dissection
f32ca5b5df [Automatic update for 2025-06-15]
47ceb94ec1 ssh: fix MR2018 Coverity DEADCODE warning CID 1649426
4c685ba9cc editcap: make sure a file name was specified for --inject-secrets.
8bd1c788a5 BLF: Fix channel XML parsing if it spans multiple blocks
37cdbc2b4a wtap_opttypes: add stuff for file-type-specific blocks.
a3c3a7cd38 FT_IPv4 fields: Use ENC_BIG_ENDIAN rather than ENC_NA
8cf5defe76 Qt: Add a "Redissect Packets" View menu item
cfda5ab07e rtcp: Fix erratic calculation of num_of_reported_pkts (RFC8888 Erratum ID 8166)
3e038cb112 hsfz: Improve alive check dissection.
4e1916f0d8 Another batch of FT_STRING encodings
cc444f004e ssh: add multisession decryption and REKEY decryption support
7483e22277 Add support for G_REGEX_DEFAULT
52ba98d726 ORAN FH CUS: SE27 fixes
fba07b5ff1 ORAN FH CUS: Show and check SE24 config entries in more detail
999c0bb4ea docs: document initialization and cleanup usage in dissectors
764e58f82c Remove some more ENC_NA from FT_STRING calls
e763d3a33e JSON-3GPP: Add Associate IMSI on HTTP2 stream if Supi with IMSI found
b5bb982e86 HTTP2: Add Associated IMSI if found Supi in Path header
fec7f6c406 candump: don't crash if we dn't have any tokens in a line.
c681e6d0e4 candump: don't crash if we dn't have enough tokens in a line.
5deb8164cc docs: Added use-case and example for add_conversation_filter_protocol
ad58002906 ssh: Simplify sequence number tracking during first KEX
b78d12e6f0 pcapng: use block-informaton table entries for standard block types.
8802aa9d23 Edit AUTHORS: update Bill Meier email address
de27688c02 e212: Add entries for Test network
9fb3228b70 e212: Add some international operators
0eb93380cf docs: Document Reload as File Format in the WSUG
583bfe65a5 JSON-3GPP: Add Associated IMSI to Supi, correction
40af504ae5 JSON-3GPP: Add Associated IMSI to Supi
478960f946 tools/check_tfs.py:  For --common-usage, sort output
01b8ab61dc Encodings: Remove more ENC_NA from FT_STRING calls
63b13d99a4 DIAMETER: Assosiate IMSI with all packets in session
3fecc7ea35 WiMax: Fix build on GLib < 2.74
91601b0708 Version: Stratoshark 0.9.2 → 0.9.3
a4af163fa7 Build: Stratoshark 0.9.2
8ae78bbaaf tap-stats_tree: add finish callback
741943def1 GitLab CI: Fix the Windows Arm64 Falco plugin version
14c20896bd tap-wspstat: fix hash and add finish callback
60a146b044 packet-rtsp: memory management tweaks
24e6ca2b7b packet-sctp: memory management tweaks
70d4404145 Couchbase: Add new opcodes
30ebb90c32 CMake+Falco Events: More offset fixes
c5b9f26003 Stratoshark: Fix some profile settings
58fb3788e9 Falco Events: Add back falcoevents.id
64fbc5d900 Qt: Preserve simple dialog secondary message when queueing messages
9a58fee8a0 Qt: Make some strings translatable
e3301c9434 Qt: Avoid using "(s)" and instead use plural form
f4753b34d7 Move the Falco Events plugin tree to the top level
eb6f6844f8 btatt: Coverity warning: Add missing NULL check inside get_mtu()
44a6e08290 packet-silabs-dch: use pinfo->pool
70bf50b5f8 PFCP: Associate IMSI with all packets in session
50793411c9 PFCP: use wmem_maps instead of GHashTables
7abf698a95 GTPv2: Assosiate IMSI with all packets in session
4aa1b3d65a Qt: Add missing numerusform
94f8f2f872 Qt: Plural and translatable "days"
b0df829a51 mikey: Base64 decoding for application/mikey MIME type
cf14669c96 Fix radiotap vendor TLV handling
036589858a WiMax: Replace Flex-based XML parser of WiMax XML data with libxml2
a477d12103 candump: Replace Flex/Lemon logic with just "straight C"
f1a4d7c6a7 ORAN FH CUS: Update some checks and comments for ULPI
b2f3517b56 pcapng: make pcapng_read_systemd_journal_export_block() less different.
0248847fae pcapng: pass the block type to pcapng_read_packet_block().
227cfd267b btatt: Account for the ATT bearer when tracking ATT transactions.
f4e67a1ec2 btatt: Make L2CAP context available inside ATT dissector
4dd7bbc0a0 [Automatic update for 2025-06-08]
dc795c3d84 ssh: Support the "none" (NULL) cipher
16b20cf2f6 pcapng: pass the block *content* length to block handlers.
1c7349a918 ssh: Use proto_tree_add_checksum_bytes
8358b4dba3 pcapng: various fixes.
af58cb15d4 Fix some more encodings for FT_STRING fields
f5b38800d4 pcapng: allow low-level option handlers to modify section info.
8091e15f31 pcapng-netflix-custom: eliminate or staticize routines.
4a8a04697d Windows packages: Update to minizip 2.0.9
cf87542f66 CMake: Find the liblzma.dll from minizip-ng on Windows
785308bca8 Windows packages: Update libgcrypt to 1.11.1
0183deb561 CMake: Update to Npcap 1.82
fc357e3830 Allow wiretap block options to register themselves
c22f2b9999 Move more Netflix BBLog stuff out of common wiretap code and headers.
195acd3fff Fix some spelling errors
24eec5e08f checkfiltername.pl: allow packet-bblog.c to register frame.bblog fields.
ba0d702a3f Update to vcpkg-export-2025.04.09
fb4fa94935 pcapng: provide a general mechanism for private per-section info.
4c43e372cf gtpv2: Remove double spaces
c1cd44a8d1 Check more FT_STRING encoding values (removing ENC_NA)
4b3a6c852a ssh: Minor cleanups
565942e985 Encodings: Remove more FT_STRING with ENC_NA
0150d8cd42 ieee80211: Dissect ANQP Neighbor Report per IEEE 802.11-2020
19072d617f SSH: Handle defragmentation and truncated packets
19eb942516 pcapng: clean up the NRB-reading code.
42ee910f67 pcapng: just use WS_ROUNDUP_n() and WS_PADDING_TO_n() directly.
1b58e484aa pcap, pcapng: make pcap_get_phdr_size() return unsigned.
4acb353f3b More WS_ROUNDUP_n()/WS_PADDING_TO_n() uses.
76726e88d8 BACNET: fix error: ‘npdu_length’ may be used uninitialized
2b8693c6da ssh: Rename a static function to be accurate
6cd16efd20 ORAN FH CUS: Add preference to show unscaled values
096bcc8738 ORAN FH CUS: Take more care over access to state->ack_nack_requests
e13b64459e Don't fetch modelines page while checking dissector links
f3aefe9125 CMake: Add some checks to UseLemon
80b74d8042 plugin_if: Update plugin_if.h docs to match the functions' arguments
b166d74b66 wiretap: remove an unused function.
1942010580 pcapng: clean up some padding.
bd947e0412 GitLab CI: Fix some paths
d68adcf428 smb: fix handling of lists of extended attributes.
09d11bc70e GitLab CI: Remove old macOS hacks and add a new one
1ea71e5be7 GitLab CI: Fix some paths
2843150aa8 ieee80211: Add an address null check
81c5614c27 NFS: add support for CB_NOTIFY
a5670147ab STUN: Handle UDP messages with multiple PDUs, WhatsApp methods
5ae2b72cd9 BACNET: Update to protocol revision 30.
923c309a59 Don't use ENC_NA as encoding for FT_STRING fields
11b85cdf02 Rename AudioCodes protocols to enable rebranding
c2551c825f SOME/IP: Fix dissector using unregistered hfs (fixup abd6e92b)
8638115e84 TECMP: Adding support for default interface names
7358ce7739 Windows: Update Falco libs to 0.21.0 and plugins to 2025-06-03
9a63886aca CMake+macOS: Update Falco libs to 0.21.0 and plugins to 2025-06-03
b47744ac18 Qt: Move findTextCodecs to MainWindow
56c1fab216 cmake: Fix Windows static build
049c1116e1 Plot: Fix potential null pointer dereference
9daa39eb3c CMake: Add error checking to FetchArtifacts
61c31a47c4 pcapng: add helper routines to write block headers and footers.
9711bd0673 Qt: Initialize a variable
4a7fa7e51c Replace hand-rolled equivalents with WS_ROUNDUP_n() and WS_PADDING_TO_n().
5f485d59c9 Fix trivial clang warnings on MSYS2 Windows build
eb2aea39af smb: add some necessary CHECK_BYTE_COUNT_SUBR() calls.
843b538528 packet-ethertype: remove magic ethertype values
aee4ac8469 Qt: Avoid using QTextCodec in simple_dialog
f871fd4072 Logcat Text: Add a pointer check
3718fbd536 More encodings (Ixia Netflow and BTATT)
b6a98fc826 ieee80211: Add AKM 24 EAPOL decryption(dh group 19, 20, 21)
1bdf0c7c20 hsfz: Add heuristic dissection.
5d24086474 Bluetooth: Dissect Periodic Advertising Response Timing Information AD
acb0b363fc Plot: Fix build on macOS
f642f1f5c8 Docs: Add a "notable" attribute
3211a19136 ITS: DCRS modules updated to ETSI TS 103 301 v2.2.2
d5ed1ab0f2 dct3trace: Address (false) Assigned value is garbage or undefined warnings
33fb7e3e2e Plot: Add plot dialog
4196df5871 Qt Widgets: Add a spacer class for QCustomPlot's legend
89cd2be814 Graph: Allow passing axes to constructor
00302f12a9 dfilter: For contains, implicitly convert field with value strings
a7e92b75ad dumpcap: Count custom blocks as data blocks (packets)
58fe0b7339 capinfos: a couple of cleanups.
599a88e900 capinfos: Fix a memory leak found by scan-build
b8a6c46bb3 rdp_egfx: fix Dead Assignement found by Clang Analyzer
15d8785e8f navitrol: Fix Dead Store found by Clang Analyzer
2a92316fac ORAN FH CUS: Fix udCompHdr seen in C-Plane to UL U-Plane
5cc6a52b49 ssh: Handle entire hostkeys-prove array
ca3946dd48 x11: generate from the xcb-proto-1.17.0 tag of xcbproto.
e22cc95450 x11: update and regenerate.
d5c36d06ab nettrace_3gpp_32_423: Convert XML processing to use libxml2
59f92359a7 SSH: Use ws_xton
8142ab35a8 SSH: Check payload lengths and take a subset tvb
01074ba601 [Automatic update for 2025-06-01]
7e966422b6 peektagged: Convert XML processing to use libxml2
3763f85f9b KNX/IP: Convert processing of keyring XML file to use libxml2
2d5440be0f pcapng: clean up padding-to-4-bytes code.
826dd1d12b Gitlab CI: Arch Linux: update falco-bridge -> falco-events
ca99001705 SSH: Fix use of wmem_map_lookup_extended
c03bab6de6 ssh: add PQ KEM sntrup761x25519+mlkem768x25519
b7f0ce13cb USB-HID: Revert remaining encoding changes from previous commit
2101ffd5e0 USB-HID:  Fix incorrect encoding change in previous commit
49c5e5519a blf.c: Convert XML processing to use libxml2
323e1fb436 dct3trace: Convert XML processing to use libxml2
3fef22a629 More encoding changes
aaf3736a34 proto: Also print special time values in display labels
2554118045 ORAN FH CUS: ST9 fixes
34a354e3c7 Qt: Add plural translations
814529c4b8 Qt: Avoid crash in extcap multiselect
19ac397f77 GitLab CI: Have the Commit Check pre-commit run on the first commit
8537f819d3 Qt: CaptureInfoDialog, if enabled, should show when capturing on startup
1386f5cf83 Fix a few more encoding values
58bf5470db dftest: Fix linking on MSYS2
009eefc5c7 frame: Minor cleanups
9379cfbfdf Fix broken links to developer-old.gnome.org
9f75b9e06b LLC_v1: Rename one of the freqDomainResources fields
742767f2c2 TLS: Convert GLib types to C99 stdint types
01c4671edc MQ: code improvements
8ca28b3e38 Falco Events: Fix our plugin field offsets
5312d65c12 Add a "License" property to wireshark.pc
1d9b026fdb btle: Fix LL_PERIODIC_SYNC_WR_IND dissection
8e6b2472ba capture: Don't hang on a failed read in capture_info
98ed11afde SSH: Dissect other public key blob types
de0241e296 pcapng: fix white space.
f6160b229d Silabs Debug Channel: Don't register a conflicting hf
59908c5bb6 Improve handling of unwritable records.
916d038f35 pcapng: fix indentation.
2ce5f4c43a tap-sipstat: improve memory management
40aca8b0b6 bblog: register option fields under the "frame" protocol.
9d38a546c9 frame: have a dissector table for custom binary options.
8379331c4d SSH: Support OpenSSH strict key exchange extension
d228b91338 dftest: Convert filter to UTF-8 on Windows
1a1a6c3b38 packet-mq: Adapt strings part 1
f3069a0fb5 Update README.tapping for a function signature
0cadee6944 frame: give the custom binary option handler a dissector's signature.
67a7879673 Reduce the specialized handling of Netflix custom options.
5d3605b293 frame: do all the Netflix custom option stuff in one place.
b9abe011e1 frame: change the way we avoid unnecessary dissection steps.
bb3a822f73 CMake: Fetch our Asciidoctor bundle on macOS
3a43209f31 SSH: Support OpenSSH host-bound public key authentication
0b2fa34b7f wslua: Fix some leaks on errors with gcrypt
74b01a3b42 extcap: restore debug logging as ws_info log
651b6a3c1d WSUG: update preferences documentation
b43649759d QUIC: Handle multiple Retry Packets
764ab0b014 Keep wslog and GUI long options from colliding
66134454e8 Adding support for changing foreground color in filter edit (Issue #20202)
e8fc4b7000 [Automatic update for 2025-05-25]
773d3d1035 ANSI_TCAP: Add dissection of parameters
44d5f58452 HTTP/2: Only set COL_PROTOCOL once
688c8b0d39 TTL: Update to 2.0.10 specification
7e6ee6d21b GRPC: Only change the column on the first GRPC message
e24153bdc9 Zigbee CL Touchlink: Utility commands lack inter-PAN transaction ID
8a5f73a12e MQ: undo value_string macros
b288e1dc3f NGAP: Fix SCTP PPID and port doc references
69fb1cbc2a bHTTP: Introduce Binary HTTP dissector (RFC 9292)
6d78165824 Register sysdig pcapng blocks via register_pcapng_block_type_handler
3abaa9bfca Peak TRC: Iterate over colmap correctly
2a7476e3ac Add Navitec Systems Navitrol dissector
3417287a04 A few more encoding values
f4d630e433 PROFINET: dcerpc-pn-io various spelling and encoding fixes
5a74d334d1 Qt: Update DisplayFilterCombo on theme change for all OSes
308e6a78a9 PROFINET: Fix more leaks
6a8a977512 frame: dissect all OPT_PKT_ only if it's a REC_TYPE_PACKET.
e3101b4cb2 BPDU: simplify appending text
a9a73cb08f Profinet: Small dissection fixes
4216227401 SMB: Add trans2_subcommand to SMB header
20f79063d7 LLDP: Set encoding values appropriate for item types
23ca028d66 packet-mq: use wmem_strbuf
0cf85757b6 Docs: Capitalize Lua
8d30a9303b Qt: Captialize our plugin types
608adb954c CMake+Qt: Don't look for WrapVulkanHeaders
badf2f8c4b tls: Fill Info column for Certificate Fragment
6a353509cf Docs: Add a missing bug link to the Stratoshark release notes
93d680b448 pcapng-netflix-custm: don't use sizeof for the tcpinfo option size.
307dc2706b DIAMETER: Do not use IP/Port for conversation
4a4f64ea8f Add an explanatory comment.
be2eb6bafe JsonDataSourceView: Fix highlighting
daceafe435 PROFINET: Use pinfo scoped memory instead of file memory when possible
4e8378556b Peak TRC: Regex match in raw mode
28fc51fe5e IDN: register a missing subtree
32f1c472cb TTL: Fix crash with malformed TTL header (zero block size)
2283ff4938 Have wiretap provide the name for the type of a recored.
559282b46f wiretap: do more custom block processing in pcapng.c.
5fc5d97e39 tap-oran: address memory management issues
cf428e2c52 tap-macltestat: add finish routine
2f364c30d5 tap-protocolinfo: minor memory management tweaks
66e426e70f tap-rlcltestat: add finish routine
25b3adcb8d tap-sctpchunkstat: add finish routine
c17c445767 tap-rtspstat: improve memory management
7f1ba9d275 Qt: Rename ByteViewText to HexDataSourceView
d148ad3f40 QUIC: Add version_information_draft quic transport parameter
67944f32e3 wiretap: add more wtap_setup_XXX_rec() routines.
5e7c432b9a RTPS: Updated dissector to be compliant with the DDS Security 1.2 spec
dc4fb05651 mmdbresolve: Remove dead code
90e2c07344 Qt: Rename ByteViewTab to DataSourceTab
67bb36a181 Cmake: ENABLE_STATIC -> BUILD_SHARED_LIBS
ab85787352 vlp16: Fix Dead Store found by Clang Analyzer
a108f4bd08 Falco Bridge: Rename to Falco Events
000727ab39 wiretap: add a routine to set up REC_TYPE_PACKET records.
b737ee7e25 at: Add Info column separator before gsm_sim
b11bd167f4 packet-mq: Adapt for version 9.4.2.0
55c4abe053 PROFINET: fix value_string call
5f43ca654e Glib-compat: adding array_steal functions
14e5e86373 Qt: Fix interfaces not being scanned on startup
4054f1cf22 [Automatic update for 2025-05-20]
281bf8d991 mmdbresolve: Print our help and version information to stdout
541be4374a TLS: Add historical GOST cipher suite value
800cd6901c mmdbresolve: Process our help and version args up front
86c14b305d AUTOSAR DLT: remove some unnecessary code.
a7804797eb AUTOSAR: update some links.
27597b9966 Falco Bridge: Add a stream index field
9edd26a4b4 PROFINET: Fix leaks
4226b85425 PROFINET: Fix protectionMode bitmask upon retrieval
812f277d0e Add LibXml2 to the required library list
728b1d0ead A few more encodings.
faded17c04 SMB: Show FID in the Packet List and SMB header
50d521540e TLS: add new ALPS extension codepoint
2353466d31 DNS: bugfix make_local_part_domain
8f62d51504 tap-iostat: Get value in a separate static function
fa03e4d2e2 Fix some spelling errors
54f86920b8 PROFINET: Initialize variables outside branches
5a92bb620c dtls: apply cosmetic fixes to record number tree items
ff1af2a166 rfc7468: register for the application/pem-certificate-chain media type
cb0234dd5b PPP: Fix review comments
66124e4766 Add support for PEAK CAN TRC log files
c823df5b2d ieee80211: fix dissection of MLO GTK, IGTK, and BIGTK KDEs
2294a9f8b2 NVMe: Add missing reserved bits to Arbitration Feature
26a34923ae macos-setup.sh: don't fail trying to remove something that's not there.
02c28716ed Abstract UI command-line options
143a4403e5 Replace GPLv2 text with SPDX-License-Identifier in dissectors
2d708f4a63 Update GPL for no FSF mailing address in a couple more places
b06cf777c7 TCPCL: Cast to avoid MSVC enum warning
58befd09bb QUIC: Extend 0xfaceb0xx version support
fa612c4ea9 CP2179: fix RST_RESPONSE_CODE value
54b895df4e Fix building docs on Windows
41a051c362 mmdbresolve: add version and help information
614add27f2 Update GPL copies for FSF no longer having an address
f15b9e9a80 dcerpc-netlogon: Guard debug statements against private_data being null
5eac2708f6 netlink: Fix a few enum types
9479c10d1d GitLab CI: Install the right Qt version on macOS
b88a15bf8a GitLab CI: Update macOS installer to Qt 6.8.3
436196cd7c Check some more encoding values
0797017705 DNS: Add to Responsible authority's mailbox field
1a194e6b06 GitHub Actions: Add --install-required to macos-setup-brew
3ad019558b Add support for PEAK CAN TRC log files
4baee613b0 dfilter: Allow vals() to work on FT_BOOLEAN hfis
1aa25c8e5a Added C2P (Commsignia Capture Protocol) dissector
0187900f45 PROFINET: Adjust profidrive padding
6d1dab030a PROFINET: add support for displaying PNIO Data without AR
2475d6a587 profinet: Remove TSN references
7984e917bd Add Ouster VLP-16 dissectors
1a60ca259c ieee80211: Update list of Aruba VS Subtype
27075183a1 tap-iostat: Fix a leak
9c27acd7a5 CMake: Unconditionally use 64-bit time_t on 32-bit glibc platforms
3afd82ad01 spnego: add request-mic to negResult
2ac507e8f9 iostat: Separate out retrieving the interval start time string
5d58b175e8 wiretap: rename a routine not to sound too much like another routine.
ddbb43ca96 wsutil: Also add the "Z" suffix to UTC times with precision 0
2544a1251b tap-iostat: Fix a possible floating point exception crash
425eb8e4ba pcapng: put the sysdig stuff into a separate file.
439095c84e tap-iostat: add reset and finish routines
22cd16b1cb pcapng: remove a no-longer-needed union.
8b4e1b9f70 Create ability to register handling of pcapng custom block enterprise numbers
ef648f95f3 Directly integrate netflix custom block structure into generic data
c46bb744a5 RESP(Redis): Add pref to call JSON dissector for strings
62a2bb5f50 Address more encodings
5d90ee083f HTTP/3: Clear the Info column as intended
c9f95524ac pcapng: put the Netflix custom stuff into a separate header file.
45c28eb4f4 CMake: Update the macOS GLib bundle
b3390c0e1b TPM: Bugfix potential deference NULL pointer
20e7a6721f Fixed issue with self-closing XML tags in TS32.423 files
43218ac982 vmware-hb: Add build number info of 8.0 Update 2d/3d/3e (and 7.0 U3s)
0c8b016482 Some more encoding fussing
2cbe4df41a pcapng: handle custom string and binary options differently.
3595ee0178 GitLab CI: Fix some aws s3 commands
3b0c5c6186 CMake: More osx-app.sh updates
3af1e0e474 CMake: Make sure we pass the right arguments to osx-app.sh
f7ead27f0a GitLab CI: Fix some file uploads
80687cebd5 GitLab CI: Fix CMAKE_PREFIX_PATH
c76a851ead GitLab CI: Use Python 3.13 for the macOS package job
2125c2b9aa [Automatic update for 2025-05-11]
7953ab4926 GitLab CI: Update a path
b04822e72d GitLab CI: Fix a path
a2ae93832b GitLab CI: Try to fix our pip install
848ff9bf47 GitLab CI: Try installing Qt using aqt
7ad4e607f0 pcapng-netflix: fix an error message.
df7b6c68b1 fuzzshark: Remove an unused variable
c0463a5e1d pcapng: use the three byte-order values when writing options.
35c5b3a47f GitLab CI: Try clearing PKG_CONFIG_PATH
4cca7074cb GitLab CI: Try installing a separate copy of pkg-config
51fd1df37a GitLab CI: Try overriding a couple of CMake variables
182680ec23 Revert "GitLab CI: Another macOS libxml2 discovery fix"
acde7be1a4 GitLab CI: Another macOS libxml2 discovery fix
ce6defe48a GitLab CI: Make sure we find libxml2 in the macOS SDK
f0b67514e3 CMake: Another fix
7356b64e36 CMake: Fix a fix
66d1fad015 CMake: Fix a check
5fbcb69ef8 GitLab CI: Fixup WIRESHARK_BASE_DIR on macOS
d92e8d891a GitLab CI+macOS: Build a single univeral .dmg
8c708992e7 wiretap: add a register routine to the pcapng NFLX custom code.
184d3f91de Another batch of encodings
f14bac25de nstime: Don't overflow in nstime_cmp
bf332bb948 msgpack: assert on invalid type bytes
e44e6665eb JSON: Simplify protocol column setting
c1ce22e7c1 epan: various time-related cleanups and impreovements.
e86a0b0a85 CMake: Add FetchArtifacts
7fc846a0fe TECMP: adding support for I2C for TECMP 1.9
96f0dafc64 protobuf: Use col_append_sep_fstr
22ba1348c9 stratoshark: Remove AirPcap code from stratoshark as well
609ce97d8a Add Translation (ga_IE and pt_BR)
36da62ef58 Fix some more encodings in calls
fbc7a70589 Fix some more encoding args
8238ed8693 TECMP: Add support for GPIO data for TECMP 1.9
8007321b3c cpu_info: improve the CPU name when running under Rosetta 2.
b3e99610b5 TECMP: Cleaning up ENC_NA vs ENC_BIG_ENDIAN and fix
12ef3395e9 merge: Avoid passing NULL for a filename into the error report routines
c653a791d7 wsug: view menu item for colorize packet list
1a9b54cccb TECMP: reformatting HFs
8470f585a5 Falco bridge: Add a plugin filter name fallback
453f35c366 WebSocket: fix {server,client}_* parameter handling
86fb266d71 TECMP: Adding new types for TECMP 1.9
7046054963 Check some more encoding values
a859cbaae1 frame_data: shuffle fields to eliminate padding.
a451653c92 pcapng: move the Netflix custom block and option code.
f53708b969 MessagePack: dissect more types+other improvements
b8ee4cb765 NGAP: add more ngapIeType values based on 3GPP 29.518 v18.9.0
8cf93be156 Try to check for valid encoding values against item type
a08277e701 PER: make dissect_per_integer64b public
af1a464a36 Graph: Move start time to IOGraph
3d1b47e14b PTPv2: dissect management TLVs
4f33b48080 Comment some functions used by custom dissector
67afe7e7d1 edonkey: additional field parsing on udp server status and  id change packets
74d69c1097 [Automatic update for 2025-05-04]
0237a1515c Qt: TCP Stream Graph Throughput relies on Recent settings
b00a685129 LDAP: Don't leave out filter elements
1a864a40e9 Range: Be more accepting to an empty range
356d0a12a4 test: Check dumpcap with a Big Endian SHB first
df110b8c5e TECMP: Adding CM SerDes Status Messages for TECMP 1.9
34b831044e Make some more functions static that are not referred to
196981c75d JSON-3GPP: add TS 29.517 Feature Negotiation
344fcca1c1 JSON-3GPP: update references
9cd544be2b jtckdint: Replace ISC license text with SPDX License Identifier
e466733077 jtckdint: Cast to prevent MSVC (C4244) shortening errors
9883652f96 ftypes: Use C23 compatible checked arithmetic
e38b1726bd Some changes to the "data sources" API.
a33742cd43 Zigbee ZCL: Support Diagnostics cluster
d52ee96bec dumpcap: Handle multiple output files and swapped endian input pipe
daea8c2fb6 x509af: implement dissection for DSA and Diffie-Hellman public keys
11ba6f1652 wsdg: typo for a wslua convtype
4c27557649 ORAN stats tap: make output width a few chars less
f53f96b97b JSON-3GPP: add TS 29.503 Feature Negotiation
c374a1f128 doc: add captype cli program info to User Guide
66760b9712 wslua: Fix use-after-free of heuristic DissectorTable name
f62f758e73 Look into a couple more reports of item vs call length
03777e997f TPM: Handle missing command gracefully
905f2e0929 MPTCP: Improve meta token handling
4350b69240 NBAP: Remove DISSECTOR_ASSERT
cd087dd103 LPP: add media_type handle
0d9d3eb84e pkcs1: rename to pkixalgs
32f6f724fe tshark: return false if failing a packet dissection pass
f08a6507dd remove exit() from simple main()
45a753194d text2pcap.c: remove exit()
3d148d10ab Add return for commandline_early_options() to allow cleaner "exit"
7b048f64a9 Refactor commandline arg helpers to not exit on failure
e2ac9079a9 Remove exit() from ui + cli taps
8fb9e6f1d6 dumpcap.c: Remove exit() from exit_main()
06ae8a7ce5 reordercap.c: remove exit()
8decc80e00 rawshark.c: remove exit()
dfd6f968a2 dftest.c: remove exit()
b9b5a1295e tap-iostat.c: Don't exit() on registration failure
2b9485d6ae Replace exit() calls in fuzz functionality
907ef983d7 JSON-3GPP: add TS 29.572 Feature Negotiation
13a8187782 JSON-3GPP: split up SupportFeatures fuction
5e6a92c0bf ieee80211: Add new fields in Multi-Link element
126fc2ec1e IDN : Update dissector to latest Draft (2021)
ff152d07e3 Add logging parameters arguments to python tests
e55955feab Allow wslog parameters in all applications
6384324bdc ICMP, ICMPv6: Add expert info for error types
9ad799334a ISAKMP: IPv6 Network is 16 bytes
2b43f36b78 ieee80211: fix Dead Store found by Clang Analyzer
f8d661b48c Fix some spelling errors
143c1ccf5b ebhscr: fix Dead Assignnement found by Clang Analyzer
6d97cbbedc Fix the 0x300x range for PTPv2 Management IDs
827b2564cc Zigbee: use FT_ABSOLUTE_TIME for Zigbee UTCTime values.
6f42034ed9 falcodump: check for missing interface option
7df54ab1cf PROFINET: Add mrpic port status
29b312952e LIN: Refactor LIN parsing logic into one place
a9dd34c68d SNMP: Fix clang analyzer warnings
0ac4e25dbd ORAN FH CUS: Tap sectionIDs seen
7e15165428 Fix wslog parameters altering command line arguments
019e13a850 Provide a macro for code specific to fuzz testing.
b4ebba3ec0 ORAN FH CUS: in blurbs, better describe parts of eAxC ID
1823d24b26 Trivial python cleanups from running ruff
e9c9403a7a dfilter: Don't use an incorrect token for xor and not in nodes
2e7196b05c Loop: Change 'relevant function' item into a generated item
896971c925 FT_ABSOLUTE_TIME: support special time values with special meanings.
7be7650add pcapng: don't pass pd around, do pass err_info around.
4ce337fee8 test: add two more display filter tests
cf7b267bbf [Automatic update for 2025-04-27]
326e56e924 macos-setup: Update for lz4 1.10.0 handling of flags
cc1b3f3a2f Zigbee Smart Energy: fix effective time field.
61457bc6fd ieee80211: fix typo
5321308630 column: Do not allow fence to go beyond column size when prepending
945e9a489f epan: Clarify documentation of ws_label_strcpy and ws_label_strcat
571b0ca0f4 dfilter: Constify a few getters
f5e14b6dc9 dfilter: Fix possible segfaults around dup'ing (XOR and multiple relations)
4d9a638357 ieee80211: Add EHT link reconfig action frames
2dea169d91 ieee80211: Add Aruba GPS Ellipse
b0d9cba721 epan: Allow field_info to contain full 64 bit width offset
76d9d26cea NCSI: advance offset after field
aff6226ed4 dumpcap: Don't send to an invalid sync pipe
5ee55b2d8e pcapng: align with updates to the specification
4015feba15 Qt: Allow adjusting visual sample rate in RTP player
686fab8c14 Update tpncp.dat
d9442086f9 Graph: Separate common graph functionalities from IOGraph
e5d8c0c8a7 IOGraph: separate from IOGraphDialog
b9d3ec343c MACsec: Restore behavior of authentication-only frames
37f92aee00 tap-gsm_astat: add reset and finish routines
9fa0d9a8f7 epan: Fix ENC_TIME_ZBEE_ZCL calculation
f802e5ee6e osx-app.sh: Make our file type detection more robust
3057602b3d dissectors: Add space before parenthesis
a5d8b95779 nas_eps: Add space in hf names
d3224ca89e ORAN FH CUS: improve how all-zero PRBs are counted, and show in tree
d18dfaf2b3 Qt: Set RTP Player mouse wheel zoom horizontal only
57f3c3658c GNSS: add dissector for SBAS L1 MT10
c51eeac1b1 http3: fix Dead Store (Never read) found by Clang Analyzer
c728edfa3b nlm: Fix Dead Assignement found by Clang Analyzer
7342f7ba41 tcp: Fix Dead Stores
1a52677c1f vnc: fix Dead Store (increment) found by Clang Analyzer
a4713eaf6a ebhscr: fix Dead Store (increment) found by Clang Analyzer
6cc926ecd7 cp2178: fix Dead Store (increment) found by Clang Analyzer
d36771fdd7 CMake: Test that a trivial program compiles and runs
454b1b5da6 CMake: Enable Visual C++ errors for assignment used as a condition
e6e27ae309 cmake: Add homebrew paths to qt@5
3b4ef77a97 TCP: Add fields for tracking the Streams Contiguities
c6f73d5fbc ZigBee: Pass data pointer to ZigBee Green Power
a37b6c1669 UDP: Fix more conversations over UDP
a8874a5fb5 Dissector tables: Show the integer table entries in the configured base
05781c50dd CIGI: Register a field
feb14fe254 [Automatic update for 2025-04-20]
968d179799 IEEE 802.11: Failed to build after commit eef714b
ea869d9be6 tap-icmpstat: fix memory management
99f77d3a81 tap-icmpv6stat: fix memory management
a37a47205a tap-diameter-avp: don't store filter string
65564b967f Updated dictionary.ciena
e06dbb7168 Qt: Make it possible to view JSON data as pretty-printed JSON
d46a387398 Falco bridge: Add support for plugin data offsets
dfcb344c1f ORAN FH CUS: use correct proto_item for expert info call
906fcd7e6e Better standardize the initialization of stat taps
f0d22a52b1 RDP: Make sure a string is properly encoded
97e9036374 Sysdig Event: Remove a length check
85ff46c76b BGP: fix reader_offset handling for Source Address Length
fff8aa6814 DIAMETER: Show packet "Info" and AVP in brief form
0deb4a70ce PROFINET: New error codes
c571efde7c Typos fix
684d7c8a0e DCCP: Fix a comment typo
1a53877df8 epan: Update a data source name
d3bb732d44 Stratoshark: Don't warn about local capture permissions
b54a15ce82 Silabs Debug Channel: Add Custom 15.4 support, radio info formatting
7172eb78c8 tap-diameter-avp: add reset and finish routines
41e0beb8d3 tap-camelsrt: improve memory management
722f9eb492 tap-exportobject: add reset and finish routines
2256410e53 tap-flow: add reset and finish routines
b3142f0e5d tap-credentials: fix memory management
eef714bd41 IEEE 802.11: Make sure we initialize our field data
f2320ef887 tap-expert: encapsulate a bit more state
d7e514982a WSUG: Add more content for the Deinterlacing Keys
c303a5347d tap-iostat: Draw header row in separate function
a82e80d53d SMB & SM2: Make some functions static
2aa47fae1d WSDG: Update some details on translation workflow
c02030bc4d Qt: Move a WirelessTimeline connection
492c44b08f SMB2: Added subdissector for FSCTL_DFS_GET_REFERRALS_EX
bce7824fc2 tap-iostat: Separate drawing the text header into a static function
cf02a7e0b8 Conversations: Don't test unreachable conversations
0fe1699efc falcodump: Update our AWS region list
7a5f919e44 Address a handful of python warnings
14524646b9 nstime: Add functions to round to a certain precision
0cae98570e Fix buffer overrun when applying prefs with command line prefs present
ae72411677 UAT: Make help button work all the time
3e4d672721 tap-iostat: Print column filters in a separate static function
1a18a088c0 Clear out dissectors attempts to import old prefs into UATs
ed66532c2e [Automatic update for 2025-04-13]
60d44b7b7b tap-iostat: Start separating iostat_draw into some static functions
eaff4d1303 snort: Prevent format truncation warning
bc23314dd9 NAS 5GS: update n1SmInfoFromUe and n1SmInfoToUe
fcdf656c5e BT-DHT: Fix a null check
958d965458 adb: Add null check
886be5433b wslua: Extended Lua get_preference(preference) with uat type preference.
c39f08db80 http3: dissection of QPACK decoder instruction stream
98262e9bf7 gpg: Signature made Fri Apr 11 01:09:35 2025 PDT
gpg:                using EDDSA key 72B003C6E95349A187A28BFCCFAE3BD3EA42D45C
gpg:                issuer "contact@hardening-consulting.com"
gpg: Can't check signature: No public key
rdp: various display improvements
394ef1e78b gpg: Signature made Fri Apr 11 00:26:02 2025 PDT
gpg:                using EDDSA key 72B003C6E95349A187A28BFCCFAE3BD3EA42D45C
gpg:                issuer "contact@hardening-consulting.com"
gpg: Can't check signature: No public key
rdp_rail: add new commands and fix display of multiple messages
9dce5e7e61 gpg: Signature made Fri Apr 11 00:26:02 2025 PDT
gpg:                using EDDSA key 72B003C6E95349A187A28BFCCFAE3BD3EA42D45C
gpg:                issuer "contact@hardening-consulting.com"
gpg: Can't check signature: No public key
rdp_egfx: various dissector improvements
c95ca3662a gpg: Signature made Fri Apr 11 00:26:01 2025 PDT
gpg:                using EDDSA key 72B003C6E95349A187A28BFCCFAE3BD3EA42D45C
gpg:                issuer "contact@hardening-consulting.com"
gpg: Can't check signature: No public key
rdp_drdynvc: various changes in the info column display
61b29762e2 gpg: Signature made Fri Apr 11 00:26:01 2025 PDT
gpg:                using EDDSA key 72B003C6E95349A187A28BFCCFAE3BD3EA42D45C
gpg:                issuer "contact@hardening-consulting.com"
gpg: Can't check signature: No public key
rdp: adjust info column display for multiple messages
4eae0313b9 dot11decrypt: Don't call strlen until after the null checks
5131b05f8f tls: fix dissection of decrypted handshake messages
4c5705665b Qt: Suppress a GCC false positive
f9dfd57b33 spnego: handle the IAKerb realm discovery start without any krb5 payload
8238b6d679 etypes: Add Allied Telesis AMF
dd0efb257e Show related packet delegate on the first visible column
06ef1f8153 SDP+RSTP: Handle when determining the absolute URI fails
caa7d4ab17 wslua: Free ProgDlg title and task when garbage collecting.
85cc92a404 h225: avoid format truncation warnings
0f83890f11 Corrected Lua uat type preference unload.
33d6f85769 voip_calls: Make q931_call[ing|ed] number a local const char*
8c13e0a8cb Qt: Check if mainWindow() returns a nullptr in DisplayFilterEdit
cbfb60ec4e usb-ptp: Fix decoder not working after URB<->conversation data split
5c0de7d379 PTPv2: Add support for authentication TLV
4b21ab88e9 sequence_analysis: Free the rtpstream_info in the info_ptr
a2dbfd93aa Update NGHTTP3 package.
73f951056b Add Catalan translation
f3dcdcaf4b Update vcpkg-export package
04e97b181a Update zstd package
ba0cf135ea Update maxminddb version
0030615b5d Update NGHTTP2 package
55cce57758 Windows packages: Update gnutls
580352f7a5 GTPv2: track some more messages
1949517112 Update c-ares to 1.34.4 on Windows
bcc59000a7 RADIUS: Only set COL_PROTOCOL non-writable when calling EAP dissector
0da4a18561 SMB2: Add some null checks
74f6f3b749 tap-iostat: Avoid the use of snprintf
bd506e6351 print: Output null JSON value for null ftype strings
490ff411e9 echo,discard: Try Wake On Lan first on UDP
4b5e1ed29b QUIC: Handle more than one UDP datagram on a packet
4eb155cee3 MQTT-SN: Correct flags
cd9c10fc66 SOME/IP-SD: Avoid format-truncation warnings
6d25f1bab9 Fix: lua bit buffer overflow
85f631b026 .mailmap: update of April 2025
8ee81c1b2e .mailmap: remove Remi Vichery
d98796a5d7 isobus: Use a wmem_strbuf_t instead of snprintf
048d23bd52 IEC104: Clarification of the meaning of the SU bit
f1e7223a01 [Automatic update for 2025-04-06]
7ade74cb40 tap-iosta: Show fractional seconds of absolute time
c6206fa492 Qt: Workaround apparent Qt bug in delgate sizeHint with decoration
f771953e3a F5ethtrailer: Remove a use of snprintf
6214c7e6a8 DAAP: Don't fetch tag name and size twice
a438971a73 Zabbix: Use typing.List in type hints to support Python 3.7+
06d08c5811 EAX: avoid taking out-of-bounds address of array element
82d6f8631a tap-iostat: Print Time header for TS_UTC
2b1da050d0 print: Add the data source index to jsonraw output
1e3ffdb737 TCP: Handle Microsoft Large Send Offload partial checksums
8b89d3f834 Revert "Qt: Set RelatedPacketDelegate decoration height to zero"
13dbd7ac03 GitHub Actions: Quote 3.10 in YAML
610b14bc7d NAS 5GS: add URSP IP 3 tuple traffic descriptor dissection
c3a0489ac9 Workflows: Update Python to 3.10 on Ubuntu.
69238e9714 Update Perl Python and Qt
537645efb7 PROFINET: Additional Mau Types
e8909e07a7 Qt: Set RelatedPacketDelegate decoration height to zero
2b05db7a09 TCP: cleanup and improvements
25c29cb503 Qt: Fix relatedPacketDelegate size hint
bc65ca1b7c Docs+packaging: Update some trademark info
b643043050 expert: Ensure more severe ei is displayed in expert column
54fac0c60d MACSEC: register an ett value
e5cea33bc4 NTP: Update the packet structure and a comment for consistency
05c48b3bf4 Zabbix: Add capture file output tests
847156ba58 Falco Bridge: Wrap sinsp::open_savefile in a try/catch block
6628e912c4 http3: properly dissect CONNECT/CONNECT-UDP
cc3daf6cb2 print: Write an empty string for raw JSON hex with null tvb
faab59cce4 CMake+docs: Bump the Stratoshark version
34fa4afbcf Update README.tapping, add reset to tap-rpcprogs
5840e32728 ORAN FH CUS: include symboldId in generated 'refA' timing
4249f9fb70 tecmp: Add a link to the documentation.
c7d301fa2d print: Expand on a comment
4bb3c8262c RTSP: Check for null before calling wmem_ascii_strdown
2d603feb9c Proto: miscellaneous cleanup and fixes
f486953237 RTSP+SDP: Handle dynamic RTP payload types via "control" media attribute
8e88d87708 Qt: Use the last related framenum symbol instead of first
63024268d8 TECMP/CMP: fix decoding issue for LIN go to sleep
37306b5704 PCEP: Add support for TE-PATH-BINDING TLV
06f25e2acf wiretap: Fix our Sysdig event size calculations
fd3c0ae737 Docs: Libgcrypt updates
0d74b79e28 Added Gcrypt Symmetric Cipher Functions to Lua scripts.
de707a2658 PCEP: Add support for Multipath Weight TLV
c219c42b3f PCEP: Add support for PATH-ATTRIB object
07d0fb6d34 PCEP: Add support for Multipath Capability TLV
f473dadbf0 PCEP: Improve rendering of flags in LSP Object
4de017a200 PCEP: Fix flags in SR-PCE-CAPABILITY sub-TLV
f8c7891ae3 [Automatic update for 2025-03-30]
d6463c93f4 RTSP: Fix typo
bef33a5811 RTSP: Pass setup info
8a9b224880 RTSP: Dissect Content-Base and Content-Location headers
a966577ce0 Clang-Tidy: Enable bugprone-too-small-loop-variable errors
5778ad7b07 epan: Widen loop variables in packet-[p-z]*
56690abdca epan: Widen loop variables in packet-[h-o]*
a6562b5a5a epan: Widen some loop variables
a74564e7bc VNC: Add Extended Clipboard support
b43972ca7a RTSP: Do some request-response tracking
f40ba8a1e0 BGP: Fix EVPN NLRI IGMP Leave Synch Route dissection
a5a1dc03c3 Added possibility to read uat tables from Lua scripts.
cbf2519cd5 RTSP: Use a static function to retrieve the conversation data
33d7283ab6 Zabbix: Replace json_validate() with json_parse() to support large objects
1a3391b60f RTSP: Dissect CSeq
09f06193cd wiretap: Handle comments in .scap event blocks
34fbd31b88 ORAN FH CUS: Fix number of reserved bits in ST4, Cmd3
5f9691eabd MACsec/MKA: Decode using keys unwrapped from MKA messages
4380f15e59 pfcp: Update to 3GPP TS 29.244 V18.9.0
6026071866 Revert "Added Gcrypt Symmetric Cipher Functions to Lua scripts."
d3dcb4f8bb Added Gcrypt Symmetric Cipher Functions to Lua scripts.
abefb51ceb Clang-Tidy: Add loop checks
b117767cf9 Falcodump: Add a recursion check
aabbbcd23e dfilter: Have vals() return the same as column "display as strings"
661a5612cf taps: Add preference for stats_tree output
72197a518c EtherCAT: Correct some registers orders that are swapped
ee14156f6d [isobus]Dissect Date/Time PGN responses
44781615b1 ORAN FH CUS: tap/show where PRBs/REs are entirely zero
ac6329be26 epan: Constify our proto_item_is_XXX pointers
387d88bc17 UDP: Fix conversations over UDP
e7b844f194 profinet-mrp: add support for MRP-Interconnection
508d46ef3f EBHSCR: Update dissector
4554af80fa gpg: Signature made Wed Mar 26 03:29:47 2025 PDT
gpg:                using EDDSA key 72B003C6E95349A187A28BFCCFAE3BD3EA42D45C
gpg:                issuer "contact@hardening-consulting.com"
gpg: Can't check signature: No public key
rdp_drdynvc: add links for channel create messages
196263de02 gpg: Signature made Wed Mar 26 03:29:47 2025 PDT
gpg:                using EDDSA key 72B003C6E95349A187A28BFCCFAE3BD3EA42D45C
gpg:                issuer "contact@hardening-consulting.com"
gpg: Can't check signature: No public key
rdp_egfx: add support for watermark and protect surface commands
313bd25e6e gpg: Signature made Wed Mar 26 03:29:38 2025 PDT
gpg:                using EDDSA key 72B003C6E95349A187A28BFCCFAE3BD3EA42D45C
gpg:                issuer "contact@hardening-consulting.com"
gpg: Can't check signature: No public key
rdp: add initial support for the multiplexed rdpdr channel
7699312c76 FTDI FT: Simplify reassembly
84f3cf52c9 Add LLC-v1 protocol
93de861ab3 F1AP, Fix UL RRC Message Classification in InitialULRRCMessageTransfer
4f35baaf71 S7COMM-SZL-IDS: Fix some typos and fuss with format of masks
94169edda5 tshark: add man page note for raw hex display of fields
0a5344983a s7comm: ssl 0x76, 0x77, 0x78 decoding
eb163a43d7 ieee80211: fix reserved size in ADDBA extension element
290b43101d http3: remove static memory pointer
78d2aa0314 tls: display the value for the `tls.handshake.verify_data` field
d4194c1086 dumpcap: Handle pcapng with different endianness for a single input pipe
37b85b13ec Qt: About->Folders: don't display empty MIB/PIB path when oid resolution disabled
936811d161 ORAN FH CUS: Add SE 28
9970f15ef3 EDHOC: Don't use the wrong printf specifier
e58b20ec7d F1AP: upgrade dissector to v18.5.0
77af2227d9 NR RRC: upgrade dissector to v18.5.1
73ac80cb94 ORAN FH CUS: Add missing parts to ext vs section check
ac0ef18328 dumpcap: Set pipe error status on non-initial SHB read failure
238cc3beab conversations_taps: Add preference for machine readable output
79f3f00d21 NLM: Added info and changed info in Packet List
c5361e36dd MKA/MACsec: various optimizations
f90af642e3 DNS: Add Generalized DNS Notifications
11509337eb print: Consolidate some identical code
76b000ad53 [Automatic update for 2025-03-23]
292b2034b2 http3: deprecate HTTP3_HEADER_NAME_CACHE
e7725f3bf7 epan: Fix an apparent copy-and-pasteo in DECT FT_STRINGZ
0efe2af773 LDAP: Disect MS-CLDAP NextClosestSiteName
a058815040 NTS-KE: Add header to DISSECTOR_PUBLIC_HEADERS
d5fc85ec26 EDHOC: Remove GnuTLS requirement
c98978076c ASTERIX: Miscellaneous updates
f266837031 ASTERIX: process asterix over tcp
6f174fb2a5 Prefs: Remove Qt only UAT preference
3c8eefed9d NAS 5GS: upgrade dissector to v18.10.0
7b97deddc5 GSM A GM: upgrade dissector to v18.8.0
e30bca8170 nas_eps: Remove a leading space
6fbc774178 e212: Remove extra spaces
1fa8833092 nas_eps: Improve detach req UL/DL detection
fbeedc8dbd EDHOC: Add dissector for Ephemeral Diffie-Hellman Over COSE
869e6e63de MACSEC: Address Coverity issue
b780a8ab4e Qt: Add exporting JSON field Raw Bytes to the GUI
634243bf74 TLS: Display the tls-record-number
93baa9f83e Qt: Display nanosecond timestamps for per-packet-timestamps in dialog
67227be85e VNC: fix a typo
20221cdceb VNC: Add QEMU Extended Key Event dissection
3d681b34cf ORAN FH CUS: Fix expert info format string
a6ccd15275 wiretap: Open JSON files requiring more tokens
fa07f7c3fa elastic-mapping: Don't set dynamic to false
b68e3cc739 Qt: Make sure new traffic tabs get the correct settings
aaf02bb54e ORAN FH CUS: For ST6, fix padding due to alignment
dff1a52e7c TTL: Fix OPT_IDB_TSRESOL value
9af766df26 NAS: Dissect RAT utilization control.
e41a273fb9 epan: Restore curr_proto_layer_num after every dissector
7cffecedbe ippusb: Show what frame payload was reassembled in
c836101eb2 LDP: Update IANA registrations and RFC references
709e69050d ICMP: Parse Extensions On Extended Echo Response
94e5c07da3 .mailmap: Update of Mi-March 2025
76dce305f1 Some minor dissector fixes
b928134eab BGP: Add a couple of missing value_string values
1ada4a2599 print: Use FTREPR_JSON for the ek output mode
7be0353b57 Github Worfklow: Fix Falco cloudtrail plugin URL
4f387eaa92 MACSEC: make a function static
3dc29e9790 Github Workflow: Update cloudtrail version
194e9ef4d6 ippusb: remove broken herustic based on assumed ipp operation id
9034f08696 ippusb: hook interface protocol instead of bulk type
bf585c3ecb [Automatic update for 2025-03-16]
81ec7d15f0 Added support for uat preferences type, to the Lua scripts.
b95179da68 add: pcep color flag
79957a7fe0 dumpcap: As a child process, never wait for a keypress to detach console
6f4a70b401 quake: fix header dissection
aa2bea619a dfilter: Handle value string in combination with layer operator
c7b733c785 doc: fix minor issues
c90465f8fe DHCPv6: restore option order in value_string_ext
f614e0f966 RFC9686 (address-registration over DHCPv6)
a4c81a9b5a raw, ipv4, ipv6: handle raw IPv4 and IPv6 link-layer types like raw IP.
e20b1bfe8e raw: don't set the link-layer addresses.
44563411c0 raw: create a new tvbuff to hand to IP dissectors.
f97c5e60a8 OER uint64 and bitstring dissection fix based on Coverity
7aff50601a MACSEC: Fix an encoding arg
5f0cc3f8df MACsec/MKA: Decode using keys unwrapped from MKA messages
9946792568 editcap: Add --preserve-packet-comments option
564fc117d1 elastic-mapping: Add mandatory index_patterns name
2e92968417 packet-bthci_evt: CS: fix empty step data and 15bit bugs
7a39c165ba s7comm: heuristic dissector for the block data and call the data dissector
c383ce5173 Silabs Debug Channel Protocol: Adding support for Wisun Dissection
95022fdd1d NAS-5GS: Format Geo location values.
bb16079e43 dfilter: Don't crash on BASE_CUSTOM value strings
fe1217ac75 epan: Fix elastic-mapping types
54ebf23913 print: Don't add "_type" metadata field to JSON output formats
d1fcc33d37 VNC: Fix encoding descriptions
8b762edf55 DIAMETER: Additional Result-Code fields
7e1ee48373 SMB2: Fixed missing braces
c37af6e993 PTP: Improve the SYNC PPM precision
6e24ed5c0f packet-vrt.c: Fix worong hf's used in bitmask_list
41ac8723b8 ieee1905: extend dissection of Radio Advanced Capabilities TLV
615e42fa6e Qt: Make TCPStreamDialog event-driven, prevent crash on closing
db14ead54e Compatibility header for using zlib and zlib-ng
c66670aa77 smb2: fix Dead Store (inscrement) found by Clang Analyzer
364f7ed750 fix: Update display and search strings for BGP Confederation Member TLV
b5b4fbe5ef Support for ohttp SVCB param
b84f8d6d69 gpgsm: Signature made 2025-03-11 22:50:47 UTC
gpgsm:                using rsa2048 key 00895EBC78BAEBE6D3C0C93C2100B2AC2ADFBA15
gpgsm: certificate not found: No public key
gpgsm: certificate #0727B090C2805F5949E70B6FD9B3E988/C=US,O=Apple Inc.,CN=Apple Corporate Signing RSA CA 1
gpgsm: checking the CRL failed: Not found
gpgsm: invalid certification chain: Not found
Tools: added missing options to the help banner of macos-setup-brew.sh
19162ca486 SMB: Remove static from exported functions.
a25bc43218 SMB2: Subdissector for local and remote pipes
df4ebe3b05 VNC: Minor fixes in vnc.c
1e77576afa ftypes: Restore ability to filter and compare negative IEEE-11073 floats
2338613bb6 add: BGP Confederation Member TLV
6c0fad2f97 epan: Add a note to proto_free_deregistered_fields
9f3dfd885e cmake: create a subproject in `epan/dissectors/asn1`
0f6a0bcd63 epan: Fix some sizes
fbea28cd9b NAS-5GS: Fix dissection of geo location.
bb0653c767 Signal-PDU, Some/IP: Deregister fields and their arrays later
c0bea84c92 SMB: make a couple of functions static
762dcfe8ab Tidy up more calls to tvb_get_bits<N>
69ed157d9b editcap: Add -R <num>:<time> option to replace a frame's timestamp
85c7480511 ELF: Add heuristics over HTTP
b0f14a776e tshark: Do not cleanup or init a null edt when resetting memory
db3a363cc3 GTP: Add length verification for the payload size
770492c3b5 HTTP: Add preference for heuristic first (MIME sniffing)
2fe6c9e663 epan: apply endianness fixes
817406b501 [Automatic update for 2025-03-09]
f0e43e2116 AX.25_nol3: only check for and dissect APRS in UI frames
ff42e04089 dfilter: Fix error message for failed unsigned conversion
ac89a673ad ftypes: Fix IEEE 11073 FLOAT for negative values
0a2f6d5c90 wiretap: Fix writing Sysdig event blocks
4bf751d6fa wiretap: Remove a couple of unused variables
dfb440c73c TLS: Use a FT_NONE field for extension
6e06361dfe SMB: Fixed 4 potential NULL pointer dereferences
019f15bba7 sharkd: add to methods to access field information
915347a834 TLS: Add a null check
cfa319fb09 Stratoshark: adjust help menu URLs
f19de727b9 Packaging: Fix our RPM requirements
b1d14dd1fb packaging: More RPM .spec fixes
a575dfd3fb cms: fix non-deterministic build errors
d98facb2f3 CMake: Remove a no-longer-needed hack
4af218bee4 NAS-5GS:Fix dissection of 3GPP location
f5a927afa7 tap-tcp: Remove internal struct
a10a67978f cms: implement dissection for the Algorithm Identifier Protection Attribute
fcd12293ef .mailmap: Update of March 2025
fee533101d ARP: Detect ARP Probes with non-zero dst addr, warn
a5eb09408f CMake: Specify C++ 17 when we're building with Falco libs
d993007fd9 pkcs12: implement dissection for the scrypt KDF
ebfc5f4d98 packaging: Fix our RPM .spec
c1cbb7842c dumpcap: Add -F and -Q options to the print_usage() report
2741caff17 Add header-flags to IAKerb
956fab790a pkcs12: add the Pkcs-12PbeParams type
b8fb978a44 WSDG: add #.IMPORT to Conformance Files documentation
a7c2ab5ece Don't have separate wtap_rec and Buffer argument to dumpers.
d34784886e packaging: Add Stratoshark to the RPM .spec
d22b060c45 NAS-5GS: Dissect WLAN location.
459e90b388 SMB: dissect_smb_file_pipe_local_remote (guint)
b6043041fd ieee802.11: Added support for Cisco AP name v2 format
5bbd3bfddd TLS: Hide Value Field For 0 Length QUIC Transport Parameters
7b8f041fff pkcs12: update the PKCS #5 definitions
d979456140 Drop invalid malloc attribute from wmem_tree_new*
aa17dcab76 Qt: Convert some recently-added GLib types to C99
85b6c941c2 NAS-5gs: Dissect the rest of the validity items.
0dc44dc268 NAS-5GS: Dissect more of Validity area.
5ccff06c19 dcerpc-nt: let SID_AND_ATTRIBUTES print SID values on tree too
e6b39ae213 dcerpc-netlogon: let GROUP_MEMBERSHIP print RID values on tree too
a7250704a0 ldap: use dissect_ldap_sid() for more attributes
070a394402 Qt: Enable JSON no duplicate keys options from the GUI
e50432f8bf tcp: Don't check retransmission/ooo if desegment_tcp did
bcd931f62e package: Update RPM spec for optional dependencies
748621772e RTCP: Update mcptt Floor Indication to TS 24.380 V 18.6.0
9fa9b15d80 QUIC: Add Next Sequence Number (PCB) for Multipath Draft 13
1c94f3fcea QUIC: Add support of draft-multipath-13 (new TP id)
9a649205a7 ISUP: add WS_DLL_PUBLIC to dissect_nsap to allow external plugins use it
21f9c383a7 packaging: Move COPYING file from doc to license in rpm
6acc31ca98 User guide: update telelphony menu description
624c0b1f5c NAS-5GS: Fix bugs in  WLAN location dissection.
fc0dd39212 TVB: make the last tvb_get function adhere to encoding enums
4a488f4e98 ITS: Fix a typo.
73d4b994b3 Bluetooth: Validate UUID format for the UAT
bf509d0493 docs: Update README.documentation.adoc
0e64c8871d expert: initialize description blurb to "Expert_Item"
4101ea6641 ITS: CPM Fix extensibility flag of WrappedCpmContainer
6f9dd37b75 sharkd: Update tests that use out-of-order capture
74e93120ea [Automatic update for 2025-03-02]
8ec46c963c TLS: Report reassembled in frame for more PDUs
b17519ec5d NTP: RFC 9748 Update
14c16f74a5 GNSS: add dissector for SBAS L1 MT12
f5d3e4f34c GNSS: export UTC conversion format functions and value string
a6777226ba tls: Don't export PDUs segments desegmented in a later frame
c804d88036 TVB: Check that not too many bits are requested to be returned
56b45dc240 TVB: deprecate tvb_get_bits() in favor of tvb_get_bits32()
73b5d127c6 addr_resolv: replace services with custom entries in personal config
60326a820d TLS: Show correct segment data when there are multiple PDUs
1957d83376 wslua: Fix lookup in payload (FT_NONE) dissector table
f208bcc127 wslua: Fix use-after-free of DissectorTable name
fd9b1fd1ab NAS-5GS: Fix dissection of Length of sub entry
102237c94b bacapp: Null check
36a5e7f677 Add Link-Local Next Hop Capability for BGP
655a054558 wiretap: add ASN.1 file extensions to the file open dialog
fed6bd40b6 Protobuf: display default values for strings and bytes
ea5e0c077d bacapp: Handle segmented messages with more than 256 segments
8e00860cbc Revert "ITS: CPM: Fix extensibility flag of WrappedCpmContainer"
ca81b7a564 epan: rename internal function protoo_strlcpy
7f6f95bf61 packaging: Use an SPDX license identifier in our RPM spec
391bd583bc ORAN FH CUS: Fix a typo
7b1c476779 GNSS: add dissector for Galileo I/Nav Word 6
c30c474dee epan: Support BASE_UNIT_STRING with IEEE-11073 floats
baec7b4747 BFCP: fix length of attributes sub-trees
7d8c445144 expert (ei): update link to developer info in header files
6469c852cc Fix some spelling errors
5e40fea171 Fix some precede/proceed spelling mistakes.
dfb81ac2db DLT: Making Variable Information work for float too (Bugfix)
4430a2a36b ORAN FH CUS: Set hidden beamforming filter for ST4 TIME_DOMAIN_BEAM_CONFIG
97007d4e95 bthci-cmd:  Fix encoding arg, and widen some mask literals
b4d6d76c6e Qt: Return from main instead of calling exit_application
58031fef0f Stratoshark: Don't crash if a layout option is set to packet diagram
285f01280d stratoshark: Fix titlebar updating
ce15eb7171 Updated Release Note
7e331c521f bthci_evt: Improve dissection of Channel Sounding Test command
e012d63bfb Qt: Don't create extra action types for Find/Colorize in Conversations
c4670ec7ac epan: Actually set the values of IEEE_11073_FLOATs
46eb9a2c92 stats_tree: Update documentation
1616983542 ftypes: Allow 0 to convert to a IEEE-11073 [S]Float
1c831938d9 PLE: introduce Private Line Emulation dissector
6005edd256 ORAN FH CUS: Fix usage of uplane preference enum value
2830f4e01e OER uint64 and bitsrting dissection fix
1c54c89711 SMB2: also add SRT to request
5d88d318ad SMB2: dissect FSCTL_DUPLICATE_EXTENTS_TO_FILE
9cb62b49fa SMB2: dissect FSCTL_GET_INTEGRITY_INFORMATION
70f40b610e SMB2: add misssing CHECKSUM_TYPE_CRC32
891e8771ee dfilter: Don't crash on vals for BASE_UNIT_STRING
4abe76ff2d wiretap: return file type extensions in listed order
e97a520dd5 Qt: Fix tap parameter dialog expand all nodes check
8de4708dee Qt: Respect the stats tree sort column flag
062ba47001 EPAN: change over to using tvb_get_bits32 throughout the code base
cfe7358689 WSDG: Switch a warning to milliSagans
3f0c0ca2a1 dfvm: Move DFVM_VALUE_STRING opcode into READ_TREE
19291bc5b6 stats_tree: Fix leak
4374df4082 Check for tvb_get_bits<N>() calls for too-long length
5e6d6953d7 DIAMETER: Do not display value of grouped AVP
e638c65459 TLS: Break out list of PskBinderEntries
750ca1550c gpg: Signature made Sun Feb 23 12:50:48 2025 PST
gpg:                using DSA key 14C9AF40DCAF71A3D6CD7C2146AEB5BCEF31A3DC
gpg: Can't check signature: No public key
Rename "EF PHB" to "EF"
9ae19e200c UI+docs: Fix Wiresharkisms in Stratoshark's help and man page
74c2f18740 [Automatic update for 2025-02-23]
da06aa30ac pkcs1: add OIDs for the remaining SECG curves
13cbd04dd8 Remap my old email address
140c952bd2 ORAN FH CUS: Add comments around a bogus coverity warning
6cd809dde3 Qt: Fix sort crash
22d2d33bf0 Conversations: support directions for the Deinterlacing method
0e4f56ac43 LTE-RRC: Call E.212 MCC-MNC dissector function
080ce9a925 PDU-Transport: Allow different ID and Length size
5bcb4ede2c MPEG TS improvements for PES and PMT handling
daf934b704 Signal-PDU: Cleanup up the deregister code
1b02a1ad49 FlexRay: Add frame trailer
ae7dfd0e29 Enable deciphering EEA2 Msg
0874f1b7c5 Build: Stratoshark 0.9.1
f7c80d66ee NAS-5GS: Selection criteria set bugfixes.
f48c5357d2 Falco Bridge: Handle zero length events
75b26b7f8b kerberos: avoid false negatives for 'kerberos.missing_keytype'
3e4ec4f4a7 Protobuf: Don't truncate the string value to ITEM LENGTH for dumping
b5026c667c CMake: Fix our Freedesktop Stratoshark icon installation
9ed5fbf661 Qt: Parent the ProfileSwitcher and the PacketDiagram QGraphicsScene
899ce7074b Lua: Don't allow negative offsets to TvbRange_range
f24db10472 BGP: align EVPN extended community names to those in IANA registery
39d9b050f9 NAS-5GS:  Dissect Selection criteria sets.
b81ad1b6b2 NAS-5GS: Dissect 5.3.2.4b: Selection criteria set
900cb46f58 LTE-RRC: Gather IMSI digits
486f4d2550 wslua: Allow zero length TvbRanges in more cases
f00c1dc1a8 ORAN FH CUS: Clean up ext11 output
f6244c782c TLS: Fix JA4_b when cipher list is empty
9cb198d7aa Qt: Don't crash when trying to sort while sorting
fcfc2ff7bc .mailmap: Update AUTHORS
e2bcbdc5cd NAS-5GS: Expand dissection of selection criteria.
a039cf03b2 file: Remove unnecessary priming of tap fields
513aed711a Update minizip-ng to 4.0.7-1
0f48f1781f Update our Stratoshark artwork
b6bcaf335a IEEE802154: Fix malformed beacon
a396ae54a9 NAS-5GS: Fix a trivial typo in comments
2bb63c3dde pkcs1: add algorithm OIDs from RFC 8410
1ef5486713 NAS-5GS: Dissect more selection criteria.
b34042b0b3 ORAN FH CUS: Add preference for ST6 padding
4bb577c21a Websocket: Fix decompression flag handling
3b74ede300 Add dissector for Asymmetric Key Packages (PKCS #8)
5ebaa4d10a Qt: Conversations and I/O Graph dialogs bridge
0a8f2e7541 addr_resolv: Fix extra host files
1e8f15cf08 [Automatic update for 2025-02-16]
621b866f19 PDU Transport: Add PDU name generated field
52b2169198 DLT: Adding support for Variable Information
d7392eb9ee BGP: decode standard prefix ORF
062c5407e0 MQTT: Fix v5.0 properties total length presentation
3ece9b05b4 NAS-5GS: Fix decoding of 5.3 Encoding of UE policy part type ANDSP
a3dc6b0d19 Fix some spelling errors
5506e84279 WSDG: update APIs in dissector creation
3a90fbae6c CMake: Require 3.20 for cmake_path
8446e3195f WSUG: Next is next, not previous
92896d85fb VOIP Calls: Use limit to display filter flag for tap listener
2ce681de75 NAS-5GS: Initial decoding of 5.3 Encoding of UE policy part type ANDSP
bfc12d4a97 ITS: IEEE1609dot2: Add configurable PSID list for WSMP dissector
400b0a367b NAS 5GS: add dissection of LCS and SOR transparent containers
8a569e52e4 HiPerConTracer: Disable UDP and TCP heurisics by default
293cb0ccf8 tools: Allow GitLab's "Cherry-pick" commits
dd5d33a13f androiddump: Go back to no timeout on blocking sockets on Windows
260352391a CMake: Make sure we find the static version of each glib2 dependency
bb86fed0b9 TECMP: Lifecycle in Status messages was wrong
0636cbcb6e HTTP: Handle CONNECT method tunnelling the same port
484600afc2 RTP streams: Use limit to display filter flag for tap listener
08450d7e59 ieee80211: add missing fields in RSN Capabilites element
b40786076b ORAN FH CUS: link some value-strings to section in spec
d3c0a4053b Conversations: add conversations types to the Deinterlacing method
4a37b902c1 revert: "SocketCAN: Treat non-CAN-XL packets with length > 16 bytes as CAN-FD"
abd6e92b03 proto: add faster deregister for header fields
e93c087da3 Qt: aggregation summaries for Endpoints dialog and non-default tabs
3d2ff855d8 capture_dissectors.c: Use newly-introduced `ws_dissector_oops()`
a75b9ff3b8 packet.c: Use newly-introduced `ws_dissector_bug()`
93d8a755c5 packet.c: Add `dissector_get_table_checked()` for common error handling
0bc78df04d epan: Add common error-printing function
23c534978c packet.c: Use `call_data_dissector()` in `call_dissector_with_data()`
0838e5b2a2 packet.h: Fix doc-comment of STRING_CASE_SENSITIVE
e8a8056a6b ITS: CPM: Fix extensibility flag of WrappedCpmContainer
44aaa29f76 MySQL: Add suport for semisync
311bbd0d4f .mailap: update of February
485fa1777a Clang-Tidy: Enable recursion errors for most of our code
4197aa44d0 taps: Add limit to main filter flag
2871c07a91 GNSS: add dissector for SBAS L5 MT31
89d908f619 wka: Enrich and cleanup well-known MAC addresses
a577ea5842 MySQL: Improve Query Attribute decoding
e000083072 GitLab CI: Disable the Fedora MinGW builds for now
90a4925206 Qt: Fix or suppress various recursion warnings
4a7dea6464 [Automatic update for 2025-02-09]
377ab5aaa8 SMB2: address  couple of cppcheck warnings
f738b83349 QUIC: make reassembly function table static
75f4b72bd1 SMB2: use col_set_str() for cases with no specifiers
fc815c1370 SMB2: Fix an array overflow
54d47ac429 tvbuff_composite: Increment deterministically
3b7c0e7a1e Qt: Fix context menu leaks in Conversation, Endpoints dialogs
7e2297a848 SMB2: Add command, status, and MID to SMB2 header
80e41937d0 macos-setup.sh: Set --build for x86_64 GMP build.
663f092886 sshdig: fix documentation and help output
d903f75bd9 Qt: Don't reset the model when only changing some data
48988529c3 Qt: Add a couple of Clang-Tidy suppressions
dbbde25a0e ui: Suppress a couple of CLI recursion warnings
a2f5d9b7ff tvbuff_composite: Add a recursion check
a8c9da1726 GNSS: include errno.h to fix OSS-Fuzz builds
f66f426cd1 wslua-conversation: Update readme to indicate addition of conversations
5b830615d6 ITS: GeoNetworking: Show CBR (Channel busy ratio) in 0.00[%] format
1e0df8c783 Thread: fix parsing Server TLV
452aa3e23d radius: update 3GPP dictionary with missing values
62a7b949e4 RTP: Have shim header dissector return 0 on error
db65e3e5f8 SMB2: place delete_on_close in Packet List
d1427b8628 Smb-Direct: Sample capture  of request that spans packets
8612e4cd31 Qt: Denote marked frames in Follow Stream Window
83c73a83ad wscbor: Add a recursion check
2f8052e40e CIP: Add helper display filters
1430880927 CBOR: Add option to heuristic dissect bstr-embedded CBOR
e5068912fa cms: re-add RFC 7468 file support
66f5607004 CIP: Improve Connected Data Analysis
cb528e8157 ITS: Fix protocol version for VRU Awareness Message (VAM) V2.2.1
24d3523276 debian: Ship Appstream metadata in wireshark and stratoshark
7742e21b95 NGAP: support non standard implementation of NRPPa encapsulation
ddac5fbbf5 TCP: Create the per packet data if needed for manual seq analysis
ddd6571704 TCP: Initialize the per packet data to zero
085fdd0208 CMake: Require libpcap 1.5 or later
a7a71b0c65 Silabs Debug Channel Protocol: Add dissector
8cc20d6b5c tshark: Clean up the wtap_rec after the first pass
c29fe2cce2 text_import: Fix debug statement
6259ddc89e wslua: We don't need to register conversation data with the proto
3c2bc78b57 wslua-conversation: Add conversation tests
31ff11ce52 wslua-conversation: Add proto conv dissector setter tests to dissector tests
c3caa2baca wslua-conversation: Allow non-string keys in wslua_instancemeta_index_impl
dab146cba0 wslua-conversation: Create wslua_conversation
4d7b01df49 Qt: Only auto widen the Conversation/Endpoint columns, don't narrow
c1fc0be2c1 Use the Python UTF-8 mode for `asn2wrs.py`
7c667b67bd CIP Safety: Fix Time Correction Section
826cb9e557 CIP Security: Fix CIP Connection conversation filter
069f61e1ba log3gpp: Don't run off the end of an array.
81cf57ef23 Make asciidoctor documentation builds work again
615860f899 QUIC: Use connection ID, not ports and addresses, for reassembly
7bebfa8ab8 macos-setup.sh: Fix autoconf update fallout
bd05df0c55 validate-commit.py: Fix to allow no commit id
37e8d17362 Export PER libwireshark symbols using WS_DLL_PUBLIC define
e8fedecf31 Export 'dissect_oer_UTF8String' libwireshark symbol using WS_DLL_PUBLIC define
0e16f93f40 smb-direct: re-assemble Infiniband fragmented RC Send* PDUs
3f66335b33 infiniband: allow sub-dissectors to reassemble RC Send PDUs
12c0a87098 Appstream: Expand the Stratoshark description.
bed8d1ee34 fix(file-pcap): variable  might be clobbered by ‘longjmp’ or ‘vfork’
bea03e66b1 Qt: Fix leak in Conversation and Endpoint recent tabs
18baaa71e2 Appstream: Fix developer tag in wireshark and stratoshark metainfo
de722d4c05 [Automatic update for 2025-02-02]
0c5a57ad4f DNS: fix stats crash when there is no qname
fb93104b34 Qt: use sizeHint when checking scrollbar width
446664c8d4 cmake: Use in tree libpcap headers for Windows cross-compiling, MSYS2
8a6bf2e195 Fix parsing of Intel DDC Config Write parameters
0c3e38ee22 qt: Work around gcc 12.1 optimization bug (more e1a6913a).
3cd76f70be pfcp: Update to 3GPP TS 29.244 V18.8.0
8da52edfb9 PDU-Transport: Fixing an old typo
95f456d61b DTLS: Remove duplicated check (Coverity CID 1641654)
1ec2c245de Stratoshark: Silence a warning in Qt6 as done in Wireshark
eb36fbf480 minizip-ng: Try to fix all the include nonsense
05aa65d521 ORAN FH CUS: fixes for sinrCompParam
c77c791f4f ENIP: Improve Object Support
34a1102383 CIP: use ENC_NA for FT_BYTES fields
c3b410b50b CMake: Adapt to minizip-ng 4.0.8 include file changes
3de70a83a5 SMB2: Fix error found in fuzz testing
dad374b08a CIP: Improve Object Support
bf6d7ecf1d ENIP: Support CIP Security-related Objects
84df2b629d gpg: Signature made Wed Jan 29 07:49:24 2025 PST
gpg:                using RSA key 21412672518D8B2D1862EFEF5CD5D12AA0877B49
gpg:                issuer "dreibh@simula.no"
gpg: Can't check signature: No public key
HiPerConTracer: HiPerConTracer 2.x send time stamp support
40e05da396 CIP Motion: Attributes
cc1ea1a2d1 test: Use modern prefs for RSA keys
07143721a4 added dSPACE to homeplug-av vendors OUI
9a695d957a SMB2: Add a FID subtree to all 10 command types
1654b7301c packet-btle: LL_CS_CHANNEL_MAP_IND dissection
102fbbbd85 packet-btle: LL_CS_SEC_REQ/RSP dissection
ee1bbdf04c packet-btle: LL_CS_TERMINATE_REQ/RSP dissection
03f933fc21 packet-btle: LL_CS_IND dissection
a8ccf68047 packet-btle: LL_CS_RSP dissection
81c5e9947e packet-btle: LL_CS_REQ dissection
ee7003a7b6 packet-btle: LL_CS_CONFIG_RSP dissection
58c2f8a34b packet-btle: LL_CS_CONFIG_REQ dissection
ae9e42dabb packet-btle: LL_CS_CAPABILITIES_REQ/RSP dissection
933ce7f2bc packet-btle: change version of supported BLE Spec
563130b813 packet-btle: rename Bluetooth 6.0 LLCP packets
c6b4a49550 packet-btle: fixed typo in the packet name LL_CS_SEC_REQ
a9540a4b40 DTLS: Decrypt DTLS 1.2 after renegotiation
3a59a4e49c RFC9009: add dissectors for DCO and DCO ACK packets, and update RPL Transit Information Option
7e7d167455 file-tiff & cosem: use common tfs instead of own value_string
54d5283202 packet-usb-ptp-clang: Fix clang analyzer warnings.
2c9a224a86 fix for Null pointer dereferences  (FORWARD_NULL)
670f790825 tls-utils: Fix exporting secrets with renegotiation
40fb1780f7 test: Update check for PKCS#11 for changed About output
bd7e87085a XCP: register a couple of missing subtrees
971bddc6f4 macos-setup: Update some packages
05e055c95d GNSS: resolve bitmask warning for SBAS L1 MT25
feff095745 GNSS: Add dissector for SBAS L5 messages
789bab8aa2 GNSS: export sbas_crc24q()
28b7fc4611 GNSS: add support for multi-band EGNOS file format
cf5a9aa187 PNIO: Read GSD XML files only when changing prefs
e4b9ed7779 Initial PQ SSH Code
dd8388ea36 CIP: Support File Object
95b950b670 XCP: Fixing Bugs introduced by !18401
77d8a04352 UDS: Fixing Bugs introduced by !18401
fb20f7be61 TECMP: Fixing Bugs introduced by !18401
2105c7528e SOME/IP: Fixing Bugs introduced by !18401
2054fb7c7c SocketCAN: Fixing Bugs introduced by !18401
dfeec9addc Signal-PDU: Fixing Bugs introduced by !18401
3a8da766a3 PDU-Transport: Fixing Bugs introduced by !18401
9ee0185b2e LIN: Fixing Bugs introduced by !18401
ad7b0d4f3e HSFZ: Fixing Bugs introduced by !18401
391933d229 FlexRay: Cleanup after !18401
48ef6785fe DoIP: Fixing Bugs introduced by !18401
794e1d08da IPDUM: Fixing Bugs introduced by !18401
d19306092f ASAM-CMP: Fixing bugs introduced by MR18401
806470978e packaging: Add softhsm as an optional package on RPM
f4b98b4c1f test: Skip tshark extcap test if sampleif.py execute bit is clear
6ae04cd021 ENIP: Improve List Identity
01f86e5858 Fix (bogus) latest gcc maybe-uninitialized errors
ac4e033325 vcpkg: Fix copy paste error
1389f0d160 Port old USB-PTP dissector
039808da27 Update Windows package to libssh-0.11.1
9783f0c537 Upadate to vcpkg-export-20240524-1
12c192f05c [Automatic update for 2025-01-26]
91cfd6d16d test: Fix skipping Rawshark tests on Big Endian
798e31fc1e file wrappers: LZ4 Fast seeking of linked blocks
93a9130663 JPEG: Workaround bogus EXIF IFDs generated by Flutter Image Picker
d14e835726 pcapng: Add support for more Sysdig block types
3cd7081f0f Fix zstd Windows package checksum (revert accidental change)
4da210bf73 Qt: Don't crash when with an unexpected QModelIndex column in TCP Conversations
7bd28fa049 Windows packages: Fix copy-paste-o in checksum
3bce9862d9 Update windows zlib-ng package to version 2.2.3-1
9280e5e904 Fix some warnings (from check_typed_item_calls.py)
0931fae18c isobus: fix function instance and ECU instance field widths
a866c8864a debian: Build-depend on libssh-dev >= 0.11.1-1 with libssh-gcrypt-dev fallback
4b259cfd0f tools: Fix version comparison in debian-setup
c7f966caf2 PKINIT: add support for paChecksum2 (MS-PKCA v20230920)
9340a1a0aa CMake: Require LZ4 1.8.0 to use LZ4
581610174b file_wrappers: Initialize an unread value, check its return
43212097a8 Fix duplicated menu item with ext_menubar_register_menu
47c5e44490 GNSS: reference current edition of ICAO Annex 10 for SBAS L1 definition
190120d5cf Qt: Fix extcap interface toolbar Qt6 regression
d9a42ee5eb Support for writing compressed captures on the fly
20f8cef7ef CMake: Don't necessarily trust pkg-config about Kerberos
ffa4651763 feat(quic): Add support of multipath-draft-12
f4e8cb0b6a feat(tls-utils): Update TP to multipath-draft-12
df9e995a26 ieee80211: Add Tethering WFA IE
3b6b6b0631 packet-vrt.c: Use proto_tree_add_bitmask_list() in a couple of places.
905607f42b ieee80211: Add Network Cost WFA IE
c81a526bac VRT: decode rest of CIF1 bits
85cf8afeb8 debian: Set version from changelog when building outside of the repository
c25fca85f9 CMake: Fix static linking against GLib2
c5e4e20272 PTP: Change field name from draft's version to standard's version
3d3f9d979f Qt: Fix build without QtMultimedia
22715fd578 Qt: Prefs Editor - resize splitter/columns to reduce scrollbar occurrence
16f2746fbc Update Keysight/Ixia netflow fields support
1b4448898a file: Clear EOF in cf_finish_tail
e0f39e7571 pcapng: Stop reading initial blocks at EOF
0cea822e78 WSUG: Endpoint Types label was renamed a long time ago
593805a7df file_wrappers: Make lz4_fill_out_buffer work like zlib_fill_out_buffer
2a549533ab ORAN FH CUS: Refinements to ST11
9c2c07a7e3 Update RTPS dissector to support type alias
24fe9407ac Qt: Update the Stratoshark toolbar capture icons
22a5d7b149 Qt: About dialog updates
6ce9bb7bda lz4: Fix type in memcmp check
ec4650ed03 NR-RRC: Deduplicate field names
c8f35f1855 LTE-RRC: Deduplicate fiueldnames.
d412de7a12 WSUG: Graph button reference is wrong
96332b0f55 mailmap: Remove duplicate entry and fix some typo
1dd38f405a editcap: fix Dead Assignement found by Clang Analyzer
de7a7dcb13 wassp: fix Dead Assignement found by Clang Analyzer
ee3c101f13 WSUG: Last opened tab is made explicit for the stats dialog.
7d18438e9e MPLS: add additions to IANA registry for MPLS PW and PWAC types
f67b0584d1 ieee80211: only Apple VS Type 6 have subtype (TLV)
33e095e8ff docs: Point users to stratoshark.org in the quick start
ff7ae55af5 file: Use common failure reporting routines in cf_continue/finish_tail
c9f5583b74 MPLS: Don't hide expert items under if (tree) condition
89ce61aa76 [Automatic update for 2025-01-19]
d4e652f66e file: Use nstime_cmp when comparing nstime_t
c854f85535 file_wrappers: Return if lz4 doesn't get the block size
2c1072bf96 docs: Minor Stratoshark documentation fixes
f16be5a642 ORAN FH CUS: do some TODOs
e0ffd926bc DNP3: Reassemble when transport sequence number is reset on FIR bit
b2bd2d080b etwdump: add a necessary header.
73e0788894 capture+UI: Don't show libpcap-related warnings in Stratoshark's main window
96ea0c38ab USB: Fix dissection of USB DFU download request
fda7cef8d3 DPoE OAM: add support for additional dpoe oam
d941dd1948 SOME/IP: Help debugging SOME/IP configuration
9f813b9f7a file_wrappers: Distinguish LZ4 fast seeks to frames vs blocks
1004df1feb ipproto: introduce BIT-EMU
706ca0f8f1 GNSS: add dissector for SBAS L1 MT28
b108815bb2 CMake: Don't generate the checkAPI_dissectors target on Windows
9d8da5d95a cmake: fix Policy CMP0177 warnings
a577cef0c0 vSomeIP: Fixing value string warnings
b59c5dff02 mqtt: fix property length display
177ccd9eba NR-RRC: Fix some duplicated field names.
72e8ee566f wiretap: Always reset LZ4 compression context for linked-block frames
3bff58b8c4 vSomeIP: Adding support for the vSomeIP internal protocol
ef4ca52a0f ORAN FH CUS: Also tap PDU length so can show largest per flow
0be64d3cfb IEEE80211: Fix some value_strings with repeated labels
4721723b5b c-ares: work around a problem with static builds.
57474232f2 writecap: Remove modelines, normalize spacing
100eadb18c ieee80211: update IE HT Capabilities to final 802.11n amendment
71e847e97e extcap: Fix leak of FIFO name
70c24e7f96 ieee80211: update supported operating classes
14e7855a67 Fix some spelling errors
1a7d43b4f5 ORAN FH CUS: improve some ST10 and SE24 details
bc3cb6cf25 DNP3: Check for null TVB returned by process_reassembled_data
0893c136cb Qt: fix Qt5 build failure
648d310582 iwarp-ddp-rdmap: replace 'SMB Direct' with 'iWarp RDMA Send'
35304b0988 macos-setup-brew.sh: libscap requires uthash
8c525bbf5c ieee80211: update IE 61 to final 802.11n amendment
b4ca7f86ac Diameter: update Application list
0864918dfb dcerpc-netlogon: dissect {Drs,Netr}GetForestTrustInformation()
815dd8ddea dcerpc-nt: add dissect_werror()
a8f6815b32 kerberos: call netlogon_dissect_CLAIMS_SET_METADATA_BLOB() for CLAIMS_INFO
13aba12d93 dcerpc-netlogon: add support for Ticket Logon levels in LogonSamLogon*
d4738c5a3b lz77huff: fix EOF condition
69c8479f1b dcerpc-netlogon: dissect netlogon_dissect_BYTE_array as a BLOB
84a2c89d44 dcerpc-netlogon: fix filter string for hf_netlogon_neg_flags_1000000
7084ef2b1a tetra: Fix remaining duplicated field
fab5b44157 gpg: Signature made Mon Jan 13 07:24:44 2025 PST
gpg:                using RSA key B836C6824857B7D581E8E3637BD9945AE5A5E4DD
gpg:                issuer "maxime.goffart@uliege.be"
gpg: Can't check signature: No public key
ipv6: dissector: ioam: dex: fix bit order
28c0ebee84 LIX2: Fix remaining puplicated fields
3a450c07f7 [Automatic update for 2025-01-12]
c4a41d190a NTP: Update extension assignments
dac4ac7b76 RRPL:Fix dupluicated fields
e5b7dcd0fe NGAP:Fix duplicated fields
99f8a3736c Tetra: Fix duplicated fields
88e177318c lpp: Fix duplicated fields
fbfc030441 Check license: Allow BSD-4-Clause-UC
d09fbdc93a BLF: Fix use of Buffer
72b93f280b epan: Remove undefined dissect_init and dissect_cleanup from header
b01cc941b9 SysEx: Add dissector table for manufacturer ID
c7b97ebaa2 file: We know compression type at cf_open
b2b06f8136 Update the Wireshark and Stratoshark release notes
8fb843ad40 tools/check_dissector.py: add --open option
6fd256e2dd Lix2: Fix duplicated field names
7e1ca6cdb0 CMake: Set minimum MacOS version for Qt 6.8
4666b7107a ORAN FH CUS: check SE24 fields more carefully
dff9fe2775 HI2Operations: Fix bearer_capability' exists with incompatible types
9de2298fde Qt: Fix adding compression extension with Qt 6.8
802c8b0a85 wiretap: Clear the random file handle EOF as well
134f17db62 GitLab CI: Switch the Windows builds to Qt 6.8.1
d48366c9f9 SocketCAN: Treat non-CAN-XL packets with length > 16 bytes as CAN-FD
ae79b55188 make-version.py: Fix the Stratoshark package string
b80a34d559 wiretap: Fix log domain
454cad7561 test: Skip a test that requires brotli if we don't have it
43bda4a91b TTL: Use `!=` instead of `>` when comparing unsigned value with 0
1cbf7ec115 TTL: Optimize Buffer usage
4171794366 TCP: Add an analysis field for Karn-Partridge ambiguous ACKs
f518820e1f libwiretap: use ws_buffer_append() rather than doing it by hand.
e1a5e2c5dc Radius: Deduplicate Attribute values in dictionary files.
79fcec57ab file: make packet pointers const in packet-matching code.
6021e80c97 libwiretap: rename wtap_read_packet_bytes() to wtap_read_bytes_buffer().
2a8abfa131 tests: use default env fixture in more places
757994746c ORAN FH CUS: Create a proper filterable common C section
c3663027df HI2Operations: Fix APN display and deduplicate fields.
cc31e7db05 bfcp: renumber primitive
e96a549269 Diameter: Command code="325" is allready defined in dictionary.xml
9469c2a578 CMake: Look for libpcap headers in pcap/pcap.h only
a0a2cb45c2 Signal-PDU: Fixing int raw values and UAT checks
727869786a MKA: minor cleanup
42ea7fec55 MKA: use proto_item instead of proto_tree for proto_items
09b7a6f6aa Remove some unnecessary includes from header files
febd09fad9 etwdump: either declare functions static or declare them in headers.
9954342fe9 ORAN FH CUS: set 'bf' filter in more places (DMRS-BF)
1934a89d03 ORAN FH CUS: Add a hidden 'bf' filter
f1259f81ac GTP,DIAMETER: IE/AVP="Selection mode" changes
c123b6f674 ORAN FH CUS: SE2 fixes
0113022fb1 BPSEC: make hf filter names begin with protocol name
91887d6d1a Radius: Fix fields with incompatible types: FT_IPv6 and FT_IPv4
08e08934ec more dynamic menus to allow submenus
59c72ca333 capture: Drop support for WinPcap
ec09e1bbc7 Qt: introduce sampling options for the RTT graph
f215bd6a8c WSDG: Remove the "patch" section
5c1820dbe0 ORAN FH CUS: When showing sinrValue, attribute to subcarriers
442d1cad22 wsutil: Link to libm in wsutil_static as well
e6ea301506 hex dumps: Add timestamp option
8db78fdcfc Avoid shadow warning in dissectors
d36375412f WSUG: TCP Spurious Retransmission fix
48b4e7c393 [Automatic update for 2025-01-05]
f975a9d58a wkssvc: fix incorrect pointer type for GetInfo server-name
f8e3f936c9 iscsi: add display filters for and dissect the login/text kv pairs
855cc48985 WSUG: Add Packet Format Frame settings
6c87a74e30 GitLab CI: More upload commands fixes
ee819f80a4 UI: Fix implicit conversion warning
b4f0b2b78c GitLab CI: Fix some upload commands
aa50cd8ab9 test: Update for capinfos output change of latest packet time
9d5fb15931 BPSec: Add COSE Context and separate Default Contexts
d4ddd81368 sFlow: Round up sampled header length only when advancing offset
fab46afefd NR RRC: add a missing space in info column for SIB11
dde8f3f4db NTP: Remove redundant code
7bcd0214c2 ref: improved compliance with the standard
e1a5d854b6 ref: changed offset type to int
e8ca05fddc ref: improved compliance with the standard
e4b1791388 Detect double spaces in expert summary fields
1b8bf23e1b Roughtime: Add Roughtime dissector
a603093eca ppp: add authentication algorithms 7 and 8
992afddec1 GitLab CI: Add Stratoshark release assets
9fd99e9ca4 ORAN FH CUS: Add missing part of exttype rangecheck
894084a1a1 text_import: Handle multiple byte groups
e5cfde4e06 Add initial Stratoshark release notes
c2f69423ef ORAN FH CUS: add some more expert info and other checks
a052b0cf42 sflow: Decode ethertype
acbc937acd ORAN FH CUS: Make SE24 show a bit more clearly
a8c3d1e5fd ORAN FH CUS: use separate ett for each extType
888bf71250 BBLog: fix sender and receiver side window shift
d623a5ee3d Drop support for pre-1.0 libpcap on non-Windows
abf0ca39c6 dnp3: fix frozen analog input defines
45f98e4044 Docs: Rename the release notes
a126c1d8bf CMake: Improve support for spaces in generated HTML filenames
e3106b896f columns: Add "Z" suffix to UTC times
0395dcdbc3 Qt: Fixing the printf style formatting of field for Simple Statistics Dialog
4a6e39bf52 Fix some spelling errors
e78ff3635a ieee80211: add dissection of S1G PV0 control frames
85c30fbd2c ORAN FH CUS: ST9 - add layer subtree, and fix offset tracking
138e67906a ORAN FH CUS: Check some ST9 + ST10 details
d56a56953d Buffer: constify arguments to routines that don't modify the Buffer.
424c8f5edd editcap: put the packet data mutation into a separate routine.
5dec51a8c1 IPPROTO: Add new Homa entry
5b39d79250 Buffer: use inlines rather than #defines for the rest.
b8a94353b4 Buffer: just call ws_buffer_clean() in ws_buffer_remove_start().
120dacf72c Buffer: make ws_buffer_clean() a static inline.
335495a4c5 Buffer: make ws_buffer_clean() directly reset the Buffer.
aa33c72544 wiretap: have wtap_init_rec() clean the wtap_rec's buffer.
fa38617c2f ORAN FH CUS: rb is not allowed for ST6
9fbd4f4779 make-version.py: Add support for Stratoshark version tags
2632c259e8 make-version.py: Add Stratoshark VCS version info
472c999a56 More FAQ removal
c8683ffc6a TCP: Add an expert note for segments exceeding MSS
7ee2c379d6 import_text: In regex mode, warn on invalid characters, not whitespace
b7a84b6d10 Happy New Year 2025
c0d37fc327 GNSS: fix GPS L1 subframe 1 word 10 dissection
90bb1d0cc3 GNSS: rework GPS L1 subframe fields
3a0a7b1bcb GNSS: add dissector for GPS L1 Subframe 2
31b600fbb5 GNSS: export fmt_lat_correction and fmt_semi_circles_rate
5a051667aa Qt: Fix spelling in Import from Hex Dump regex tooltip
db13004ef1 Docs: Remove the FAQ
a5744d7673 Qt: Import from Hex Dump missing regex hint double-escaped HTML
1424ed1c32 ICMPv6: Add SNAC Router Flag
c3eb9bf44e proto_hier_stats: Don't create (and free uninitialized) an unused Buffer
45281b1a7f text_import: Improve the extra byte check
6fd5e1da47 GitLab CI: Make a `git describe` command more specific
e97ca36915 netscaler: rename a variable to reflect what it is.
66dbed002c netscaler: slight code cleanup.
81c94c5152 ORAN FH CUS: tap more fields, show highest SN and missing SNs in cli tap
67d4768625 Bluetooth: Update Apple iBeacon
2b73ea4ba1 text_import: Improve ASCII dump rollback detection
c953cb646f fuzzshark: use Buffer APIs.
a0995157c6 wiretap: move the frame data Buffer into the wtap_rec.
233bb7dd42 ws_buffer: constify the "from" argument in ws_buffer_append().
ab9b56b2ac editecap: modify the wrap_rec in place.
fe5a3bdf87 text_import: Move the ASCII check to a static function
aacac94288 editcap: remove end-of-loop continue statements.
e67af1572c LPP: upgrade dissector to v18.4.0
1e284ecfec text2pcap: Handle preamble tokens that look like offsets or bytes
1953bf51b4 editcap: use wtap_rec *rec only where it doesn't just point to read_rec.
320e699f64 [Automatic update for 2024-12-29]
ea8ecf001b editcap: just pass fileset_get_filename_by_pattern() an nstime_t *.
5f3ca4a480 vmware-hb: Update build number
d78bf11a24 Qt: RTP analysis fixups
2116cbad5d ORAN FH CUS: Avoid null dereference in udCompHdr
d41f11e3b9 WSDG: Update the Git Naming Conventions section
bd2df2ac44 TCP: decrease the scope of a variable to stick to our standards
87f820a192 Qt: Include tickLabelPadding in margin calculation
2d566e17e2 UCP: Fix short data check calculation for Alphanumeric OAdC
480111c0f4 JSON: Use a consistent output format for absolute times in JSON
3d81ef817b TCP: decrease the scope of some variables to stick to our standards
41c9a845bc gsm_rlcmac: expand A5 bits in Content_t
946b13f277 ORAN FH CUS: tidy up hf definitions
b0592e11d4 CMake+packaging: Change some variable names
08c56637f7 DIAMETER: Allow Requested-Service-Unit no value
b4f91a9254 WSDG: Caution against installing Perl on Windows
64f9117da5 Add a libwiretap routine to apply a snapshot length to a wtap_rec.
d24b1b08f5 TLS: fix ordering as per draft-kwiatkowski-tls-ecdhe-mlkem-03
0a0a3b626a packet: fix a couple of comments.
12a9e2f239 ORAN FH CUS: Add heuristic option for udcompHdr
21348c0170 IPFIX: Now can decode templates containing only variable fields
24ce472d2c ORAN FH CUS: Add a tap to tshark
44539389c6 Make some types exportable
5cf528c8e6 CMake: Fix an add_custom_command warning
e035ae9e9e Docs: Fix our Stratoshark man page lists
fb21fea206 CMake: Expand a comment
029b3b5a89 F1AP: upgrade dissector to v18.4.0
9ce7843da1 cllog, ems: test the correct handle after an error.
63c3f33b28 NGAP: upgrade dissector to v18.4.0
8519aed49a NR RRC: upgrade dissector to v18.4.0
8b38b85aba O-RAN FH CUS: Increase the size of an array
1c690a7ec7 wsutil: fix version info retrieval
d71ec83ebf S1AP: upgrade dissector to v18.3.0
17c78e5dd2 LTE RRC: upgrade dissector to v18.4.0
b7b8c37cf1 [Automatic update for 2024-12-22]
6b7eac19fc pcapng: fix a comment.
b4ecdcff21 Add a comment about duplicated information.
f939396cb8 CMake: Ignore Strawberry Perl's prefix
4265bb96ac gsm_rlcmac: fix EGPRS BEP Link Quality Measurements Type 2
9dc9c9a1d5 docs: tshark man page maintenance
3552ef40b4 macOS Brew Install: Fix syntax
727911cfda bthci_evt: ToA-ToD and ToD-ToA values as signed integers
02b2fe13db Revert "tshark: Print ABSOLUTE_TIME_UNIX in epoch time in ek output."
0c74d666fa RIFF: Add a basic RIFF dissector
6a58bd8d15 rsl: dissect_rsl_ie_rlm_cause(): fix wrong proto_tree
607050f8ea tshark: Print ABSOLUTE_TIME_UNIX in epoch time in ek output.
b0cbc7db02 doc: text2pcap typo
2e3b802952 ORAN FH CUS: Start tapping flow-related info
469fd4248e Qt: lua console usability tweaks
581517ced9 Capture File Properties Dialog: Fix Encapsulation string with per-packet encap
06766b7d4b BSSGP: Fix a duplicate expert item filter
e181607b58 Protobuf: Support editions syntax
f3ab42d535 tshark: When checking hf conflict, load delayed init prefixes
7bcb154a55 E2AP: Deduplicate fields
a56f7b8ca0 TTL: Remove unnecessary check
cc43232e0f F1AP:Deduplicate fields.
9768764a70 KPM-V2: Deduplicate fields
9dd1b1cd62 SBC-AP: Deduplicate fields
ed40a7ee4d T124: Deduplicate field.
13df4819b9 Tetra: Deduplicate fields.
c30af013d5 bthci_evt: Fix dissection of CS mode3 step
790afa5fd3 ORAN FH CUS: Sequence analysis doesn't need to start with 0
7c33f42cb0 ULP: Deduplicate fields
9f683a020c Dictionary: Fix ICMP-Type-Number conflict
8b0b761d75 Diameter TGPP2: Fix Rule-Reason-Code enum values
1575c9e29f Diameter: Fix Role-Of-ProSe-Function AVP (AVP code 3438) values
aa45238534 Diameter: Don't define application IDs twice
cda13d9a8f IEEE1609dot2: De-duplicate incompatible fields
bc26c38620 S1aP: Deduplicate fields
91b61766c0 x2ap: Deduplicate fields
888508870c xnap:Deduplicate fields
29144427f4 Fix usage of GUINT_TO_POINTER
93ba4f7e3a Thrift: Fix handling of booleans in Compact protocol
811da48756 RNSAP: De-duplicate fields
bcace72563 XML: When regestering XML DTD hf sufix the name with with dtd
b6cab01ccc ORAN FH CUS: dissect more reserved fields
09b78a19f2 print.c: Use the xml_escape routine.
cc16fedf0c docs: More Stratoshark quick start updates
489abfd1e2 rc-v3: Deduplicate fields
d4b0d4651a pkix1explicit: Deduplicate some incompatible field names
0d4446f4ea file-rtpdump: Fix duplicated field name.
33c9ee863a IRC: Use proto_irc isf hf_irc_ctcp(Duplicated fields)
85c409dca0 rtp-ed137: Fix duplicated fields warning.
8670d37541 Revert "poc-settings-dtd:poc-settings' exists multiple times with incompatible types"
1120beb52e wustil: Add David Gay's dtoa for shortest sufficient double representation
4d8fea7f32 Optimize hash table usage in dissectors
c19b2dde1a GNSS: dissect Galileo SAR Short-RLM
6a832be7b1 TCP: Add an analysis field for Karn-Partridge ambiguous ACKs
4ce37a042b docs: Update the Stratoshark quick start
67da0e1085 IEEE1722: Don't reuse can.reserved in ACF CAN
9390ad5c2c packet-communityid: Fix duplicated field name.
96a265b4cd  poc-settings-dtd:poc-settings' exists multiple times with incompatible types
868360473d MQ: conflicting entry in value_string (MQCA_APPL_ID) and (MQCA_FIRST)
39188b0fdc ORAN FH CUS: Show meaning of symbolMask for ASM command
81ab1eb272 packet-delep: Fix duplicated filter ids.
18a1eb82b4 packet-asam-cmp: Fix duplicated field name.
fde19b2c9c show_exception: Remove duplicated field warning.
d962f7b53a HICP: Allow filtering the error string
c773793730 DLEP: Check tvb length before calling bytes_to_str
87f8c91357 RRC: Reduce the number of duplicated fields
ef54f13c43 in_cksum: Prefer returning 0x0000 to 0xFFFF from in_cksum_shouldbe
c9d8247a4a ICMPv6: define cleanup
d514761be2 Fix some spelling errors
e5ea8f1ddf asn2wrs: Use field rename in abbrev
05a7eb64ab BER: Allow unknown OCTETSTRINGs to be filtered
f9c1d93c88 WASSP: Make TLV type filterable again
f8587afdcf WASSP: Get rid of bogus tree-is-NULL test
8ed4d9501a pkix1explicit: Make the OID filterable
72bb60723c Qt: Use direct connections in more dialogs
11c6d68f13 ORAN FH CUS: Rename antMask field to avoid hiding filter
6278e931ed nfs: Fix NFSv2 fattr mode value string swap
46a467de20 PTP: cleanup of PTPv2
b32804d8ac X11: Use unique abbrevs for the CallLists item fields
7e56e6d92c GNSS: Use different abbrevs for expert infos than the invalid fields
991f9e5261 ICMPv6: Fix RA Flags Expansion Option
64c0ff67d9 [Automatic update for 2024-12-15]
18a1d2661e PTP: corrections to Drift_Tracking TLV
1eb18bfcf8 Qt: Consolidate more main window code
98d5cfc758 PLDM: UTF-16 encoding is a string, not a FT_UINT16
41aace5396 Qt: Directly connect more signals and slots
aa2fc91988 Qt: Use direct connections in our Bluetooth dialogs
23cb106d40 tetra: Remove unusued hf with duplicate abbreviation
fd14873326 Falcodump: Fix our include paths
2fba7008b7 Qt: Remove unused capture options code
bed2be3115 windows-common: Eliminate duplicate val string entry
adfa94e134 RRC: Reduce the number of duplicated fields step2
26a8b6fda7 dfilter: Fix Coverity CID 1636701
69d0f9c3c3 ORAN FH CUS: use a common tfs
ab2d59908e GPRSCDR: Add parser for TimeStamp type
5bb3a2d381 ORAN FH CUS: fix scaling in BFP uncompress
f34c45be4c dfilter: value string matching with multiple hfinfo same abbrev
1ecf8da5c2 sharkd: Restore printing detailed UAT pref error message
242b90858f hci-mon: Fix dissection of HCI ISO Data
418f5f0e48 E2AP: Fix label/stats for E2nodeConfigurationUpdate
32220b4dd3 TCP: Multisegment PDUs don't contain keep-alives
1eb61152d6 ieee80211: fix VS SGDSN altitude signedness
588ef8e4c2 gpg: Signature made Thu Dec 12 20:10:57 2024 PST
gpg:                using RSA key F1EF4DCB4D67EDE7E538AD094ED5A609D0EA90CB
gpg:                issuer "res@qoxp.net"
gpg: Can't check signature: No public key
Kerberos: add AD-CAMMAC and AD-AUTHENTICATION-INDICATOR
a9c2e62687 Qt: Miscellaneous signal+slot fixes
d5daee7eae P2P: Fix Group Capability Bitmap definition
07c26e65b5 tests: Add WIRESHARK_ABORT_ON_DISSECTOR_BUG to default env
3a10ab4694 MySQL: Fix "Last INSERT ID" in OK packet if 0
04155569c9 BPv7: Add support for new IPN scheme form
e8fe72b975 ieee80211-radiotap: use U-SIG standardized naming
b9332d72d2 PTP: Added support for Drift_Tracking TLV (802.1ASdm)
f96900098b TLS: Add upcoming SecP384r1MLKEM1024 as per draft-kwiatkowski-tls-ecdhe-mlkem-03
27a05132da Qt: Directly connect more signals and slots
b11c07bb37 sharkd: Fixup removal of frame_tvbuff
fe6b95f320 RRC: Reduce the number of duplicated fields.
fbf7450d88 Remove some double semicolons
7af79b741c packaging: For Debian/Ubuntu add dependency to qt6-qpa-plugins
195d70dc50 cosem: Silence a couple of warnings.
9161d61576 packet-gsm-a-common: Use proto_tree_add_item_ret_uint in more places.
e1b1ef1029 Qt: Update a type
5c5d1f8d8e packet-dnp: Slilence a warning.
235bb6310a dcerpc-netlogon: Silenece warnings.
1a1c44f2c1 file-pcapng:Silence a warning - The left operand of '!=' is a garbage value
89b152be8f TLS: Switch from X25519MLKEM768 to MLKEM768X25519 as per upcoming I-D update.
c19db07517 PTP: Fixing TLV Parsing
9c139e4db0 refactor: use arg() to concatenate strings for better readability
d41c7656e4 DIS dissector: Review support for EntityStateUpdate PDU
995bd20b8e Qt: Use modern signals+slots in more places
7046b226a7 IEC 61334-4-32 COSEM/DLMS Dissectort
fb2ef6320a dnp3: add filters for point indices based on the object type
9dd1f89491 Qt: Warn for non-executable "dumpcap" on Unix.
3d0131e381 ORAN FH CUS: break down reMask bits
213c0fe79a XnAP: dump unknown extension bytes if no dissector is registered
e98b9f6900 NGAP: Fix a filter name
b451b5069b tls: Workaround for missing handshake secret, app secret present
6c36cde338 NGAP: dump unknown extension bytes if no dissector is registered
fa603a6bb1 Sysdig Event: Add a check for a dissector handle
0c182acf6a Falco bridge: Change some errors to warnings
f12790fd3a Falco bridge: Don't try to extract conversation fields if we're disabled
c1fa66eeb6 ORAN FH CUS: Change udcomplen preference to default to a heuristic
7fdaac735a MBIM: ignore junk in NDP headers after Null entry
ed64ca95b6 XCP: Adding support for ASAM XCP
948422d0b7 check_typed_item_calls.py: match more (probably) valid encoding args
e56b002d51 PTP: changing TLVs to relative offsets
cd6be7486d Fix some spelling errors
65b82d780b TLS: Add support for FIPS KEM as per draft-connolly-tls-mlkem-key-agreement-03.
080cd29674 stratoshark: Fix up editProtocolPreference types for MOC generated code
0ffafe6e0f addr_resolv: Support EUI-64 addresses in ethers file
531f514ac5 [Automatic update for 2024-12-08]
ef12db5df1 GitHub Actions: Don't persist our credentials
136dbae601 ORAN FH CUS: Init some variables to avoid static analysis warnings
f08c3b9a83 PTP: make offset handling consistent for management TLVs
91169c26d0 PTP: Making expert info better understandable
74b61384ba PTP: Fix Management Path Trace (Bugfix)
4e8c3f85f6 Fix a typo in last change to spelling script
0ebb80df84 WISUN: Addition of missing LCP-IE channel plan tag field, and correction of one typo
6bcc25e710 ftypes + dfilter: Convert booleans from strings in semcheck
85db189349 Fix some value_strings and check some masks
fc46214be6 GitLab CI: Remove an unused variable
2be9e61a0f Use the Stratoshark man page in the UI and packaging
7eb596d32e Bitcoin: Add Magic Number for Testnet4
4b7dcd00b8 GTPv2: fix ULI decoding
70f8ab149c ftypes + dfilter: Switch FT_EUI64 underlying type to bytes
e011b16ea5 Fix two more typos.
854759e20d Fix some spelling errors
8067721d94 address_resolv: Add support for resolving EUI-64 addresses in columns
0fa0a46596 Qt: Remove support for multiline packet list items
998b37e401 epan: Document ws_label_strcpy and ws_label_strcat
3ba4f09399 epan: Escape our custom column strings
e9ccf21637 PTP: Minor cleanup and fixed typo
bb33ad575a PTP: cleanup helper functions
08c52adc41 ieee80211-radio: add support for EHT BW 320MHz-2 support
5113be0023 ieee80211-radio: Add support for MCS index 14 & 15
f534dafc18 DIS dissector: Added support for Air appearance flags
4fb8ffa85f PTP: Fixing typos
3ad25b5a54 Unit_String: Add support for ps, fs, as and use in PTP
224171a0e7 eCPRI: Flag with expert info if OWD req/resp not seen
b939f33358 nas_eps: Fix plurality
70b27abebe LDAP: Don't unnecessarily format text
37c722fc07 kerberos: also print kerberos error NTSTATUS values if flags is 3 instead of 1
ed8ceb20d6 TTL: Add support for TTX Logger file format
93fd22eac3 addr_resolv: Load ethers file when initializing name lookups
72fd6be214 eCPRI: Use a common field for pc_id
3d6faba8d9 windows-common: add new WERROR codes from MS-ERREF
290d22578c windows-common: add more NTSTATUS codes from MS-ERREF
e1ac279d2a Qt: Fix advanced prefs show changed values
7fda930fe7 tools: Add multiple commit support to validate-commit.py
dae97e411d eCPRI: update Info column for 1way Delay measurement
640c558766 eCPRI: Calculate and show 1-way delays in ns
85ece2ee35 dumpcap: Add an application flavor argument
557599283b CMake: Have Asciidoctor fail on warnings if possible
bd4fff674d GitLab CI+tools: Add support for multiple commits to pre-commit
6ac7004390 CMake: Always try to set NO_SANITIZE_{C,LD}FLAGS
ce6d762be7 ftypes: All integer types are compatible
1afdc09c62 ftypes: Allow comparing unsigned and signed integers
c9e42644ed eCPRI: check concat behaviour with ORAN FH CUS frames
d86c97744b LTE RRC: fix dissection of AbsoluteTimeInfo
34de215cb2 NR RRC: fix dissection of AbsoluteTimeInfo
6039b9e030 extcap: Warn and fail on Windows with ProxyCommand (unsupported)
bfce1f9d9a Fix a potential crash with WinPcap 4.1.x.
129565f0ef dfilter: Don't crash on multiple relations with unary functions
10e9024c12 IDMP: Avoid returning twice from some generated functions
c979cf1e3a eCPRI: Fix handling of concatenated frames
6227a12383 ftypes: Restore three way comparison
6a1e387d66 top-level CMakeLists.txt: add a comment.
f54ca5c486 [Automatic update for 2024-12-01]
0bd49c8224 Various trivial dissector changes, from static analysis
31b31e1008 Move capture_opts.[ch] to the ui library.
45d855a803 DHCP: Don't try to finalize a composite TVB with all zero length TVBs
02fe5daeac eCPRI: clean up some of the length range checking
cd785cd8e5 tools+GitLab CI: Add a test report wrapper
efbbd7195c text2pcap: Regex parser should not require a newline.
abc9adb069 ORAN FH CUS: Fix some issues with LAA section
eed88666ab PTP: Fix pointer dereferences from previous commit
1300ada841 Adds consistent treatment for GAD ellipse orientation
9a24ae406e More help output cleanup, making the output more alike.
9d90886858 eCPRI: Some updates for Message type 5
585af99604 Add missing packet-ipv6.h to DISSECTOR_PUBLIC_HEADERS
9e3c26f227 checkAPIs: snprintf updates
ec09e664a0 Document --update-interval capture option better in help messages.
413ad57730 commandline: use g_get_prgname() in error messages.
55ddbd3101 Use g_get_prgname() to get the program name.
ca8c20821d More checking ett entries are registered
5459d6a091 UDP Multicast Stream: Use UDP datagram length for bandwidth
41922e0e0f PTP: PTPv2 Analysis should not match minor version
63aa7af20c ftypes: Unify some of the "compatible types" handling
447e387749 UDP Multicast Stream: Fix a bunch of leaks
1833edb5e7 nas_eps: Fix a TLV PDU type
9f9f39a28b epan/isobus-vt: parse 4 bytes for the value of the Change Attribute command
8b88592147 Update file packet-blip.c
6611c02d30 Remove two trivial extraneous comments.
1827d55967 dfilter: FT_GUID is not a bytes type
039b587fdc wsutil: Add an application flavor API
2d19d6432b Move .well-known to the repository root
de4e84f086 Add .well-known/funding-manifest-urls
45c8bf0794 Qt: Window Scaling Bytes fixed for RAW SEQ numbers
deaa5fd994 wsutil: Add Locale prefix to LC_TYPE
3787caf581 asn2wrs: Don't use implicit -1 choice tags in value strings
7206964cd2 nas_eps: Fix a TLV id
c37673799f Qt: Use SI prefixed units for TCP Stream Graph axes
cecca236df ACP133: Fixup our conformance file
378e32a3a3 FAQ: Minor cleanups; Remove Yahoo Messenger content.
5f35b6be27 fuzzshark: Fix epan_dissect_run args.
3603225c51 erf-interface-id-fix Fix erf_interface_id_from_flags()
67757085e7 Fix some more warnings from check_typed_item_calls.py
7b4aaa1735 Update Aruba GRE protocol values for three radio access points
d3dcb91574 dfilter: Fix Windows build
1eef8dada6 Replace some g_strdup_printf with g_strdup.
a38a6cb4b9 ORAN FH CUS: Add/fix some Section type 4 details
08c0b9ea1f dfilter + ftypes: Add a "cast to double" function
b007587c2c ieee80211: Add new fields in EHT operation and capabilities element
4d5a24abba ieee80211: Add new fields in Ext MLD Capa and Oper
38ada3d860 cllog: distinguish between two file errors.
9a1005cd4f cllog: Avoid a stack read overrun.
d32485ca49 Adding GSMTAP LTE RRC Channel name mapping
5ff9024202 cllog: Add a file-format decoding test.
5ca7d39aaa GNSS: add dissector for SBAS L1 MT9
c607060b91 dfilter: Extra value_string checking and comments
78a57e0389 docs: Add an initial Stratoshark man page
217871ec89 Qt: give lua menus a home in Stratoshark
0bacb9ce3b Fix some item lengths
425a80d209 uat: Verify that a field is valid
c2b86923c9 IEEE 802.11: Update our multi link string handling
ba4c143fb9 GitLab CI: Fixup our commit check failure report
2d34c48cae Remove frame_tvbuff.[ch]
66b751138e ORAN FH CUS: Choose and use appropriate sReSMask per PRB
ba0ee80259 Fix another few spelling errors.
8f2cb5f54a dcerpc-netlogon: add support for NetrServerTrustPasswordsGet
f32eeba0eb windows-common: add STATUS_DOWNGRADE_DETECTED
5e6494b6ad Qt: FieldFilterEdit only accepts single fields
8f375fe82e gsm_a_common: Fix uncertainty speed abbrev
124b8bf27f GTP': search dissector for proprietary data format
49eda3c46b gsm_a_common: Fix uncertainty radius abbrev
d90a1d6583 tools: Sort our AUTHORS file better
00ce976385 rpm-setup: Switch our installation argument order
c70de6a682 PKCS12: Reformat a function while looking at coverity issue
bb24963463 dot11decrypt: Support Fast BSS Transition with RSNXE present
eefb07e2ad Qt: Use a DisplayFilterEdit for custom columns
977a13381b [Automatic update for 2024-11-24]
0bc06ec108 DCOM CBA: Always initialize our strings
1737638f4f TLS: add support for certificate compression using zlib and zstd
9cdb473cae proto_tree: fix typeo.
fc4bb73292 Switch our source tarball compression to zstd
fd6004fa22 Qt: Add a setType function to DisplayFilterEdit for use with ui files
ade0caad77 wslua: Throw an error properly for TreeItem:add with nil value
1bacbae7eb ZBEE-TLV: Avoid undefined shift (CID 1545113)
610c33d7df smb2: convert to ws_log system
e31f8e49cf Various: use ws_log system instead of fprintf
71138b6138 Fix up types.
d717f177a2 dfilter: Do not crash on vals() with incompatible fields with shared abbrevs
8165ace3f6 VJC: Improve connection tracking across passes
b5ca6f3dfe Get rid of an unnecessary variable.
9802120e5d ORAN FH CUS: Make more subtrees proper items
c68bf01794 Use include files rather than doing incomplete structure declarations.
1101efa898 Use pref_t rather than struct preference.
b0001fab8e NSIS: cmakedefine LIBSSH_FOUND in Stratoshark package
2211df42c1 dfilter: Access the return types of filter expressions, sort numeric
556f4e1594 cmake: Fix for policy CMP0175
336123f3ac Qt: Get the debounce timer value from the prefs structure.
54dee6e262 endpoint_dialog: small preference-fetching code cleanup.
8f651e222e feature list: Workaround g_string_replace on GLib < 2.68
f70ead9865 dfilter: Add infinity and NaNs to the float token
3264bbd19c wiretap: don't use void parameter type in wtap_new_ipv6_callback_t
43df2a3a08 prefs: add support for bool values to prefs_get_uint_value
f0c6b3b366 epan: Add a tree item offset idleness check
3e38d6e9f6 RRLP: upgrade dissector to v18.0.0
60617844e3 gsm_sms: Display the full SCTS timestamp string
650186c82c capture: Clear pending packets on a new file
c959159b43 Detecting uninitialised etts: reduce false positives
c74d52523f docs: Update the Stratoshark quick start and sshdig man page
cead687d3a Windows: Add the gcpaudit Falco plugin
a996768331 RTPS: Skip zero-sized fragments
6f6b8e9c4e gpg: Signature made Tue Nov 19 14:21:04 2024 PST
gpg:                using EDDSA key DB97FD407C9A390FDA25CA40E3C87292257591B9
gpg: Can't check signature: No public key
fix: only decode JoinGroup response skip_assignment with sufficient api_version
d066494275 gpg: Signature made Tue Nov 19 14:20:56 2024 PST
gpg:                using EDDSA key DB97FD407C9A390FDA25CA40E3C87292257591B9
gpg: Can't check signature: No public key
fix: only decode JoinGroup request reason with sufficient api_version
30bf76f670 capture info: Store total counts as 64 bit integers
9951c88603 Update RTPS dissector to support topic alias
1dd55199f5 dfilter: Do not crash on failed IEEE 11073 float conversions
c56566a51e sshdig: set namespace (fix incorrect help_url)
db1d1f675b Fix some spelling errors
beafa7bb11 TCP: Update a preference name
fe4f177317 ipsec: Add support for mlkem according to draft-kampanakis-ml-kem-ikev2-08
d828ae76c0 asterix: additional nesting check
37bd8735e7 packet-scylla.c: dissect protocol feature negotiation
cbba3ba1f5 wsutil: use namespace in version string
e236bebd56 ORAN FH CUS: Show correct RE number within PRB
f94c19e38d ORAN FH CUS: Several fixes around U-Plane sections
e8fc9c99b7 lemon: Suppress MSVC warning via pragma, not in CMake
c6a29b68ff Add Keysight JA4 and scrambling hash netflow field
550fdc6936 Consolidate handling of Lemon generated warnings for GCC/Clang
117156b5ac doc: Capitalize "Avg over Time" in I/O Graphs
d8ac3a6c65 Qt: Fix column order in enum as well
1d739010ec Check a few more ett entry registrations
99c3edbd10 Check that some more ett items are defined
7789875341 Clean up About info.
56eeb4fa70 Qt: Make I/O Graphs Average over Time backwards compatible
b26545b47a About info: Put the formated info in the tab.
25f3d24d4a rpm-setup: zlib-ng / zlib updates
dc555d93b9 CMake: Look for Sparkle in /opt/homebrew
98cbc2e18e macOS: Switch away from a deprecated Sparkle method
76cc9cda50 ORAN FH CUS: Show individual flags/REs for sReSMask fields
60615241d5 btle: fix Dead Store found by Clang Analyzer
0cdfdf14f4 pfcp: fix Dead Sotre found by Clang Analyzer
a5e7309f98 EAP: fix Dead Store found by Clang Analyzer
580be215bb GENEVE: fix Dead Store found by Clang Analyzer
d98cf6f4ad docs: Switch tshark.adoc back to LF line endings
fbeb1a7968 Check that ett_ subtree entries are in array(s) for registering
59efb4a203 pop: Assert if the per packet frame data doesn't exist on later passes
2fe6abb483 sshdig: Add Option for "modern-bpf"
2f375df75f Get the compile-time versions of more libraries.
71cb136513 Make commandline_print_usage() static to ui/commandline.c.
12399832b7 [Automatic update for 2024-11-17]
7483d34995 WSDG: rework "Contribute Your Changes" section
896586afb1 tshark.adoc: fix the hosts file wikipedia link
b34e6b88aa extcap: Allow starting from Stratoshark extcap config
173189cb9e dhcp: Add new data source after finalizing
caa32b41ae TCP: add missing NULL-check
92e1792bae TCP: Don't use client port for dissector selection
a65e402394 Qt: Advanced Preferences - Add "Copy/Copy Row(s)"
4a08fb4cfb DHCP: Handle rfc3396 long options in a generic manner
76bcea7f8c CMake: Add a common extcap properties macro
38a522373b cli: uses namespaces in help output
c1d34fc71f cisco-mcp: Fix adding VpcInfo to column
f9be6d8b9a epan: Fix get_display_repr crash on faked nodes
1a5f3fad00 btbredr_rf: fix a warning
817a1e0921 Test:Fix the test for automatic updates
b1c5c52ea8 GTP: Retrieve gtp_conv_info inside GTP' data transfer resp
93e39056c7 ieee80211: Add channel usage req and resp dissection
3495013069 GNSS: add dissector for SBAS L1 MT27
adc01b0d0d Proposed reworking of 'About:' info
6e2e444043 lua: Add a fixture to test Lua scripts under different locales
fb64334c6a Lua: Support comma separated DissectorTable ranges in decimal comma locales
c8e5887073 ECMP: Exorcise a string buffer arithmetic gremlin
76179fb3aa ieee80211: Add Apple Vendor Specific IE (0x0017f2)
3bb562664c packet-icmpv6: improve L flag description
6aae662cd9 packet-icmpv6: format A and R flag text
a5bd249ff3 packet-icmpv6: implement P flag
a5916b6c5f ORAN FH CUS: Fix some issues around compression methods/udCompParam
8a97445b7f GTP: fix a null pointer dereference introduced in g5fe9f49
b5f6b82ba3 eCPRI: implement dissector of IWF Delay Control message
0488f39564 lua: Load bit and rex_pcre2 as though through require
5e277cb6e5 extcap: Add sshdig, which allows remote syscall capture
b42dc76c89 ieee80211: Fix some typo in ranging element
650b1d5499 ieee80211: Add Secure HE-LTF subelement in Ranging element
0be7dab2a1 ieee80211: Add new fields in Extended Capabilities element
5fe9f496e2 GTP'(gtpprime): Several visual improvements
2740850665 tap-iostat: Support filters with internal commas
36257a3c58 Qt: fix preferences editor default value tooltip
427c6258db H225: Consolidate cs_type and label updates
03ec7b8d73 Github: Try to make sure MSYS2 build fails appropriately
db2392d01a msys2-setup: Replace minizip with minizip-ng
5135143f2d MSYS2: Add missing nghttp3 DLL to installer
9c4fadc42c MSYS2: Update build to use Lua 5.4
8b6f6bc21a Replace debug func printnbyte with ws_log_buffer
626574effe ORAN FH CUS: Use numUEs for number of data entries
0541b5ec74 BGP: Fix typo (bitmaks -> bitmask)
6f7207a6de hsrp: Fix the display length of some TLV blocks
faa5e1e42a sFlow: Fix bitmask for sflow_245.flow_record_format
62894e7422 IEEE 802.11: Fix format truncation
bc6c5bd260 Qt: Improvements in Font and Colors preferences
63b6d1cba6 ieee80211: Add Non-AP STA Regulatory Conn element
bf7dcdcc15 ieee80211: add bit 14 definition in EHT MAC Capa field
d65520dc14 BGP: Add BGP-LS Extensions for Flexible Algorithm Advertisement (rfc9351)
f96f21b221 .mailmap: Update my mail
aa81ef365f More checking of expert items.  Do items used in calls seem to be registered?
f1c385025e Qt: setStyleSheet overrides setFont on prefs sample font line
924762fae3 eCPRI: add dissector for IWF Start-Up (spec 2.0)
0cfcbf74a0 ORAN FH CUS: Decode SE params for Modular Compression
620485a926 idl2wrs: Fix format-truncation warning
fafbeefa89 ieee80211: Fix wrong variable naming during merge
ff33362da2 ieee80211: add new definition in TPE element
355f35c41a ieee80211: Handle MIC length 24 in TAG_MIC
57b5723a6b ieee80211: Fix typo in measure_report display filters
11a3ebcac7 Fix SAMR LookNames(opnum: 17) parsing failure.
15b2fa5470 SOME/IP: Improving info column and allowing call by lua
a72f13513e dumpcap: Initialize failure message routines
95eb257d8a lemon: Suppress type-limits warning on gcc with generated code
2bacd45b56 Zabbix: Add two more frontend request types
99252377df ORAN FH CUS: Expert info for unsupported compression method
25043b76ad Qt: don't close preferences search window when enter/return pressed
f9245556f0 Reassemble: correct the comment of reassemble.h for doxygen
ca6fecd7d7 [Automatic update for 2024-11-10]
2e76f21363 Zabbix: Add frontend and internal request types
c9d523d2b4 Fix some item (filter, mask) warnings
d9b2df484e ORAN FH CUS: Fix another test
e2bf463fd9 ORAN FH CUS: Fix test in previous commit for udCompLen presence
83b6b0a149 ORAN FH CUS: Add new optional UPlane fields
c5caa10342 sFlow: Improve output interface handling
7a049dbd46 [doc] Missing attribute prevents placeholder replacement
ac69c838a2 E2AP: Show message name for RICQuery messages in Info column
8d042ecc25 packet: Make pinfo->rel_ts relative to first packet
f735a4b833 MySQL: Update MariaDB event types
664a9495bf capture_opts: Only read the list of capture filters when necessary
e600ef081c radiotap: Highlight proper hex pane octets for 0-length-PSDU
194eeda4a1 radiotap: Improve the display of the 'XChannel' fields
090e75fa5d radiotap: Fixup bits 16 and 25 in the 'Present flags words' bitmap
e98a09cf99 ORAN FH CUS: Avoid compilation error
b2620a6c0d OSPF: Add IGP Flexible Algorithm (rfc9350)
cd40b705f8 asterix: upstream structure adjustment Expansion
5fc9ccf7f2 asterix: upstream structure adjustment RepetitiveFx
eb0d651d9e RTCP: Handle non-null terminated SDES in compound packet
c02449c1c5 Lua: Update add_packet_field string encoding example
bb7824e27a sharkd: improve error messages, add --foreground option
291d6c11a5 Qt: Check for valid clear_button
0d348d6cd5 Lua: Check and warn about unregistered ProtoFields in add_packet_field
6b200f3685 Sflow: Remove unused hf.
36a0f27abd icmpv6: Update code and options from IANA
6cbece1d20 Diameter: show Access-Network-Charging-Identifier-Value as optional UTF8
679957fa77 HI2Operations: update of EPSCorrelationNumber to show uint64
1d3615213f LI5G: update Correlation ID to uint64
5aad8fab0d icmpv6: Capitalize code strings
62243654dc Make a separate filter for Serving Network PLMN
d25d0ef443 feat(modbus): Call additional dissector based on function code
82ec8fc0a2 DNP3: Handle multiple transport segments in a TCP segment
2a73bcbc08 tvbuff: add tvb_get_uint64_with_length
5f2309a09c Windows: Make sure our extcap interface name includes its display name
a05d9ef9d2 epan: Use more unit_name_strings
36f3c41023 acdr: Fix null deref
c60b347593 Fix some spelling errors (mostly in comments)
e5b910a30c Qt: Set Conversation Hash Tables read-only
3397cd0877 Fix extcap interfaces on profile change
b12e3a34aa CMakeList: Add documentation to Stratoshark
54b4dabed5 Qt: Fix our console preference initialization
6b5a010abc Qt: Fix preference and UAT help URLs with fragments on Windows
92fc5f22dd slow protocols: Use the shorter name for protocol short name
5c899be8a3 DNP3: Add Conversation and Endpoints Tables support
985107bb71 dissector_try_payload_new -> dissector_try_payload_with_data
994aec0111 Replace dissector_try_string_new with dissector_try_string_with_data
a39e4caf18 nsh: Use array_length macro
c9b894b873 DNP3: Only add reassembled AL packets in the FINAL fragment
e2182d7462 IS-IS: Add IGP Flexible Algorithm (rfc9350)
65797b7cce modbus: Fix bit value
db5a1635c1 Rename dissector_try_uint_new to dissector_try_uint_with_data
79c8260323 DNP: Handle rollover by extending the sequence number
e39bfd0418 Modbus: fix bit value display in packet details
53878e7ca5 Qt: Override the popup mode for Filter Buttons with menus
8277d1f458 Change dissector_try_string() to dissector_try_string_new()
535a8a3008 Profinet DCP: Use applicable sub option name in tree
2e54d8224c BACAPP: Update to use the current recursion depth API
9f26205a3e doc: Fix wsbuglink issue text
1f0ebe1482 GitLab CI: Dump our commit check failures
51e0dfa005 epan: Fake nodes with null field_info to ensure proper tree structure
850b165959 file+Qt: Go To [First,Last] Packet in Conversation
cb7f46f495 Qt: Update traffic table on display filter change
c8e5e06a14 [doc] Add aqt as alt download for Qt on Windows
d70801c600 SRT: display NUL character in a middle of a string
f85d2fe5e1 Protobuf: Use enum value if name is missing when mapping to JSON
fdba3640d8 BTHCI_vendor: Use common pattern for protocol tree entry, use -1
b3bc9bb617 POP: use state info stored in conversation during first pass only
e63cefb935 WiFi: Adjust regulatory info field
8ea0b019cd ftype-time: Fix multiplication
fa3313b0c5 bthci-vendor: Add Android specific dissector
8c33b04c46 bthci_vendor: Split broadcom and intel into separate files
98d5f43fea bthci-vendor: Add A2DP Hardware Offload dissector
e5cbf9eba3 bthci_vendor: Update LE Get Vendor Capabilities
39fe983040 GitLab CI: Fix a plugin list
51f95a07ea win32: fix PortableApps extcap installation folder
b97a9e534e TLS: Fix MSVC build (shortening)
91ceae28d9 Qt: modify About dialog banner text for Stratoshark
10fa0dd215 TLS: implementation of Encrypted Client Hello decryption
fdcbd6efe3 QUIC: Support initial_max_path 0 or 1 (draft-09 or later)
8b5cc3c0ce CBSP: reassemble split TCP Packets
c752ff8460 SMB2: Add four new attributes
73a1b5c53a Qt: wrap filter expressions in quotes when displayed in error boxes
2216614d23 Qt: Don't use theme stock icons on Windows or macOS
a1e6a8f6cd Gitlab-Ci: Add libgcpaudit for Arch build
8c19c81cb9 Qt: redundant text in filter files warning message
106b1b0d70 E2AP: Show dissector version based upon name and major version
f4f02aa12b E2AP: Add RC version 3.05
33f3472dff Github Action: Rename logray to stratoshark
599550c365 rtcp: Fix packet length
4483ab3c1c HI2Operations: small correction of GTPv2 decoding
aedaf21aa9 Stratoshark: auto switch cloudtrail profile
a887216a67 falco bridge: JSON decode cloudtrail additional event data
cf348a1950 Fix item call offsets in ORAN and UBX
3087e94ef6 Remove "outfile" pragma from flex files
8b0ae85342 eCPRI: minor refactor of dissector logic
8bd9f7bb85 Protobuf: Support extension declaration syntax and update well known proto files
4467c6bbea Qt: Reduce I/O Graph minimum width
53c051299a QUIC: Update multipath draft11 (PATH_ABANDON + PATH_BLOCKED)
103bec6d63 ORAN FH CUS: Various small improvements
e71343afc6 Netflow: Remove an assert that cppcheck points out can never trigger
58874dd864 dissect IPFIX elements 505-510 (draft-ietf-opsawg-ipfix-gtpu)
ee09efebbb GitLab CI: Update the Arch build
95e7297348 [Automatic update for 2024-11-03]
10cc65f413 LBMSRS: make update_counts() static
a33f43a9d4 Expert info: check better for repeated expert summary
a93c75cc71 refactor: replace remaining QString() with QStringLiteral() for better performance
aa06a9f782 SCTP Chunk Statistics: Prevent format truncation warning
a776d58623 Fix some spelling errors
f6fa8a119e GSM MAP: Update to 3GPP TS 29.002 V18.0.0
e51a321519 androiddump: Fix truncation warning
633927af9a ORAN FH CUS: Fixup a couple of small issues
9d5d4a2536 addr_resolv: Format-truncation
3c752af271 dfilter: resolve unparsed for each node in a set
3db11447dc QUIC: rename PATH_STANDBY to PATH_BACKUP
33e42541a8 QUIC: Update to multipath-draft11
6cbf9afc92 TLS(QUIC): Update TP Initial Max path ID to multipath-draft-11
234ca6bcca DCERPCNetlogon: zero-init MD5 hash buffer
a6389785d5 dcerpc-netlogon: some trivial changes
1dea39c02b FTP: Fix export objects when intermediate commands like ALLO are used
74f5be8907 protobuf: Close repeated field JSON arrays followed by unknown fields
74a56517c3 NSH: add dissector-table for NSH TLV data dissection
41712b0098 NSH: collect TLV fields together in subtree
93b4b8ca1f dcerpc-netlogon: maintain netlogon_auth_vars for NetrServerAuthenticateKerberos
dfca51eeb0 dcerpc-netlogon: correctly sort netlogon_auth_vars
9b2967bfbb dcerpc-netlogon: split out find_tmp_netlogon_auth_vars()
73582ad0ed dcerpc-netlogon: split out create_global_netlogon_auth_vars()
8d34e45f58 dcerpc-netlogon: remove unused variable
f415bb42c8 dcerpc-netlogon: allow decryption of MD5 based schannel using DES based keys
bd5d94c9ed dcerpc-netlogon: improve NetrLogonGetCapabilities dissection
9d8e7b5899 dcerpc-netlogon: fix alignment of netlogon_dissect_AUTHENTICATOR
6704152936 dcerpc-netlogon: all netr_LogonControl[2[Ex]] calls have the same reply values
1768531c85 dcerpc-netlogon: add dissection for NetrServerGetTrustInfo()
3515de5241 dcerpc-netlogon: decrypt/dissect NetrServerPasswordSet2() payload
9edf0f5950 dcerpc-netlogon: fix NetrLogonGetDomainInfo dissection with NDR64
eaf61a11a0 dcerpc-nt: add UNION_ALIGN_TO... helpers
f508afe1b5 29West lbmsrs protocol changes through UM 6.17 release.
09c98896fe Qt: allow text copy from QMessageBox popups
95d9185fe4 elasticsearch: versions are really unsigned, fix format truncation
e1eebc0e7a AVSP: DzGRE timestamped display
ba9a66998f BLF: Fixing errors in File Header (Bugfix)
79c076124f ntlmssp, dcerpc-netlogin: Logging format truncation
0c14035396 MP2T and MPEG-PES: Add stream count, follow stream support
f1b099c771 ORAN FH CUS: ST 11
54a63f2bc5 GitLab CI: Add an initial Arch build
402c185849 OSPF: Add IGP Flexible Algorithm (rfc9350)
cffdf36ebe ieee80211: Don't dissect Reserved MTPI as if it were 0 or 2
01a4aefe09 ORAN FH CUS: add SE 27
b27a29b9e5 epan: Add handling for ASN.1 REAL special value NaN
15f02361f5 epan: Fix decoding of ASN.1 REAL numbers with zero length (0.0)
c020c3b214 epan: Fix asn1 REAL number decoding by correcting lenE assertion
af92dfa217 epan: Fix length of returned fragment in one frag "reassembly" case
fe28f23a3f ORAN FH CUS: Add Section Type 10
c2883c6c6c HI2Operations: correction of GTPv2 decoding
c6695c28a9 dfilter: Typo in error message
5c72d3b786 wai: Fix trivial format truncation
f8a14841bc nbap: Fix a NULL pointer dereference in logging
08a7caf8a2 NSH: remove redundant length check
f62e717a69 NTLMSSP: convert to ws_log system
e7ab91d072 DCERPCNetlogon: convert to ws_log system
b5b4a814c5 Netflow: convert to ws_log system
b205222b61 NBAP: convert to ws_log system
e819837bbd GIOP: convert to ws_log system
a8128719f8 wsutil: Use universal character escapes for UTF-8 entity strings
2ec12cf378 snort: convert to ws_log system
781d211b5e refactor: replace QString(tr()) with tr() to simplify code
72a61a5788 LIX2: add some E212/GTPv2 decoding
96f40db436 packaging: Add dftest and idl2wrs to -devel RPM
7a7b99e0d9 Qt: Don't disconnect all signals (inc. ::destroyed) of WiresharkDialog
faaf6a2c4c Fix mojibake caused by merge request !17795
d8ca9fc339 5CoRAP: Advance offset correctly when too many items
63028a4c4e wmem: rename wmem_tree_insert function wmem_tree_insert_node
9a3fbb5da3 epan: Increase maximum name for DNS names
46d325b4d9 Fix some sharkd includes
5218a2b94d epan: Fixup adjusting length of FT_PROTOCOL value
0a59f10bef MMS: Wrong bitmask used for CheckConditions bits.
779b3cb897 epan: Avoid dereferencing NULL pointer
d8c2c06f29 SIP: Check if we have a sip_via_be_route_handle before using it.
84e71c387d ORAN FH CUS: Add Section Type 9
540133b659 refactor: replace QString() with QStringLiteral() for better performance
6289ab7f70 macos-setup.sh: fix patch for libscap
481b28642f macos-setup.sh: improve downloading of falco libs
73e5f7a90f macos-setup.sh: fix detection of installed minizip version
7f9474485a macos-setup.sh: improve uninstalling minizip-ng
7323c47441 macos-setup.sh: fix installation of libssh
97961af048 GitLab CI: Try to fix an include path
c53fa67b94 Use g_string_free(..., FALSE) as intended
c3d1ea231a TCP: replace pseudo booleans with bool's
845edcc060 msys2-setup: Make sure a shell variable is defined
1f7ed5bf33 QUIC: Track a list of server addresses and ports
1be9295c4a tshark: Support Follow QUIC by address/port
3a9dbf8a7e [Automatic update for 2024-10-27]
50bac292c6 29West topic resolution updates for changes through UM 6.17 release.
067699eddc uat: Add comments for setting from the command line
e1281eaec2 wmem_tree: Add least upper bound functions for 32 bit integer trees
41b7489572 Qt: I/O Graph click and zoom only with LeftButton
65f746c4ba BLF: Fix endianness convertion for linkUpDuration
cd32c4c138 Qt: Remove I/O Graph enableLegend checkbox in favor of context menus
dfa55777a3 ORAN FH CUS: Add Section Extensions 26 & 26
6233d10c4f wmem: Add wmem_tree_lookup32_le_full
ecffa7d1f6 HTTP/2, HTTP: Support zstd Content-Encoding
ece8de30ae NSH: add heuristic dissector
b743960f02 MNDP: Strengthen heuristics
aa4f7fee0e HTTP2: Fix decompression of single padded DATA frames
462f059c66 ORAN FH CUS: Add SE 24
ae43065080 IS-IS: Add Application-Specific SRLG TLV (rfc9479)
262f977a3d WiX: Fix our generated Qt component IDs
01ab8467e0 wmem: Add wmem_map_find function
b6c161e1f4 Qt: Remove workarounds for Qt < 5.15
7c0cd99106 Remove remaining format specifiers from expert summaries
4d9d63a37c ORAN FH CUS: Add handling for SE 10 beamGroupType=3
7ea8490ea8 TCP: check first if a change is going to be made in the first place
018c1ca00d Qt: Set minimum required package as 5.15
76e75344dc Qt: Add X and Y axis context menus to I/O Graph
6a136b6340 Qt: Prevent overflow in I/O Graph simple moving average
c80eba0c5f ORAN FH CUS: Recognise new section and extension names from v16
d5cadce5ff DECT MITEL ETH: Fix a capability flags field
14ab1f2387 capinfos: Fix printing sections info (do not print irrelevant information)
9b4844ed3d GTP: Introduce heuristic dissector list to handle PDU dissection
ed1a7aa83a HI2Operations: add some E212/GTPv2 decoding
2c8704a291 GitLab CI: Switch the Windows builds to Qt 6.8.0
93aee1db19 sflow: fix output interface expanded for v5
e49cda0e7c Check expert summary field for including format specifiers
e006140b4f esp: fix conditional logic to avoid uninitialized variables
63142c663a TCP: don't hide the expert item behind the tree
de6e80c6fc CMake+Qt: Get build working with MSVC 2022 and Qt 6.8.0
3b3b599037 Use BASE_SPECIAL_VALS for infinity in DHCPv6 dissector
c1f5b9349e Qt: Fix pressing Enter does not work
2d52b6569f Qt: Add "Enable Legend" to the I/O Graph context menu
39bf04ce08 MPEG PES: Add other video and audio stream assignments
361c5c8562 dot11decrypt: Fix Fast BSS Transition decryption on big-endian systems
a412efb810 ieee80211: Fix Block Ack bitmap parsing for large bitmaps
f2534ede2d DHCP: Fix a typo with the offset
7922ebf37e IS-IS: Add IGP Flexible Algorithm (rfc9350)
9bade2f5ac Diameter: Dissect User-Name as EAP NAI on STa, SWm, S6b, etc.
3e4cecdb72 RADIUS: Split out the illegal Ascend attributes in RFC 6929 space
13d59fa3c0 Add dissector table for Wi-SUN vendor IEs
2fc3b758f8 Return value instead of length from wisun_add_wbxml_uint()
26aecc819c Restrict Wi-SUN Vendor ID to 2 bytes
88c5185240 dftest: Read (list of) filters from a file (inc. stdin)
906c507512 TCP: Defer getting the window size until later
ecbdce6c0e DHCP: Dissect generic encapsulated vendor-specific options
5d887681fc dot11decrypt: Fix TKIP broadcast frame decryption
f0a184eabd dot11decrypt: Add defines for cipher suite selectors
99376b1787 WSUG: Telephony | LTE -> Telephony | 3GPP Uu
641dc91e1f x25: Fix inverted P(S) and P(R) when modulo 128 is used.
6f78315166 tools: Use esnacc instead of snacc in asn2deb
9e13f2861f wmem_tree: Actual removal of wmem trees with 32 bit int keys
2dff3e6b60 file: Fix find with no frame selected, wrap, and no match
652136074a ORAN FH CUS: Add more checks to SE6 handling
6002d1096a test: Fix Sharkd TLS secrets test on Big-Endian
2b7e79c327 BMP: PathStatus bitmask - widen root and make each entry 32-bit
18445f7ddf bmp: draft-ietf-grow-bmp-path-marking-tlv-02
04c68b2229 esp: add decryption support for ChaCha20-Poly1305-IIV and AES-GCM-IIV ciphers
1773ae8112 [Automatic update for 2024-10-20]
a129ea7b20 DHCP: Strengthen Alcatel-Lucent Option 43 heuristics
66abec6f86 FTDI FT: Fix endpoint to interface mapping
c365a19ecf ORAN FH CUS: add an array bound check
36d1824296 EAP: Fix length typo
074c3e2941 avsp - add subtypes greentap, greent, dzgre
61ba9e59e3 rtp_media: Support playback of RTP/IuUP/AMR(-NB) packets
a044f85ed7 rtp_media: Refactor rtp_decoder_t creation and lookup
559ef11ad5 rtp_media: Make decode_rtp_packet_payload() static
4fe67e0a69 packet-iuup: Add header file packet-iuup.h
d44ae876db packet-{rtp,iuup}: Add field in rtp_info to identify as iuup
6814a10c65 packet-amr: Drop struct amr_oa_hdr definition
141f764798 SMB2: Fix a null pointer dereference
1e1f91dccd macOS: Update some dmgbuild variable names
9ae4ea6dc9 wsutil: Rename a version info routine
d4059a0eee Qt: add new column as type Custom in Column Preferences
51d928b36b Finish renaming Logray to Stratoshark
6234d689ca macOS: Update the Stratoshark DMG documentation
af8a2f21a8 tools: Update a comment in macos-setup-brew.sh
f0863d1cec CMake: Don't create unneeded directories
72ec75c469 resources: Rename our Logray icons to Stratoshark
ea8cbdfa2f resources+Qt: Rename lricon.qrc to ssicon.qrc
01bd3222d7 AppImage: Start renaming Logray to Stratoshark
352493d761 macOS: Start renaming Logray to Stratoshark
db4902c73b NSIS: Start renaming Logray to Stratoshark
4ad248a8bf More Logray → Stratoshark renaming
8432bf7e4f CMake: Change a few Logray variable names to Stratoshark
2fb267f5bc gsm_sim: Slice off the status word before dissecting command
8e089c6048 ui: More Logray → Stratoshark
c31666125f docs: More Logray → Stratoshark renaming
84a6f9c5b8 docs: Update the Stratoshark quick start
be622277a6 docs: Rename the Logray quick start to Stratoshark
8084573116 wsutil: Rename the Logray configuration namespace to Stratoshark
bf679eb335 Stratoshark: Rename Logray* classes to Stratoshark*
00fe741882 CMake: Rename Logray variables to Stratoshark
63d2d9a0a8 Rename the Logray source files to Stratoshark
690d856b0d Start renaming Logray to Stratoshark
a5f78812de packet-cql.c: fix parsing of Prepared result, unify more code with Rows result
908ba1eb92 SMB2: Display the number of files found
6be9215d2e eap: Dissect some attributes
ae0bf25a10 btavdtp: Dissect A2DP configuration for Opus vendor codec
57c3e3a328 btavdtp: Fix displaying LDAC high frequencies
f6f317e581 btavdtp: Display unknown vendor values as bytes
6001a0f962 Diameter: Dissect User-Name as IMSI on SWx interface
97eebd16a6 epan: Reduce memory consumption with hostname lookups off
873df02d67 VRT: fix spectral F1/F2 indices
ca99d60486 Qt: Update the last used time of a filter when applied
38ca3b11a4 syslog: Dissect trailing message for nonconformant packets
8a681994f3 Qt: Expert dialog Show... order - NOTE higher than CHAT
4a2339e33f Qt: sort Supported Protocols case insensitive
98468ab887 gsm_sim: Detect Le byte on an unknown command type
8f928883c0 ieee80211: fix typo (MDL => MLD)
80428848bf TLS: Fix JA4_c if extension list is empty
2a5b3226dd smb2: fix comment typo (Writew => Write)
e201a914ce Qt: Expert Info columns - sort Group by name; Protocol case insensitive
93cefc10ee SMB2: Added number of matched names in SMB2 Find
80cf6e448d SMB2: Added a FID hash to all SMB2 types
4dd141773c ZBEE ZCL: Add required registration of hf
75b742d299 tools: lowercase usb hex values for the value strings
a9b2be2df1 IP, IPv6: Add preferences to disable conversation ID assignment
e49c4e9384 dftest: Add the ability to select the configuration profile
cb5e1533ba GitLab CI: Switch the Qt5 build to Ubuntu
6099fae9a6 AirPcap:Remove obsolete AirPcap code.
fb26a355a1 Qt: Silence deprecation warnings with MSVC and older Qt
125d4cc841 DNS: Support RFC9660
87981ba4a8 TCP:Not all retransmission states were processed during desegmentation
a29bb9917b epan: Describe the format of the colorfilters file
f3e01d1c10 x509af: Add Export Objects for Certificates
5ac7d83590 Tools: Make make-iana-ip.py less destructive
6ef20e7ee7 [Automatic update for 2024-10-13]
b6514e848e GitLab CI: Fix a macOS notarization issue
b93ffb59b4 TLS: Add a preference to try heuristic dissectors first
8924a58d1a docs: Update the Qt and GLib references in INSTALL
486068d089 GSMTAP: Ignore radio fields for SIM type
97cfc59de4 MBIM: dissect UICC APDU command and response messages
74de3f8e78 Zigbee ZCL: IAS WD Police panic, Fire panic, and Emergency panic warning modes
6293366606 NVMe/TCP: Distinguish between over TCP and over TLS
33f309fee0 RPC: Fix handling of ONC RPC with unknown protocol calls
410f3d7a7b WSDG: 86 some x86 references
cb640448c2 CMake: Make the Qt D-Bus module optional on Qt 6
604b224d40 WSDG: document how a protocol can "Follow Stream"
a2c8ff7cb6 UMTS RLC: Free with wmem what was allocated with wmem
049ac1cbb1 Help menu option for Display Filter Reference
afc01fa51a bthci_cmd/evt: Bluetooth HCI update to spec v6.0
7c1418625d CMake: Fix our c-ares version discovery
038e8fd15b RELOAD Framing: Simplify an allocation
cffa12a1d8 EAP: Handle EPC NAIs, extract MCC and MNC from 5G NAIs
6108954f9b DHCPv4: Work around non RFC 3925 compliant Option 124 implementations
fefd95876d Wi-SUN: Fix & Update Node Role IE
7a24f521cb ieee1905: Remove Category from Proxied Encap DPP
de1ed9db6a EAP: Don't logically OR encodings
89bdd1a5e0 Clean up message boxes.
b0589548a6 ORAN FH CUS: Make ST8 'ready' field more visible
692f9bed05 RELOAD Framing: Call the matching wmem_free scope
bd818c91ac Mention NPCAP update.
b24fd6953a bt-dht: flag duplicate and unordered keys
9421346934 PortableApps: Add the Donation page
3be1ad1647 RF4CE: construct octet strings in arrays, not structures.
636ab9da8b RELOAD Framing: Make sure we have valid addresses
63174cb4e9 radiotap: Update with link to document
3de741321f AppleTalk: Make sure we have valid addresses
3baf078205 NPCAP: Update to 1.80
47897c1721 macos-setup*.sh: Update falcosecurity-libs to 0.18.1
d6ae11ed03 macos-setup.sh: Update to libssh-0.11.1 and lz4-1.10.0
517f9aa65c Windows:Update to libssh-0.11.0-1 and lz4-1.10.0-1
4bc055d8df Windows: Update falcosecurity-libs to 0.18.1
fcf7caf3ac logray: add falco-libs version to info
77151ccc02 USB-CCID: Handle RDR_to_PC_Parameters message with dwLength 0
c7d99f6951 CMake: Require CMake 3.16 or later
caf6ca1aa8 amr-h: Remove attribute packed, it's not supported by all compilers.
8f28181e8f BLF: Fix warnings found by cppcheck
06b0d85fa1 packet-amr: Add header file with definitions
90c5280f73 packet-amr: Remove old comment no longer applying
fb7f8d2577 packet-amr: Show explicit OA text in AMR encoding field
db6717ee96 packet-amr: Dissect amr speech data in AMR OA
1a4d8564b6 packet-amr: Remove duplicate text info
dc2106ab39 packet-amr: Simplify loop in dissect_amr_be()
5dd2d8dc02 packet-amr: Validate AMR OA padding bits in CMR and TOC bytes
85d1ae1fe0 packet-amr: Simplify loop
37229be9e1 packet-amr: Split dissect of AMR OA to its own function
56e7892192 PFCP: add new Nokia vendor-specific IEs
13f9ec023f GENEVE: Extend dissector to support new option header
702116d425 Qt: Allow saving files with Qt 6.8
f6f36833f0 Tools: Set FALCOSECURITY_LIBS_VERSION in macos-setup*.sh
cb83a64eef Capture: don't retrieve both monitor mode and non monitor mode caps
91295aeac1 PROXY: Use a CONVERSATION_PROXY type
8543274a5a f5fileinfo: Update VELOS and rSeries platform identifiers
8b4e0bf9d4 Qt: Add a preference to force Color Scheme (Light/Dark Mode)
1b7f7dcaa1 PFCP: fix decoding of BBF OuterHeaderCreation IE
e9e7df59d7 PFCP: add vendor specific IEs for BBF introduced by TR-459 issue 2
ca0368c0e9 sdp: Setup osmux conversation when detected
eb7fbf5d18 epan: Add column for number displayed
c45ff05eef Conversations: restrict the deinterlacing method to Ethernet wtap
e70ea1ab38 Qt: Parent some modal dialogs
73422fb859 DMP: Add a length check
cdeeae399b Test: Update README.test
39ce34689c QCustomPlot: Don't set -Werror on 3rd party code
805162bd7a frame: Added Displayed Frame Number
368e1030cd Falcodump+Falco bridge: Add falcosecurity-libs version checks
753f0077ed Don't try to use O_PATH when it's not available.
6bde99fe47 TLS: Enable injection of exporter secrets
5bf2827560 Conv: Use FRAMENUM_TYPE() for more dissectors
8e58c734cb [Automatic update for 2024-10-06]
b4a4f9da8f gtpv2: Remove space between element name and colon
d4e7c476ce windows-common: fix mask value
949691ba58 alert_box: it uses ENOENT, so it needs to include <errno.h>.
2539385528 Qt: 6.8 deprecations
7000958a98 Zigbee ZCL: fix Discover Commands dissectors
f829d12697 BLF: Treat zlib's Z_STREAM_ERROR as WTAP_ERR_INTERNAL
ab1d794894 file: don't directly pop up alert boxes.
90601bca89 Add routines to register a bunch of report_message routines.
10923f6432 Add a routine to report rename failures.
ccea80520a gen-bugnote: Fix an escape
5774d3513a Add a routine to report rename failures.
4b0b59e855 NTS-KE: Extend Lookup Values
33ffdeaaf9 BLF: Replace ws_strdup_printf with ws_strdup where it makes sense
ca8f21ef2f BLF: Skip over corrupted log containers with a warning
892938e60b Put cases for error codes in the same order in two files.
71267bd42f wslua: fix indentation. [skip ci]
cecc2fd0a5 Update enums.
c36d564674 Qt: Set HighDpiScaleFactorRoundingPolicy before creating the app
301a7ea03e BLF: Make sure we return if we fail to allocate memory
3754aba2d6 Art-Net: Update OEM and ESTA codes
c7bdedc30c OWAMP: Support PTP timestamps (RFC 8186)
f625a09387 ORAN FH CUS: expert info for seqnum analysis on first pass
421fb9791f PTP: Fix analysis when sequenceId resets happen (BUGFIX).
ec03bf05ae TLS, DTLS: Make dissector selection in the UAT more user-friendly
d69138d8f2 TWAMP: Fix sender timestamp format (Z-bit, RFC 8186)
f126cbb5f5 MPEG PES: Fix dissection of video streams with length present
a0497e997d WSUG: reformulate the deinterlacing indication part
258945cf08 tshark: Add column field abbreviations to -G column-formats
87d534c454 GNSS: add dissector for Galileo I/Nav Word 4
5e958a3059 capture: Disable interface monitor on Linux when getting caps
127e30cfea btle: Fix Dead Store found by Clang Analyzer
873fc74fae Update packet-nfapi.c
5a10d41c48 ORAN FH CUS: add SE3
cad3bde6f6 dumpcap: Fix dumpcap capture child with LeakSanitizer standalone
344123e1d4 dumpcap: Add a comment about capabilities and monitor mode
b5fa1f694b ORAN FH CUS: Add SE 23
5e6b18a800 ftypes: adjust type list to cover non-type values as well (cid 1550322)
95639e998c Qt: Cast g_steal_pointer on older GLib
7d9484de71 TCP: Retransmission analysis when reorder is needed (fix typo)
906e55b8d5 MMS: Add more null checks
366c659fdf Qt: Rearrange column header popup menu actions
54399db3ae SMB: FILE_OPEN_FOR_RECOVERY
192499b9af Qt: Don't refresh interfaces while capturing
5a089c11a7 capture: Indicate finished, not failed, when aborting
a813b0ed6d NSIS+WiX: Switch back to "release-notes.html"
5eaef9e495 GitLab CI: Add a commit check report
a5e0b3f259 GitLab CI: Add test reports
47604635c3 Qt: ManageInterfacesDialog remote interfaces, prevent leaks, deprecation
33dc3e1820 Qt: Fix UB alloc-dealloc-mismatch
3f7c85caeb ASAM-CMP: Improve Analog Sample Output
fc1a06a034 TECMP: Adding Analog Alt format
31f9e5d282 NAS 5GS: upgrade dissector to v18.8.0
a24a18050a dumpcap: Plug a leak
41b923de96 [Automatic update for 2024-09-29]
ab7af608fc ORAN FH CUS: Add fields that were reserved in earlier versions
67d9939879 MySQL: Handle embedded null bytes in queries
d1f213208c GitLab CI: Ignore glab failures
386d05f4bf tshark: Update help output for fields glossary change
510d0de710 tshark: Output the current list of columns with -G column-formats
f2770842db ASAM-CMP: Show Analog Sample raw values
7f9ebffbd6 GitLab CI: We don't need to install glab
1a2b65f212 Suppress some column API call warnings (check_col_apis.py)
7abc0c88c2 LPP: upgrade dissector to v18.3.0
fcdb03f01f proto: Allow formatted string from packet details in columns
7613e20cc7 mysql: don't just skip over data, check that it exists.
c3edce1070 pinfo_stats_tree: Fix a "set but not used" warning with MSVC
457603a2a0 androiddump: Don't pass a SOCKET as nfds to select on Win32
06ade47182 ws_assert: warn of weirdness ahead, next 5 km.
fbb69946f1 opcua: define some inline functions for conversation data.
9bf879022c NTP & OSPF: make functions static
6d1f12486c addr_resolve: note in more detail why an argument is marked unused. [skip ci]
acf9739c1a bitcoin: raise a question. [skip ci]
aac4013445 Unbreak Lua per-packet menu callbacks by setting finfo_array before use
67114cc225 RFC8362 E-Network & E-AS-External LSA
9336912253 IEEE802154: Fix Multipurpose frame parsing
9db89f96d5 NTS: Implement cryptography for NTS-KE and NTP
0434381715 CIP: Improve CRC Checks
8cc54c25bf CMake: Require Qt 5.12 or later
240955bbab MSVC: Restore flag -W3
4df9a1c8e2 ubx-galileo_e1b_inav: Add a cast
10762e08e5 peekremote: phdr.phy_info.info_11ax.mcs is uint8_t cast mcs_index to fit.
5af60ae3b3 nas-5gs: Fix a faulty comparison.
df65670324 blip: Use size_t for bodyLength
d7d4910343 bitcoin: Cast component_size to uint_32_t when adding to offset.
804daf03df monero: Cast away conversion from 'uint64_t' to 'int' warnings with MSVC
8f455e22b0 telnet: Cast away conversion from 'uint64_t' to 'int' warnings with MSVC
e9e6c0fa0b CMake: Set Python3_FIND_REGISTRY NEVER on MSYS2
b433e0d36c filesystem: Add comment about PortableApps environment variable
168b70970f Cast away conversion from 'uint64_t' to 'int' warnings with MSVC
d47053ec0f matter: Cast str_length to int
9914a7f91c NR RRC: upgrade dissector to v18.3.0
56b9c3b834 packet-blip.c: Change from uLong to size_t to avoid MSVC warning.
f34b1828d3 opcua: Add a cast to make MSVC happy.
8f70b6bd22 addr_resolve.c: Squelch a MSVC waring about unused parameter.
80548000a3 packet-bitcoin.c: Cast addres_length to int to make MSVC happy.
f31c81873e LTE RRC: upgrade dissector to v18.3.0
aa126094ac Art-Net: Update to Rev. DL
0df3089ea2 sdlc, sna: update links to a document. [skip ci]
08e39d6c3c NSIS: Remove an unneeded check
64356f7e77 dtls: Explicitly cast full sequence number to suffix
76ebe099ce ftypes: Cast to narrower types
e85a2eef99 Docs: Update our minimum OS and Qt version info
082cd66ff3 GitLab CI: Expand a comment
f6c1d5423f GitLab CI: Comment typo in .gitlab-ci.yml
9f485996b8 Add __in annotation in header file to match implementation
bcd1b7ac5a blf: Casts to make MSVC happy
159b9eeffc doc: Fix a typo in Field References
88b46e6ea8 file_wrappers: Cast size_t to unsigned for MSVC
899e529848 amrnb: Prevent signed/unsigned comparison
19aa36eb0a Fix some spelling errors
680f99fce4 nmea0183: Add GST sentence dissector
68cab315a0 CMake: Re-enable /W2 for MSVC
7993b6836c CMake: Only disable warning C4100 for Lemon files on MSVC
a9f2359ef4 ENIP/CIP I/O: Register the ENIP encapsulation of CIP I/O to ENIP
adcbc0944e wslua: Use a 64 bit function for masks
9218a127c4 O-RAN: Explicitly cast to a float for MSVC
ebfda40074 RTCP: Explicitly cast to float for MSVC
a631839dfd NBD: Make MSVC happy about unsigned constants
645b2013f2 I/O Graph: Explicitly convert from uint64_t to double, part 2
0c681181e4 I/O Graph: Explicitly convert from uint64_t to double
67e3dbdffd lua: Don't convert to double (lua_Number) and back
fcf9c36ba8 docs: The protocol tree is not a GNode
83885f18e8 Prevent undefined shift in dissect_icmpv6_rpl_opt()
6c84326487 WiX: Fix some component names
ed14d85166 ieee1905: decode Assoc Request body from Client Cap Report TLV
9d28c91929 ASAM-CMP: fix define names
ffa7999c94 ASAM-CMP: Cleanup of units in Analog format
c5b5c88114 gsm_sim: Add EF.ARR and EF.UMPC
e862c77412 GTPv2: Don't loop through the IE Instance vals list with NULL tree
a616eb00d1 wsutil: Remove an unnecessary component from the Windows extcap path
f008a9b4ce ORAN FH CUS: Warn against C-Plane radio fragmentation
fd1579564e F1AP: upgrade dissector to v18.3.0
38005b464e ieee1905: Add EHT Operations TLV
04470e6020 packet-btle: Remove unused fields from connection info structs
85737d7fbf packet-btle: Split ISO and ACL connection info trees
a8754cd01e packet-btle: Split dissection of CIS and ACL PDus
9ae87a5790 Qt: fix error: ‘class QActionGroup’ has no member named ‘setExclusionPolicy’
be0dfa5250 XnAP: upgrade dissector to v18.3.0
259acf3698 NGAP: upgrade dissector to v18.3.0
550ed5a93e Check for repeated expert info display filters
fde0ddeb24 stun: fix Dead Store found by Clang Analyzer
03b259e004 ieee1905: fix typo (fkags -> flags)
fe14a84a5c ui/qt/rtp_player_dialog.ui: Increase max Jitter Buffer to 2s
e62cec2869 packet-iuup: Split dissect functions per PDU type
96513adb9d protocol hierarchy tap: Don't fake protocols
c02d0066b5 capture: Check if g_malloc fails
c7000d4267 Thrift: Update dissector internal documentation
c665decba3 phs cli tap: Parity with the GUI
272fa09a16 Qt: Set align buttons to exclusive optional
e6e16b8af7 [Automatic update for 2024-09-22]
7a38a083ee ieee1905: Add Agent AP, Backhaul STA and Assoc STA MLD Configuration TLVs
afc0b7259c Display Imin and Imax for RPL DIO trickle
3337b471b4 Display RPL default lifetime in seconds
e7a5c21bce Add unit display to RPL lifetime unit field
887f5a17dd Pretty print of RPL Objective Code Point (OCP)
5536e11be4 Art-Net: Don't optimize a single-user regex
0da2317e58 NAS 5GS: remove an extra column separator when decoding EPS NAS msg container
914bff8173 iuup: Improve payload decoding when no pseudohdr available
4fc25c071a qnet6: Properly handle bitmask to string conversion (CID 1559832)
f107247e7c Fix some more copy/pasted expert info labels
71d7b749f1 MP2T: Add Strip Headers support
149724cf98 gsm_a_common: Fix dissection of IMSI with even number of digits
06b9906812 GOOSE: Set the length
56b920d28e extcap: Fix reapplying commandline args fix
439bdb1518 ORAN FH US: clean up the way the U-Plane can use udCompHdr from C-Plane
3510000c4d GNSS: add dissector for Galileo I/Nav Word 3
e7219d8653 tools/cppcheck/cppcheck.sh: use env command for portability
b375f0f5b5 wsutil: Add constants for UTF-8 greek capital delta
522ec0a342 ieee1905: Add Available Spectrum Inquiry Request/Response TLVs
f51d9e1ef0 ieee1905: Add Wi-Fi 7 Agent Capabilities TLV
574379c74c tshark: Do not require -G to be the first option
f346de0f88 Qt: RTP Player silent crash if codec not loaded
4caccd3cbc lte-rrc: Show PLMN Identity string
fbed57a038 capture: Allow aborting a read with pending packets
6bcc3e0bf9 WSDG: Expand the macos-setup.sh and macos-setup-brew.sh section
4d41fc71e3 GitLab CI: Don't analyze Lemon
b49e83c40e ieee1905: Update 1905 Media Types and Frequency Bands
16e2df793f NSIS+WiX: Add the amrnb plugin
10b9525c25 ORAN FH CUS: Configure udCompHdr for UL U-Plane from C-Plane
277a1f0cbe HTTP2: make http2_get_request_full_uri() static
5c55421b92 ieee1905: Add Affiliated AP and STA Metrics TLV
f0fbf9d0b5 tshark: Fix --global-profiles directory
7167054974 nmea0183: Add VBW sentence dissector
8489e2fe89 Qt: Copy as HTML for LogRay
c812c65eb6 cppcheck: add libraries for some WS macros
c0087307a5 SMB2: initialize 'disconnected in frame' to 0
474ff5ec30 ORAN FH CUS: Assign eAxC even if prefs are invalid
a07bebfe27 ieee1905: Fix dissection of the Non-1905 Neighbor Device List TLV
9c113fabd1 ORAN FH CUS: flag more fields as ignored
aa0f85203a CoAP, Thread: Do not hijack application/octet-stream for Thread
ea0ac6b265 ORAN FH CUS: try to fix scan-build warnings
a784738441 release notes: Remove compress option that made it into 4.4.0
a8aeda1500 ORAN FH CUS: Avoid undefined bits in key used for tracking acks/nacks
bda33418a0 Qt: Set maximum capture size when first opening dialog
1a01d3a142 epan: constify proto_registrar_dump_field_completions
0490d3d871 Fix some item warnings
7ae1be7acb Thrift: Fix fallback when subdissector fails
80773745ea packet-btle: Dissect v6.0 feature bits (page 0 only)
4565668ada packet-btle: Add initial dissection of v6.0 control PDUs
d8e88a5708 packet-btle: Add inititial dissection of ADV_DECISION_IND
46b8ad0660 packet-btle: Dissect Bluetooth v6.0 version
69782792f8 CLLOG: handle non-nl terminated empty file (just header) (CID 1592970)
f95acdd9ce CLLOG: Handle non-nl terminated files properly (CID 1592971)
ca6232532e IRDMA: Make sure the end point data is actually there (CID 1596732)
e5adf89f95 HTTP: Check strstr() returns before dereferencing them (CID 1596644)
520db33fa6 SMB2: Added 'Disconnected in frame'
f44957e3b0 [Automatic update for 2024-09-15]
55a739a671 bthci: Separate HCI Commands and Events vendor payload table
f61931a164 Qt: if copying null field let user know
6df50bd297 WSDG: update lua dissect_tcp_pdus() parameter definitions
b46d216e9a bt-dht: decode BEP42 ip field with v6 address
b77d4d7bbc VRT: don't use bool in arithmetic expression
870d8e1ef0 prefs: Validate enum names
0d43eaa186 http2: Store the correct length of header values in the case of errors
9d87c4d5c7 TLS: Fix TLS 1.3 exporter
702dcec5c6 nmea0183: Add VLW sentence dissector
22f9c94258 ieee80211: Fix conflict about Target Wake Time display filter
24593b792e proto: Fix unresolved boolean column
77e4d55846 frame: Use proto_tree_add_uint_format_value()
ec6353fd58 ORAN FH CUS:  Track between [ackNackId] requests and responses
c2469918b2 rpm packaging: Move unversioned shared library files to -devel package
5493129f4f TCP: Retransmission analysis when reorder is needed
a3ee94499a prefs: Write enum names to the prefs file, list both
7c68fdcbb5 Use ISO 8601 in more places for absolute times
8b78affd5d SMB2: Add windows error codes
7b21ee9214 Toggle temporary filter color
f0a6b110a1 ORAN FH CUS: also do seq analysis for C-Plane
7710850595 ORAN FH CUS: Do sequence analysis for U-Plane
005ba31c1b dcerpc-netlogon: use find_global_netlogon_auth_vars() for opaque_buffer_block
3614f663f2 dcerpc-netlogon: remove dead code in dissect_{packet_data,secchan_verf}()
1cd5b68b26 dcerpc-netlogon: let dissect_secchan_verf() set seen.isseen earlier
aebdd46fc9 dcerpc-netlogon: remember the session key per auth_context_id
b95e0a90b4 dcerpc: let dissect_auth_verf() pass down di.ptype and di.auth_info
c77348274c COSE: fix media_type registration and dissection
f40e86bcc2 Qt: Copy as HTML
a98be58468 NTS-KE: Add ALPN
8bf069c774 DOF: Use a flexible array
a27b93bce5 ORAN FH CUS: Fix undefined shift
f6c8cb800a BGP: Path ID for VPN IPv4/IPv6 NLRI
d8da934a36 RSVP: Fix a typo in a range_string
4e38fb35f1 check_typed_item_calls.py: look for gaps in range_strings
d7a2422f80 http: Support Microsoft Xpress Compression in WUSP responses
10fa5e9a0c gsm_a_gm: Fix a plural issue
30a16e2ac7 SANE: explicitly ignore return values, checked elsewhere (cid 1587014)
c39558a94a CIGI: remove duplicate packet_id comparison (cid 1587067)
07e88d6a67 TLS: Add ML-KEM (FIPS 203) to TLS Supported Groups
01f6bf3757 Qt: Scroll Filter dialog tree view to new filter
98a2ce6172 Qt: tidy up View->Internals->Dissector Tables
98e62d2f98 Fix some spelling errors
81c14583b6 BPSec: improve parameter and result labels
39c67b50e8 More fussing about expert items
d26310a494 wsutil: make short version of unit strings (cid 1596107)
b813c66438 Change some `wmem_packet_scope() to `pinfo->pool`
363df914cf ippusb: always restore save_fragmented to pinfo (cid 1595719)
0bd0256112 SMB2: Initialize policy_hnd in case of malformed packet (cid 1591793)
94d366bbe0 Qt: Always check the returned dataModel (cid 1591759)
9cfbf5ee25 EPAN: check format prefs retrieved before dereference (cid 1592165)
d11558025d Qt: add missing initializers to FunnelAction class members (cid 1595995)
9aeffc68eb RTLS: properly handle header and signature length (cid 1604278)
f91b08fddf sysdig-event: use unsigned type for encoding (cid 1604277)
c5be8b945e GIOP: make length check not roll over (cid 1604271)
4a29ea0c0e Qt: free df_translators no matter what (cid 1598397)
456450796c Qt: drop unused class member from ProfileSwitcher (cid 1596173)
c8e16a8361 NCP-SSS: handle invalid strings properly (cid 1604295)
004af4220b distcc: remove function exit, thereby reviving dead code (cid 1604179)
9c0d6991ba IDN: use correct type for data_size (cid 1604286)
c7a2c9fea0 cipmotion: Use proper unsigned arithmetic (CID 1604280)
14831b9fe2 filesystem: Only remove namespace from progfile_dir for extcaps
b68a80ef4d extcap: Ensure command line options are applied
515d930341 MQ: Use unsigned type for encoding (cid 1604285)
eb86ba533a gsm_a_gm: Use hours as unit
7185e3c667 Qt: missing class member initialization (CID1596731)
1dcf5f01b5 filesystem: Work around CMake absolute paths
384d7d67d6 ORAN FH CUS: Fix some presentation issues
e9c737abbe epan: use units for relative time labels
6096a2bce0 Start to check dissector expert info usage
acdaf6a110 WSUG:  NSIS installer no longer supports /quicklaunchicon option
4dce4efa6e epan: Add some comments about Little Endian NTP time
5a98d109ed asterix: Minor update-specs.py fix
d12fe0c637 Wiretap: Fix CLog err_info handling (CID 161877)
b52c905901 doc: Document some newer field display types
747561b046 Qt: Save the default conversations tabs
6aa6b29aca [Automatic update for 2024-09-08]
6312b416e7 epan: Use ms/us/ns when displaying a rel time in days/hours/minutes/secs
a82f254f27 epan: Use nstime_cmp in frame_data_set_before_dissect
a789ffe9ed epan: Support 64 bit time_t in rel_time_to_str
193acef064 Qt: Let traffic tabs with no data be the last selected tab
4a2965cad3 DNP3: Packed bit value fixes
9f8dba0160 AX.25: Remove a redundant assignment
056bd6200d Qt: Retranslate the ProtoTree and PacketList color actions
8e30166d6e HTTP/2: Show the request URI in other frames on the stream
1eba078a1e Update packet-dis.c
a5e4811e1f mingw-rpm-setup: Install nghttp2
81126d8584 Qt: Set the DisplayFilterExpression dialog parent in child windows
d9269fb2f6 BLF: Validate date and time
24826557b2 GitLab CI: Switch manuf compression to gzip
725f70d3fd json+json_3gpp: Ignore insignificant whitespace in compact mode
e2b02c2e4a Bluetooth: Parse encryption change V2
b5e869aaaa TECMP: Pass only payload to data type subdissector (BUGFIX)
a28f56c963 GitLab CI: Add a compressed version of the manuf file
4e0a1e8a3b ORAN FH CUS: Expert info check for SEs allowed in CTs
695444a8d5 RTP Audio Stream: Don't cast to a shorter type in an intermediate value
ae7db5ac10 AX.25: Add option to use mod-8 or extended mode
8ef6d84641 AX.25: Add initial and forced AX.25 extended mode decode
1369690a5b json+json_3gpp: Pass the same offset and length in compact form or not
2580447509 radius: Include Ingate Systems AB RADIUS dictionary
ebf2c8e6bd WSUG: consistent spelling of double-click(ing)
7557909a83 packet-gtp: Fix regression in GTPv1-U TEID decoding
47f9edc4cd ORAN FH CUS: rework ST4 plus other updates
2bc85a90d3 html2text: add handling of <sup> tag, for use as exponent
c8f6014272 TECMP: Add support for Raw Ethernet
6ec6cf6304 USB: Add support for SuperSpeed device capabilities
12c67f8a36 opcua: update status codes to latest specification 1.05.04
153da1ef1a WSUG: Fix an error in slice example
8c77ef66c4 btl2cap: Correct length of Connectionless Data Channel PDU (G-Frame)
c0b34c0ee8 id3v3: fix indent (use tabs with 8 witdh)
45453e2582 id3v2: fix conflict about id3v2.undecoded filter
f8c37e40b3 id3v2: fix conflict about id3v2 display filter
ecb8af6c9a LSDP: Fix a comparison
bd8e7d1e89 WSDG: Add a note about vcvarsXX.bat and PowerShell
042a7a3d0a TECMP: Add missing ILaS Commands (BUGFIX)
d0f2835c5c Added support for double bit values
0cf4f62b9b GitLab CI: Use a pipe instead of an intermediate file
a9d17a13af Resources: Make our .pc file static again
171e202e25 asn2wrs: Handle NamedNumbers in ValueRange constraints
a21bada176 asn2wrs: Create types for type refs with extra value constraints in PER
91a20c2351 OER: Account for extension bit in presence bitmap in offset
97674d64a2 ORAN FH CUS: Some improvements
d6690eee73 Fix wrong bitmask for OM control field
1fba3357ca Fix NULL field_data issue in ieee80211_tag_rsnx()
bcd7d1764d Qt: I/O Graph Throughput and default payload unit
15f854f70f Qt: Find Packet placeholder text is only for display filter
f03f8b1be4 opcua: reorder status codes by hex value
b0fb751d93 HTTP: Fix a scan-build warning
44268d4eab BGP: fix value_string conflict/duplicate entry/typo
79a23f2684 Zero-initialize memory in our lemon-generated parsers
ae31a0d193 Fix some spelling errors
fbec7c8b44 epan: Try to fix a scan-build warning
a126a66cb5 MATE: Try to fix a couple of scan-build warnings
34180b62bb Netflow(v8): fix dissection of ToS AS/Prefix Matrix Aggregation
98eb951652 eCPRI/ORAN: More minor formatting changes
b47523a5ca HTTP: Add a null check
d2495129ea Qt: Add null checks
cf3c112b6d ProtoBuf: Add a null check
1eeb06f1df ERF: Add a null check
83e372ded2 kerberos: fix conflict about duplicate kerberos.group
85b28396a1 kerberos: fix duplicate entry about TYPED_Data (embedded)
883900f0f0 Add recent IPPROTO values, and register for NSH over IP
dc6ff72a0c asn2wrs: Don't add an ignored constraint to a UNION
6d9d3d8b99 kerberos: remove unused return of wmem_list_frame_data (Fix Coverity)
1ad061d8dc ORAN FH CUS: update some comments and blurbs
d9c2588240 PKINIT:Use the ASN1 from RFC 4556 with updates from later RFCs
91bfbf22a0 ITS: Fix ObjectDimensionConfidence special value formatting
a23bb9fe90 SSyncP: Add a null check
bce3a2fa86 Qt: Use QMutexLocker in CaptureFilterSyntaxWorker
d0e576bf06 Add support for array 16 and array 32 in msgpack dissector
6d22bfced6 ITS: Add private data, INFO column for CPMv1
89c33dadeb YMSG: Update wrong Command and Status values
9dfa4ac7fe [Automatic update for 2024-09-01]
07cfe82858 WSUG: more details for the I/O Graph
0a6609f842 Qt: IPv4 aggregation summaries for Endpoints dialogs
553dfe4dc9 Qt: Use the GUI debounce filter on the CaptureFilterEdit
b27ce6c5fc dnp3: fix typos in Secure Authentication Key Change Method values
2baa674dab NSIS: Install USBPcapCMD to the correct extcap directory
c7952c6f9f test: Skip extcap Python script if temp directory is NOEXEC
e9139d1e52 Kerberos: fix/update PKINIT AS-REP definition
90a05d746a Kerberos: add later PKINIT AS-REQ protocol elements
a5665b5295 lwm2mtlv: Update Core resources
1f7356e360 tests: Add checking for Lua support to release tests
ce59d44db1 NTS-KE: Add support for Network Time Security Key Establishment Protocol
e6aa94898e lwm2mtlv: Fix Connectivity Monitoring LAC resource
983f920015 CMake: Respect TEST_EXTRA_ARGS, run release suite when requested
eb72ea6fc8 Fix usage of an invalid patchlevel macro
9f65744fd3 GTPv1: If Utran contaner length is zero don't try to decode it.
38ea43d938 NSIS+WiX: Add the ipaddr plugin
e384b0dee0 dfilter ipaddr plugin: Small grammar fix
f13b226d10 dfilter ipaddr plugins: Fix semantic check
9b72cd7f41 packaging: Use _docdir in RPM spec; fix __bindir on SUSE
bc4e63ea8a GTPv1: Use less tvb_get_xx functions.
46bacbbce3 dfilter: Fix error message comparing a function to a wrong type
e4dd1e837f IPsec: fix typo
fde215405e TLS: support decoding Trusted CA keys extension
6c6395f864 nmea0183: Remove blurb when redundant
5d69f3970e nmea0183: Add VTG sentence dissector
e0432a5a25 ORAN FH CUS: Check payloadVersion and add some subtree items
f4c533e14a file_wrappers: clarify what file_getsp() and file_gets() do.
df34522dbc cllog: fix handling of EOF when processing the header.
710e969134 Websocket: use `FT_BYTES` for payloads
24729208f6 Qt: Update protocol preferences menu title on language change
20479e959d CMake: add check for Qt6 version
7b39f74665 cllog: fix error handling when opening a file.
5d51e23dc6 commview: fix handling of NCFX files that aren't ours.
abfb145ae9 packaging: SUSE Qt6 package names are slightly different
3e3dc404ff Add WFA RSN Override changes for WPA3
2580a98eb4 pcap: fix heuristics for various modified pcap formats.
474facd704 GitLab CI: Build on SUSE 15.6
d580663ea8 radius: merge duplicated Acct-Status-Type
65a7fa6599 E2AP: Fix a typo in some KPM OIDs
58f6fef9c8 pcap: use nanosecond resolution for hardware lcap files.
06faabf9cc ITS: Restore dissection of CPM v1
16f9adc274 802.11 Radio: Add a bounds check
65188457b9 pcap: fix a function return type.
f6bd33b22e GSMTAP: Add the header (up to type) when the dissector table is used
5b5e506b88 epan: Don't set a libgcrypt log handler >= 1.11.0
88f8e75de1 WSUG: tweak Preferences info in popup menus
85992a3dec WSUG: flesh out "Decode As" documentation
d0a939f096 WSUG: clarify command line UAT docs
5067debc74 WSUG: tweak docs around Analyze and Follow
8181ec3463 lua: Fix some dissector segfaults
1e79a1166c Fix some spelling errors
431121dd48 Docs: Split our Qt version variable
9b43a0229b VRT: add spectral field support to dissector
d8f195896a ORAN FH CUS: more fixes and improvements
e0c49a8573 Exported PDU revert adding of match_uint and TCP stream id.
52a8c8b88e rdp_cliprdr: dissect more messages
d619e5bd62 rdp_egfx: show monitor flags as hexa
194cbeaef1 spice: fix mouse button id and state dissection
6642c1c443 Ubuntu: compile with GCC14
1f525c8d15 Exported PDU: Add tag for tcp.stream and add to layers
158ffce732 HTTP2: Handle segmented magic bytes on a HTTP port
86a6e4baa3 LSDP: Add support for Lenbrook Service Discovery Protocol
cd306bae7b 802.11: update Operation Mode Notification
3aad3aafab Export PDU: Add a new tag for pinfo->match_uint.
94aed4226b 802.11: fix typo LPDC => LDPC
300731f47f epan: Update tvb_get_bits header usage
5118b4ce4f epan: Add ifndef include guard to show_exception.h
1b755dbd7e wslua: Use Dissector Bug expert group for Lua Errors
1cb9ee3380 TRDP: add dissection over TCP
6620920bb3 SMB: Use col_append_str() when no specfiers/argggs
ec2ea3b82c Dissectors: Move expert declaration to function context
c8ec5a714c STUN: improve handling of unknown attributes
161b0d9914 [Automatic update for 2024-08-25]
54617862f1 DHCP: Support the older version of CableLabs Option 82 suboption 9
3a6d76a06c Replace filenames with no. of files in FF2 and FN2
4e93c718c0 WSDG+Lua: Be more explicit about how to use the BitOp library
90278cc210 CMake: Move C only compiler flags to the appropriate list
1f1dbfadbb PDU Transport: Use curr_proto_layer_num instead of curr_layer_num
b7f686d3c1 CMake: Clang compiler flag updates
23e5f4ce39 CMake: More compiler flag clean up
9c4a13ef2e ORAN FH CUS: Some prettifications
c6fbced8a6 Dissectors: Include what you use.
e7ac137e34 ORAN FH CUS: Various fixes while looking at captures
addd54586d CMake: fix compiler flags for Debug build
fb3f8e5577 CMake: Match logical block opening.
680224d06c CMake: fix Hardening options on Ubuntu
489c0a69e8 CMake: Hardening compiler options
a8ca58e9db CMake: Conditionally add the copy_logray_qt_dlls target
60efbfc2a8 File-blf: Allow for log containers to not have data (BUGFIX)
292342e5d3 wsutil: Note that it's still useful to define UTF-8 entities
7e912012bf Qt: Validate uint preferences more
c3e12b9363 wiretap: Fix compilation with LZ4 from 1.9.0 to 1.9.2 (e.g. Ubuntu 20)
22b1d3a636 wslua+lrexlib: Upstream fix for redefined symbol
dbbaccd59d ORAN FH CUS: Don't use initialized exponent value
37f51c1b5e GNSS: add dissector for Galileo I/Nav Word 2
9c9b88951c GNSS: rename fmt function for GAL semi-circles
294ff1850f GNSS: make data word type field independent from data word type
1df0d61ca8 wsutil: Add constants for UTF-8 greek omega and subscript zero
aa2eeeda60 rdp_cliprdr: dissect more fields
2947c4e909 DoIP/UDS: Last UDS message does not overwrite previous
30f53056be tools/checkfiltername.pl: use env command for portability
8f03d9e2c9 ORAN FH CUS: clean up dissection of fields common to section types
7002463ebb ORAN FH CUS: various fixes
23ff3f16a8 tools/check_col_apis.py: reduce verbose output
fb51118305 Clang: fix Dead increment found by Clang Analyzer
4a4351e8e2 Qt: I/O Graph support of Average Over Time interpretation
986ea00953 wiretap: Handle heterogeneous compression, zstd frames
c3236c5e99 ORAN FH CUS: Yet more ST4 fixes and changes
b100eb7584 nbd: Coverity 1616904
bcd82e2370 GSMTAP: Use SIM subtype for selecting dissector
77dca03ebe Removed unused variable
439d2ab922 Svcparams parsing in DNR dhcpv6 option added
7db9922774 Typo fixed
f57acc8f2d Fixing pytest complaints
bcc56c1a7c Comments added for DHCPv6 DNR
df64c90ba6 Dissector for DHCPv6 DNR (RFC9463) option
e9bdfae72d sharkd: Align with the I/O Graph Throughput calculation
ddae4452a9 GNSS: ensure GAL nominal page type for data word handoff
a3c5509255 Add Hungarian translation assets
e103cefcc3 Clang: Fix Dead Assignment found by Clang Analyzer
a1da3aa58d ORAN FH CUS: Some fixes to SE6 & SE10
cb8ee83317 btle: Fix format truncation
cfb78b5e5b ORAN FH CUS: Complete ST 4 command types (untested)
4915ad0cff Fix some issues seen by check_typed_item_calls.py
e771ff7fd2 Convert dissector ints used as bools to bools
f030fdff3b X11: update README to build dissector
aaf1b9a07f nbd: Finishing bringing protocol up to current specification
20dbad1d41 Fix some spelling errors
90fef49dbc [Automatic update for 2024-08-18]
f130310995 ORAN FH CUS: Initialise exponent value
7b7ca82104 Protobuf: Use wmem_map_t instead of array overflow temporary solution
5e66373f88 dnp3: add decoding for fixed-point frozen analogs
7eadd0ea2a false bool is not NULL
4b03ddd578 Write compressed follow up
9c7d0dad87 rdp_ear: decode KERB_ASN1_DATA checksums as such
3da4bc1408 NBD: Handshake negotiation and STARTTLS
37242046a5 wiretap: Check whether fast seeking is supported in fast_seek_header
58e4a9eb3c ORAN FH CUS: do some TODOs
03c4aa0f5e epan/dissectors/packet-nvme.c:Support NVMe TP 8014
edfc4b9b43 tshark: Don't print error messages for bad options twice
24e2b8fbb0 ORAN FH CUS: fixes to ST8, plus some usability improvements
a6a5b0bdb2 alljoyn: Fix not a string literal
79d019b098 mergecap: Write compressed follow up
636a968252 text2pcap: Write compressed follow up
ffada80057 tshark: Save as compressed tweaks
4e9552fab2 Qt: fix deprecated QKeySequence syntax
4cdffa9ca8 manuf-data: remove problematic Unicode character
c0e4d7a52d Use enum values instead of hard-coded values
8f377a09b7 ORAN FH CUS: CT4 set length of antMask correctly from log2MaskBits
b1cb01ef8f ISO15765: cleanup formatting
816feaa864 enterprises: remove problematic Unicode character
2723d74c6d Qt: add hard coded shortcuts to Help->About
9e7efdf703 tshark: Fix gzip uninitialized variable
6a5de92391 Add support for gzip-compressed output in mergecap and editcap
6c0fa4f726 TECMP: updating to TECMP 1.9
613baad40b Protobuf: support parsing backslash quoted escape
c41aec609b ORAN FH CUS: do some TODOs
8bfa1b1cb1 Docs: Reset the release notes for 5.0
ac233cb2d0 ipv6: dissector: Support for IOAM Direct Export
2c6d20568e ORAN FH CUS: Some fixes and checks for Section Type 4
0a51168037 epan/dissectors/packet-ieee1722.c: Fixed the bitmask for hf_1722_61883_cip_fdf
0defe2a9c0 Revert "epan/dissectors/packet-ieee1722.c: Fixed the ieee1722 fdf_rvals table ranges"
ec9122d497 epan/dissectors/packet-ieee1722.c: Fixed the ieee1722 fdf_rvals table ranges
134e4380e1 SMb: Use proto_tree_add_item_ret_uint()
252d42da36 pidl: push regenerated files with modified version of pidl
af889f05e3 Various changes in pidl generator
1c15832937 rdp_ear: decode inner content of packets
8bb9e5744f SMB: Spurious Malformed in Info Volume
99b98512e3 cisco-fp-mim: Use reported FCS len from ethernet dissector
26834cec10 NBD: Update dissector
2b3cd5a96f macos-setup: Update libxml2 to 2.11.9
a8232da452 epan: Sort dissector table handles after registration
5db5e5ac59 epan/proto.h: document freeing of GPtrArrays
7cc811b55b ORAN FH CUS: ST4 common header update
424ecdbf79 assa_r3: Use FT_CHAR for a character
30ed6f8004 Qt: Fix compression on Qt < 5.15
02a8bd21f1 Qt: fix build with <QT5.15
43ef1264ed nvme-tcp: Dissect packets with port number 8009.
